2022-03-01 Version: v1.61.1501
- Generated 2020-03-06 for `companyreg`.
- Supported partner for ESP.

2022-03-01 Version: v1.61.1500
- Generated 2020-03-06 for `companyreg`.
- Supported partner for ESP.

2022-02-25 Version: v1.61.1499
- Generated 2019-08-08 for `ARMS`.
- New add GetAuthToken api.
- New add ManageRecordingRule api.

2022-02-25 Version: v1.61.1498
- Generated 2020-01-16 for `DAS`.
- FIX GetRequestDiagnosisPage PARAM TYPE.


2022-02-24 Version: v1.61.1497
- Generated 2019-05-31 for `mse`.
- Add UpdateGatewayServiceTrafficPolicy api.

2022-02-24 Version: v1.61.1496
- Generated 2020-03-09 for `Eipanycast`.
- Add UpdateAnycastEipAddressAssociations Interface.

2022-02-23 Version: v1.61.1495
- Generated 2019-04-03 for `Cloudauth-console`.
- SDK.

2022-02-23 Version: v1.61.1494
- Generated 2019-03-07 for `Cloudauth`.
- Add AuthId.

2022-02-23 Version: v1.61.1493
- Generated 2020-09-07 for `Config`.
- Support remediation.

2022-02-22 Version: v1.61.1492
- Generated 2019-02-14 for `Ons`.
- Deprecated the OnsTopicUpdate api, and will be offline soon.

2022-02-22 Version: v1.61.1491
- Generated 2017-08-01 for `polardb`.
- Support RefreshProxyLevel.

2022-02-21 Version: v1.61.1490
- Generated 2019-01-01 for `HBase`.
- Add event tasks.
- DescribeInstance taskProgress.

2022-02-21 Version: v1.61.1489
- Generated 2019-05-31 for `mse`.
- Bugfix QueryMoniter.

2022-02-21 Version: v1.61.1488
- Generated 2019-05-31 for `mse`.
- Add DleteNacosInstance.
- Change CreateCluster parameter.
- Change UpdateNacosInstance errorCode.

2022-02-18 Version: v1.61.1487
- Generated 2018-01-20 for `Iot`.
- Iot_20180120 build sdk.

2022-02-18 Version: v1.61.1486
- Generated 2018-01-20 for `Iot`.
- Add Gis open service add data api.

2022-02-17 Version: v1.61.1485
- Generated 2019-02-14 for `Ons`.
- Adjusted the call frequency limit of some APIs.

2022-02-16 Version: v1.61.1484
- Generated 2019-05-31 for `mse`.
- Fix normandy query api.

2022-02-11 Version: v1.61.1483
- Generated 2018-01-20 for `Iot`.
- Add OTA API, including ReupgradeOTATask.

2022-02-11 Version: v1.61.1482
- Generated 2020-01-01 for `Dts`.
- DTS SDK.

2022-02-10 Version: v1.61.1481
- Generated 2020-01-01 for `Dts`.
- DTS SDK.

2022-02-10 Version: v1.61.1480
- Generated 2019-05-31 for `mse`.
- Add deleteNacosInstance.

2022-02-09 Version: v1.61.1479
- Generated 2020-01-16 for `DAS`.
- Supported query optimize open API.
- Optimize GetInstanceInspections.

2022-02-09 Version: v1.61.1478
- Generated 2020-08-01, 2021-03-25, 2020-08-04, 2020-08-06, 2020-08-07, 2020-08-08, 2020-08-09, 2020-11-11, 2020-08-02, 2020-08-03, 2020-07-30, 2020-07-31 for `quickbi-public`.
- Added api QueryWorksBloodRelationship.

2022-02-08 Version: v1.61.1477
- Generated 2017-05-25 for `Dypnsapi`.
- Supported New Features.

2022-02-08 Version: v1.61.1476
- Generated 2018-01-20 for `Iot`.
- Iot_20180120 oldversion sdk.

2022-02-08 Version: v1.61.1475
- Generated 2016-04-28 for `Vpc`.
- Support ListEnhanhcedNatGatewayAvailableZones.

2022-02-08 Version: v1.61.1474
- Generated 2019-08-08 for `ARMS`.
- New add DeleteIntegration and GetIntegrationState api.

2022-01-28 Version: v1.61.1473
- Generated 2017-11-10 for `Ens`.
- Support cloud disk.

2022-01-28 Version: v1.61.1472
- Generated 2015-12-01 for `Dds`.
- Update by SDK platform.

2022-01-28 Version: v1.61.1471
- Generated 2020-07-01 for `CCC`.
- Support SIP phone management.

2022-01-27 Version: v1.61.1470
- Generated 2020-01-16 for `DAS`.
- Supported query optimize open api.

2022-01-27 Version: v1.61.1469
- Generated 2017-08-01 for `Edas`.
- Update params for k8s application custom affinity and tolerations.

2022-01-26 Version: v1.61.1468
- Generated 2019-01-01 for `Cms`.
- CreateContact API Add ContactGroupName.

2022-01-26 Version: v1.61.1467
- Generated 2017-08-01 for `polardb`.
- Fix some bugs.

2022-01-26 Version: v1.61.1466
- Generated 2014-05-15 for `Slb`.
- Support Latest APIs.

2022-01-25 Version: v1.61.1465
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2022-01-25 Version: v1.61.1464
- Generated 2019-12-26 for `OutboundBot`.
- Supported new features for outbound.

2022-01-25 Version: v1.61.1463
- Generated 2020-06-16 for `Alb`.
- Support Latest APIs.

2022-01-25 Version: v1.61.1462
- Generated 2021-03-25, 2020-08-04, 2020-08-06, 2020-08-07, 2020-08-02, 2020-08-01, 2020-07-31, 2020-08-08, 2020-11-11, 2020-08-03, 2020-08-09, 2020-07-30 for `quickbi-public`.
- Add APIs, include, ListSharedReports, ListFavoriteReports, ListRecentViewReports, CreateTicket, QueryTicketInfo, UpdateTicketNum, DelayTicketExpireTime, DelayTicketExpireTime.

2022-01-25 Version: v1.61.1461
- Generated 2016-11-01 for `live`.


2022-01-25 Version: v1.61.1460
- Generated 2019-04-30 for `schedulerx2`.
- Supported Get Worker List.
- Execute Job Support Designate Machine.
- Job Interface Add Config.

2022-01-25 Version: v1.61.1459
- Generated 2019-12-30 for `facebody`.
- Update DetectFace.

2022-01-23 Version: v1.61.1458
- Generated 2020-01-01 for `Dts`.
- DTS SDK.

2022-01-21 Version: v1.61.1457
- Generated 2018-06-12 for `VoiceNavigator`.
- Supported new features etc.

2022-01-21 Version: v1.61.1456
- Generated 2019-01-01 for `Cms`.
- Add Event Rule sql filter.

2022-01-21 Version: v1.61.1455
- Generated 2019-01-01 for `Cms`.
- Add Event Rule sql filter.

2022-01-21 Version: v1.61.1454
- Generated 2018-11-01 for `dms-enterprise`.
- Supported RestartDataCorrectSQLJob,PauseDataCorrectSQLJob API.
- Supported ListDataCorrectPreCheckSQL to return tableNames information.

2022-01-19 Version: v1.61.1453
- Generated 2017-05-25 for `Dysmsapi`.
- Upgrade Service for SMS.

2022-01-19 Version: v1.61.1452
- Generated 2016-06-07 for `cr`.
- Release some feature APIs.

2022-01-19 Version: v1.61.1451
- Generated 2016-06-07 for `cr`.
- Release some feature APIs.

2022-01-19 Version: v1.61.1450
- Generated 2019-05-31 for `mse`.
- ReportOneAgentInfo.


2022-01-18 Version: v1.61.1449
- Generated 2019-09-10 for `waf-openapi`.
- Upgrade SDK.

2022-01-18 Version: v1.61.1448
- Generated 2019-05-06 for `sae`.
- Support describe price.

2022-01-17 Version: v1.61.1447
- Generated 2020-03-06, 2019-05-08, 2020-10-22 for `companyreg`.
- Supported esp for partner.

2022-01-14 Version: v1.61.1446
- Generated 2019-11-11 for `clickhouse`.
- Clickhouse go sdk.

2022-01-14 Version: v1.61.1445
- Generated 2020-03-31 for `ResourceManager`.
- Supported more query conditions when searching resource group.

2022-01-14 Version: v1.61.1444
- Generated 2020-03-31 for `ResourceManager`.
- Supported more query conditions when searching resource group.

2022-01-13 Version: v1.61.1443
- Generated 2017-05-25 for `Dypnsapi`.
- Supported New Features.

2022-01-12 Version: v1.61.1442
- Generated 2019-12-26 for `OutboundBot`.
- Supported new features for outbound.

2022-01-12 Version: v1.61.1441
- Generated 2020-01-01 for `Dts`.
- DTS SDK.

2022-01-12 Version: v1.61.1440
- Generated 2020-09-07 for `Config`.
- Support folder for rule.

2022-01-11 Version: v1.61.1439
- Generated 2016-04-28 for `Vpc`.
- Support new region cn-beijing-finance-1.

2022-01-11 Version: v1.61.1438
- Generated 2017-09-12 for `Cbn`.
- Support  DeleteTransitRouter API.

2022-01-11 Version: v1.61.1437
- Generated 2019-01-08 for `Config`.
- Fix bugs.

2022-01-11 Version: v1.61.1436
- Generated 2019-01-08 for `Config`.
- Fix bugs.

2022-01-11 Version: v1.61.1435
- Generated 2018-02-08, 2018-01-29 for `Domain`.
- Added reserve price range.

2022-01-07 Version: v1.61.1434
- Generated 2020-04-15 for `Privatelink`.
- Support resource scheduler.

2022-01-07 Version: v1.61.1433
- Generated 2021-03-25, 2020-08-04, 2020-08-06, 2020-08-07, 2020-07-31, 2020-07-30, 2020-08-02, 2020-08-03, 2020-08-01, 2020-11-11, 2020-08-09, 2020-08-08 for `quickbi-public`.
- Add or modify APIs, include, QueryEmbeddedStaus, QueryWorks, QueryWorksByWorkspace.

2022-01-07 Version: v1.61.1432
- Generated 2021-03-25, 2020-08-04, 2020-08-06, 2020-08-07, 2020-08-08, 2020-08-09, 2020-11-11, 2020-08-01, 2020-08-02, 2020-08-03, 2020-07-30, 2020-07-31 for `quickbi-public`.
- Add or modify APIs, include, QueryEmbeddedStaus, QueryWorks, QueryWorksByWorkspace.

2022-01-07 Version: v1.61.1431
- Generated 2020-06-16 for `Alb`.
- Support Service name.

2022-01-07 Version: v1.61.1430
- Generated 2018-11-01 for `dms-enterprise`.
- Supported GetSparkJobDetail,GetSparkJobExecutorLogs,KillSparkJob,GetSparkJobDriverLog,GetSparkJobLog,SubmitSparkJob API.

2022-01-07 Version: v1.61.1429
- Generated 2019-05-06 for `sae`.
- Supported minReadyInstanceRatio parameter for deploy.

2022-01-07 Version: v1.61.1428
- Generated 2017-05-25 for `Dypnsapi`.
- Support New API for Dypnsapi.

2022-01-06 Version: v1.61.1427
- Generated 2019-01-08 for `Config`.
- Fix bugs.

2022-01-06 Version: v1.61.1426
- Generated 2016-11-01 for `live`.


2022-01-05 Version: v1.61.1425
- Generated 2018-07-13 for `Ft`.
- AMP version.

2022-01-05 Version: v1.61.1424
- Fix response header of error.

2022-01-05 Version: v1.61.1423
- Generated 2014-08-28 for `Ess`.
- AttachInstances and DetachInstances support lifecyclehook option.

2021-12-31 Version: v1.61.1422
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update ErrorCode.

2021-12-30 Version: v1.61.1421
- Generated 2014-06-18 for `Mts`.
- Add faceCustomParamsConfig params for AddSmarttagTemplate,UpdateSmarttagTemplate,QuerySmarttagTemplateList interface.

2021-12-30 Version: v1.61.1420
- Generated 2019-04-30 for `schedulerx2`.
- Supported Get Worker List.
- Execute Job Support Designate Machine.

2021-12-30 Version: v1.61.1419
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-12-30 Version: v1.61.1418
- Generated 2018-01-11 for `rtc`.
- Support AUTH for CreateEventSubscribe.

2021-12-30 Version: v1.61.1417
- Generated 2021-05-20 for `idaas-doraemon`.
- Support Sms Auth.

2021-12-30 Version: v1.61.1416
- Generated 2015-01-01 for `R-kvstore`.
- Update by sdk platform.

2021-12-30 Version: v1.61.1415
- Generated 2017-07-05 for `CCC`.
- Add new interface.

2021-12-29 Version: v1.61.1414
- Generated 2014-05-15 for `Slb`.
- Support tags.

2021-12-29 Version: v1.61.1413
- Generated 2018-06-12 for `VoiceNavigator`.
- Supported new features etc.

2021-12-29 Version: v1.61.1412
- Generated 2019-12-26 for `OutboundBot`.
- Supported new features for outbound.

2021-12-29 Version: v1.61.1411
- Generated 2018-01-15 for `dcdn`.
- Add ListDcdnEsTemplateInfo.

2021-12-29 Version: v1.61.1410
- Generated 2018-01-15 for `dcdn`.
- Add ListDcdnEsTemplateInfo.

2021-12-28 Version: v1.61.1409
- Generated 2020-09-07 for `Config`.
- Support managed rule query.

2021-12-27 Version: v1.61.1408
- Generated 2019-08-08 for `ARMS`.
- New alert create api.

2021-12-27 Version: v1.61.1407
- Generated 2019-05-06 for `sae`.
- Support ACR EE, OSS, EIP for deploy.

2021-12-27 Version: v1.61.1406
- Generated 2015-12-01 for `Dds`.
- DescribeDBInstances Add CapacityUnit.

2021-12-27 Version: v1.61.1405
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DeleteFCTrigger.

2021-12-27 Version: v1.61.1404
- Generated 2018-01-15 for `dcdn`.
- Add CreateDcdnSubTask.

2021-12-27 Version: v1.61.1403
- Generated 2017-11-15 for `scdn`.
- Add DescribeScdnDomainCcInfo.

2021-12-24 Version: v1.61.1402
- Generated 2019-01-01 for `Cms`.
- Add Event Rule Target.

2021-12-24 Version: v1.61.1401
- Generated 2019-01-01 for `Cms`.
- Add Event Rule Target.

2021-12-23 Version: v1.61.1400
- Generated 2020-09-07 for `Config`.
- Fix array params.

2021-12-22 Version: v1.61.1399
- Generated 2017-03-21 for `vod`.
- Add return fields to UploadStreamByURL.
- Set DescribeVodDomainSrcTrafficData pulic.

2021-12-22 Version: v1.61.1398
- Generated 2017-11-10 for `Ens`.
- Support cloud disk.

2021-12-21 Version: v1.61.1397
- Generated 2017-09-12 for `Cbn`.
- Support Darabonba API.

2021-12-21 Version: v1.61.1396
- Generated 2020-07-01 for `CCC`.
- Add RAM ID in resonse of listUsers API.

2021-12-21 Version: v1.61.1395
- Generated 2020-09-07 for `Config`.
- Fix array params.

2021-12-21 Version: v1.61.1394
- Generated 2019-04-30 for `schedulerx2`.
- Supported Designate Workers.
- Supported Get WorkFlow.

2021-12-20 Version: v1.61.1393
- Generated 2014-05-26 for `Ecs`.
- Add Request Param Ipv6AddressCount For API CreateLaunchTemplate AND CreateLaunchTemplateVersion.
- Add Response Data Ipv6AddressCount For API DescribeLaunchTemplateVersions.

2021-12-20 Version: v1.61.1392
- Generated 2016-04-08 for `Emr`.


2021-12-20 Version: v1.61.1391
- Generated 2018-11-01 for `dms-enterprise`.
- Supported ListLogicDatabases to return Alias information.
- Supported ListDBTaskSQLJobDetail to return sql execute startTime and endTime information.

2021-12-17 Version: v1.61.1390
- Generated 2020-04-15 for `Privatelink`.
- Support Endpoint Protect.

2021-12-16 Version: v1.61.1389
- Generated 2020-07-01 for `CCC`.
- Release for sprint 2_2_0.

2021-12-16 Version: v1.61.1388
- Generated 2018-01-20 for `Iot`.
- Update OTA API, including CreateOTADynamicUpgradeJob,CreateOTAStaticUpgradeJob,QueryOTAJob.

2021-12-16 Version: v1.61.1387
- Generated 2014-08-28 for `Ess`.
- Optimise input params.

2021-12-14 Version: v1.61.1386
- Generated 2019-01-08 for `Config`.
- Support query resourceType.

2021-12-14 Version: v1.61.1385
- Generated 2019-09-10 for `waf-openapi`.


2021-12-13 Version: v1.61.1384
- Generated 2015-12-01 for `Dds`.
- CreateServerlessDBInstance Add CapacityUnit.

2021-12-13 Version: v1.61.1383
- Generated 2016-05-03 for `gpdb`.
- Openapi support querydisplay.

2021-12-13 Version: v1.61.1382
- Generated 2020-09-07 for `Config`.
- Support query resourceType.

2021-12-13 Version: v1.61.1381
- Generated 2020-09-07 for `Config`.
- Support query resourceType.

2021-12-13 Version: v1.61.1380
- Generated 2019-01-08 for `Config`.
- Support query resourceType.

2021-12-10 Version: v1.61.1379
- Generated 2021-07-01 for `eas`.
- Update to v2 api.

2021-12-09 Version: v1.61.1378
- Generated 2019-05-06 for `sae`.
- Support ACR EE, OSS, EIP for deploy.

2021-12-08 Version: v1.61.1377
- Generated 2019-05-31 for `mse`.
- HeterogeInterworking.


2021-12-08 Version: v1.61.1376
- Generated 2017-05-25 for `Dyplsapi`.
- Add API for New Features.

2021-12-08 Version: v1.61.1375
- Generated 2020-01-01 for `Dts`.
- Fix CreateDtsInstance bug.

2021-12-08 Version: v1.61.1374
- Generated 2017-05-25 for `Dyplsapi`.
- Fixed bugs for UnbindSubscription API.

2021-12-07 Version: v1.61.1373
- Generated 2019-01-01 for `HBase`.
- Fix DescribeInstances clusterId.

2021-12-07 Version: v1.61.1372
- Generated 2014-06-18 for `Mts`.
- Support params for QuerySmarttagJob Api.
- Support params for AddSmarttagTemplate,UpdateSmarttagTemplate,QuerySmarttagTemplateList Api.

2021-12-07 Version: v1.61.1371
- Generated 2018-08-28 for `Tag`.
- Add MetaTag APIs.

2021-12-07 Version: v1.61.1370
- Generated 2018-08-28 for `Tag`.
- Add MetaTag APIs.

2021-12-06 Version: v1.61.1369
- Generated 2014-05-26 for `Ecs`.
- Support Bond Eni.

2021-12-06 Version: v1.61.1368
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-12-06 Version: v1.61.1367
- Generated 2020-05-18 for `dataworks-public`.


2021-12-06 Version: v1.61.1366
- Generated 2017-09-12 for `Cbn`.
- Modify the input parameter Action of DescribeCenInterRegionBandwidthLimits to be required.

2021-12-03 Version: v1.61.1365
- Generated 2019-01-01 for `Cms`.
- Add MetricRule Labels.

2021-12-03 Version: v1.61.1364
- Generated 2019-01-01 for `Cms`.
- Add EventRule Content Filter.
- Add MetricRule Labels.

2021-12-03 Version: v1.61.1363
- Generated 2020-04-15 for `Privatelink`.
- Support EndpointType and ServiceType.

2021-12-02 Version: v1.61.1362
- Generated 2019-12-30 for `facebody`.
- Update MergeImageFace QueryFaceImageTemplate AddFaceImageTemplate DeleteFaceImageTemplate.

2021-12-01 Version: v1.61.1361
- Generated 2017-09-12 for `Cbn`.
- Support not switching routes when VBR health check fails.
- Support order type when cross-account authorization and display.

2021-12-01 Version: v1.61.1360
- Generated 2019-05-21 for `saf`.
- Supported RequestDecision For YN.

2021-11-30 Version: v1.61.1359
- Generated 2020-06-16 for `Alb`.
- Support health check paging.

2021-11-30 Version: v1.61.1358
- Generated 2020-06-16 for `Alb`.
- Support health check paging.

2021-11-29 Version: v1.61.1357
- Generated 2020-07-01 for `CCC`.
- Add API for unregister sip phone device, masked callee, etc.

2021-11-29 Version: v1.61.1356
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DescribeCdnSMCertificateDetail.

2021-11-29 Version: v1.61.1355
- Generated 2018-01-15 for `dcdn`.
- Update SetDcdnDomainSMCertificate.

2021-11-29 Version: v1.61.1354
- Generated 2018-11-01 for `dms-enterprise`.
- Supported ListLogicTableRouteConfig, AddLogicTableRouteConfig, DeleteLogicTableRouteConfig API.
- Supported ModifyDataCorrectExecSQL, RetryDataCorrectPreCheck API.
- Supported GetDBTaskSQLJobLog API.
- Supported ListDBTaskSQLJobDetail to return execute log information.

2021-11-29 Version: v1.61.1353
- Generated 2016-11-01 for `live`.


2021-11-26 Version: v1.61.1352
- Generated 2017-09-12 for `Cbn`.
- Support CEN Qos Apis.
- Support TransitRouter Latest Apis.

2021-11-26 Version: v1.61.1351
- Generated 2019-01-15 for `Qualitycheck`.
- Update GetSyncResult.

2021-11-25 Version: v1.61.1350
- Generated 2018-06-12 for `VoiceNavigator`.
- Supported new features etc.

2021-11-25 Version: v1.61.1349
- Generated 2018-06-12 for `VoiceNavigator`.
- Supported new features etc.

2021-11-25 Version: v1.61.1348
- Generated 2019-12-26 for `OutboundBot`.
- Supported new features for outbound.

2021-11-25 Version: v1.61.1347
- Generated 2018-01-11 for `rtc`.
- Delete some abandoned interface.
- Add some interfaces.

2021-11-25 Version: v1.61.1346
- Generated 2017-09-06 for `imm`.
- Minor changes.

2021-11-25 Version: v1.61.1345
- Generated 2019-05-31 for `mse`.
- HeterogeInterworking.


2021-11-24 Version: v1.61.1344
- Generated 2019-05-31 for `mse`.
- HeterogeInterworking.

2021-11-24 Version: v1.61.1343
- Generated 2018-01-01 for `pvtz`.
- Support DescribeSyncEcsHostTask, UpdateSyncEcsHostTask for Ecs Hostname Task.

2021-11-24 Version: v1.61.1342
- Generated 2018-01-11 for `rtc`.
- Delete some abandoned interface in SDK.

2021-11-24 Version: v1.61.1341
- Generated 2017-03-21 for `vod`.
- Set API DescribeVodDomainSrcBpsData to public.

2021-11-23 Version: v1.61.1340
- Generated 2018-01-11 for `rtc`.
- Delete some abandoned interface in SDK.
- Add AutoLiveStream series interfaces.
- Add UpdateMPUTask, CreateRecordIndexFile interfaces.

2021-11-23 Version: v1.61.1339
- Generated 2016-04-08 for `Emr`.


2021-11-23 Version: v1.61.1338
- Generated 2019-12-30 for `ocr`.
- Update RecognizeCharacter.

2021-11-23 Version: v1.61.1337
- Generated 2017-12-14 for `BssOpenApi`.
- Add Create Savingplan Instance API.

2021-11-23 Version: v1.61.1336
- Generated 2019-01-01 for `HBase`.
- Fix BdsColdStorage.

2021-11-23 Version: v1.61.1335
- Generated 2019-02-14 for `Ons`.
- Support the IP restrictions in ram policy.

2021-11-22 Version: v1.61.1334
- Generated 2019-10-23, 2018-06-13 for `Sls`.
- Optimize getSlsService response.

2021-11-19 Version: v1.61.1333
- Generated 2019-01-01 for `Cms`.
- Add site monitoring dial DNS_ match_ rule.

2021-11-18 Version: v1.61.1332
- Generated 2018-11-01 for `dms-enterprise`.
- Support ListInstanceLoginAuditLog, ListProxySQLExecAuditLog API.
- Support GetOpLog API to return OpUserId information.

2021-11-16 Version: v1.61.1331
- Generated 2017-03-21 for `vod`.
- Add parameter type HDRType.

2021-11-16 Version: v1.61.1330
- Generated 2017-12-28 for `ddoscoo`.


2021-11-16 Version: v1.61.1329
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update SetCdnDomainSMCertificate.

2021-11-16 Version: v1.61.1328
- Generated 2017-06-13 for `elasticsearch`.
- Update apm interface parameter.

2021-11-15 Version: v1.61.1327
- Generated 2020-01-01 for `ddoscoo`.


2021-11-15 Version: v1.61.1326
- Generated 2018-10-12 for `alimt`.
- Add Ext parameter to image translation API.

2021-11-12 Version: v1.61.1325
- Generated 2015-12-01 for `Dds`.
- Update by sdk platform.

2021-11-12 Version: v1.61.1324
- Generated 2017-08-01 for `polardb`.
- Optimize the API for querying storage package information.

2021-11-08 Version: v1.61.1323
- Generated 2017-06-13 for `elasticsearch`.
- Supported apm restful api.

2021-11-05 Version: v1.61.1322
- Generated 2018-01-15 for `dcdn`.
- Add SetDcdnDomainSMCertificate.

2021-11-05 Version: v1.61.1321
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add SetCdnDomainSMCertificate.

2021-11-05 Version: v1.61.1320
- Generated 2018-01-20 for `Iot`.
- Update OTA API, including CreateOTAVerifyJob.

2021-11-04 Version: v1.61.1319
- Generated 2020-04-15 for `Privatelink`.
- Adjust some param.

2021-11-04 Version: v1.61.1318
- Generated 2018-11-01 for `dms-enterprise`.
- Support ListSQLExecAuditLog API.
- Support ListUsers, GetUser API to return information of Email, Webhook and DingRobot.
- Support GetApprovalDetail API to return information of CreateTime.

2021-11-02 Version: v1.61.1317
- Generated 2017-03-21 for `vod`.
- Add GetVideoPlayAuth API parameter.

2021-11-02 Version: v1.61.1316
- Generated 2017-03-21 for `vod`.
- Add GetVideoPlayAuth API parameter.

2021-11-02 Version: v1.61.1315
- Generated 2018-11-11 for `foas`.
- Support multi language.

2021-11-02 Version: v1.61.1314
- Generated 2017-03-21 for `vod`.
- Add API UploadStreamByURL.

2021-11-02 Version: v1.61.1313
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Fixed SDK update delay.

2021-11-01 Version: v1.61.1312
- Generated 2019-08-08 for `ARMS`.
- Support recover body for webhook api.

2021-10-28 Version: v1.61.1311
- Generated 2019-01-01 for `Cms`.
- Add no data alarm processing.

2021-10-28 Version: v1.61.1310
- Generated 2016-04-28 for `Vpc`.
- Supported SecurityProtectionTypes for AllocateEipAddress.
- Supported SecurityProtectionTypes for CreateCommonBandwidthPackage.

2021-10-28 Version: v1.61.1309
- Generated 2019-03-07, 2020-06-18, 2018-09-16, 2020-11-12 for `Cloudauth`.


2021-10-28 Version: v1.61.1308
- Generated 2017-09-06 for `imm`.
- Add Subtitle.

2021-10-27 Version: v1.61.1307
- Generated 2019-03-07 for `Cloudauth`.


2021-10-27 Version: v1.61.1306
- Generated 2019-01-01 for `HBase`.
- Fix ModifyInstanceName.

2021-10-26 Version: v1.61.1305
- Generated 2020-07-31, 2020-07-30, 2020-08-01, 2020-08-02, 2020-08-03, 2020-11-11, 2020-08-09, 2020-08-08, 2020-08-07, 2020-08-06, 2020-08-04, 2021-03-25 for `quickbi-public`.
- Add QueryEmbedTokenInfo,DeleteEmbedToken,CreateEmbedToken,DelayEmbedToken,BuildSignatureUrl, and update QueryDatasetInfo,AuthorizeMenu,AddUserTagMeta,AddUser.

2021-10-26 Version: v1.61.1304
- Generated 2017-05-25 for `Dyvmsapi`.
- Update Dyvmsapi SDK.

2021-10-25 Version: v1.61.1303
- Generated 2020-01-01 for `Dts`.
- DescribeDtsJobs api, delay filed change from int to long.

2021-10-25 Version: v1.61.1302
- Generated 2018-11-01 for `dms-enterprise`.
- Support ListInstances and GetInstance API to return StandardGroup information.
- Support ListUserPermissions, GrantUserPermission, GrantUserPermission to operate instance permission.
- Support ChangeColumnSecLevel API.
- Support CreateLogicDatabase, EditLogicDatabase, DeleteLogicDatabase API.

2021-10-25 Version: v1.61.1301
- Generated 2016-11-01 for `live`.


2021-10-21 Version: v1.61.1300
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-10-21 Version: v1.61.1299
- Generated 2020-05-18 for `dataworks-public`.


2021-10-21 Version: v1.61.1298
- Generated 2019-12-30 for `facebody`.
- Release AddQualityScore.

2021-10-21 Version: v1.61.1297
- Generated 2020-05-18 for `dataworks-public`.


2021-10-20 Version: v1.61.1296
- Generated 2018-01-20 for `Iot`.
- Add DeviceCenter API, including CreateDeviceDynamicGroup, DeleteDeviceDynamicGroup, QueryDynamicGroupDevices.
- Update DeviceCenter API, including SetDeviceGroupTags, QueryDeviceGroupByFuzzyName, QueryDeviceGroupByDevice, QueryDeviceGroupTagList, UpdateDeviceGroup, QueryDeviceGroupList, QueryDeviceGroupInfo.
- Update OTA API, including CreateOTADynamicUpgradeJob, CreateOTAStaticUpgradeJob, QueryOTAJob.

2021-10-19 Version: v1.61.1295
- Generated 2018-03-13 for `retailcloud`.
- Supported ScaleApp totalPartitions.

2021-10-18 Version: v1.61.1294
- Generated 2014-08-15 for `Rds`.
- Supported NextToken and MaxResults for DescribeDBInstances.

2021-10-18 Version: v1.61.1293
- Generated 2019-09-10, 2018-01-17 for `waf-openapi`.


2021-10-18 Version: v1.61.1292
- Generated 2017-08-01 for `Edas`.
- Fixed ListApplicationEcu.

2021-10-18 Version: v1.61.1291
- Generated 2014-05-26 for `Ecs`.
- Adjust ecs openapi endpoint.
- Fix SDK array format.

2021-10-15 Version: v1.61.1290
- Generated 2014-08-15 for `Rds`.
- Supported NextToken and MaxResults for DescribeDBInstances.

2021-10-15 Version: v1.61.1289
- Generated 2012-06-15, 2014-08-15, 2013-05-28 for `Rds`.
- Supported NextToken and MaxResults for DescribeDBInstances.

2021-10-15 Version: v1.61.1288
- Generated 2020-02-01 for `cloudesl`.


2021-10-14 Version: v1.61.1287
- Generated 2020-07-01 for `CCC`.
- Add API for predictive dialer.

2021-10-11 Version: v1.61.1286
- Generated 2020-02-17 for `Dytnsapi`.
- Fixed SDK update delay.

2021-10-08 Version: v1.61.1285
- Generated 2014-05-26 for `Ecs`.
- Adjust ecs openapi endpoint.

2021-10-08 Version: v1.61.1284
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Fixed SDK update delay.

2021-10-08 Version: v1.61.1283
- Generated 2018-01-15 for `dcdn`.
- Fixed SDK update delay.

2021-10-08 Version: v1.61.1282
- Generated 2017-11-15 for `scdn`.
- Fixed SDK update delay.

2021-10-08 Version: v1.61.1281
- Generated 2019-12-30 for `facebody`.
- Release SearchFace BatchAddFaces.

2021-09-29 Version: v1.61.1280
- Generated 2015-04-01 for `Sts`.
- Supported AssumeRoleWithOIDC.

2021-09-28 Version: v1.61.1279
- Generated 2017-07-05 for `CCC`.
- Add new internal API.

2021-09-26 Version: v1.61.1278
- Generated 2018-12-12 for `vs`.
- Support odcap device.

2021-09-26 Version: v1.61.1277
- Generated 2018-12-12 for `vs`.
- Support odcap device.

2021-09-26 Version: v1.61.1276
- Generated 2019-09-30 for `imageenhan`.
- Update imageenhan.

2021-09-26 Version: v1.61.1275
- Generated 2019-01-03 for `Sddp`.
- Supported sdk for sddp.

2021-09-24 Version: v1.61.1274
- Generated 2020-02-17 for `Dytnsapi`.
- Fixed SDK update delay.

2021-09-24 Version: v1.61.1273
- Generated 2019-12-30 for `facebody`.
- Release RetouchSkin LiquifyFace.

2021-09-23 Version: v1.61.1272
- Generated 2017-11-10 for `Ens`.
- Some api publish.

2021-09-23 Version: v1.61.1271
- Generated 2017-08-01 for `polardb`.
- Supports the purchase of polardb storage packages.
- Support temporary upgrades and allocations of instances.
- Query the detailed information of the node returned by the GDN instance.

2021-09-23 Version: v1.61.1270
- Generated 2015-12-01 for `Dds`.
- Update by sdk platform.

2021-09-22 Version: v1.61.1269
- Generated 2015-01-09 for `Alidns`.
- Supported API for GTM.

2021-09-22 Version: v1.61.1268
- Generated 2018-05-09 for `Green`.


2021-09-22 Version: v1.61.1267
- Generated 2017-05-25 for `Dypnsapi`.
- Support Sms Verification for Dypnsapi.

2021-09-22 Version: v1.61.1266
- Generated 2017-05-25 for `Dypnsapi`.
- Support Sms Verification for Dypnsapi.

2021-09-22 Version: v1.61.1265
- Generated 2017-08-01 for `Edas`.
- Modify CreateK8sSecret.

2021-09-18 Version: v1.61.1264
- Generated 2017-03-21 for `vod`.
- Add copyright invasion detection APIs.

2021-09-17 Version: v1.61.1263
- Generated 2020-01-16 for `DAS`.
- Fix Bugs for GetSqlOptimizeAdvice.

2021-09-17 Version: v1.61.1262
- Generated 2016-08-01 for `Push`.
- Supported SendChannels, AndroidMessageHuaweiUrgency, AndroidMessageHuaweiCategory for Push and MassPush.

2021-09-17 Version: v1.61.1261
- Generated 2017-05-25 for `Dyplsapi`.
- Fixed bug for GetSecretAsrDetail.

2021-09-16 Version: v1.61.1260
- Generated 2020-01-16 for `DAS`.
- Supported GetSqlOptimizeAdvice.

2021-09-16 Version: v1.61.1259
- Generated 2016-11-01 for `live`.


2021-09-15 Version: v1.61.1258
- Generated 2019-12-30 for `facebody`.
- Update AddFace SearchFace.

2021-09-14 Version: v1.61.1257
- Generated 2014-05-26 for `Ecs`.
- Add DiskIds for CreateSnapshotGroup.

2021-09-14 Version: v1.61.1256
- Generated 2014-05-26 for `Ecs`.
- Add DiskIds for CreateSnapshotGroup.

2021-09-13 Version: v1.61.1255
- Generated 2019-03-01 for `LinkWAN`.


2021-09-13 Version: v1.61.1254
- Generated 2020-07-01 for `CCC`.
- Supported CallerLocation, CalleeLocation in CDR API.

2021-09-10 Version: v1.61.1253
- Generated 2019-03-07 for `Cloudauth`.
- Support crop face image.

2021-09-09 Version: v1.61.1252
- Generated 2017-08-01 for `Edas`.
- Modify API InsertK8sApplication.
- Modify API DeployK8sApplication.

2021-09-09 Version: v1.61.1251
- Generated 2020-10-22, 2020-03-06, 2019-05-08 for `companyreg`.
- Public version.

2021-09-09 Version: v1.61.1250
- Generated 2020-10-22 for `companyreg`.
- Public version.

2021-09-08 Version: v1.61.1249
- Generated 2018-07-13 for `Ft`.
- AMP version.

2021-09-06 Version: v1.61.1248
- Generated 2018-01-20 for `Iot`.
- Update LinkSpeech API, including SpeechByCombination, SyncSpeechByCombination.

2021-09-01 Version: v1.61.1247
- Generated 2014-06-18 for `Mts`.
- SubmitURLUploadJob, support S3 Storage.

2021-09-01 Version: v1.61.1246
- Generated 2019-10-23 for `Sls`.
- Add Alert Init API.

2021-09-01 Version: v1.61.1245
- Generated 2018-04-12 for `EHPC`.
- SDK updated.

2021-08-31 Version: v1.61.1244
- Generated 2016-08-01 for `Push`.
- Supported AndroidBigPictureUrl, AndroidInboxBody, AndroidImageUrl, AndroidOppoImageId, AndroidXiaomiImageUrl, iOSNotificationThreadId for Push and MassPush.

2021-08-31 Version: v1.61.1243
- Generated 2019-12-30 for `facebody`.
- Release BeautifyBody.

2021-08-27 Version: v1.61.1242
- Generated 2018-04-12 for `EHPC`.
- ListAvailableEcsTypes set param ZoneId not required.
- ListAvailableEcsTypes return ZoneIds.

2021-08-26 Version: v1.61.1241
- Generated 2018-04-12 for `EHPC`.
- ListAvailableEcsTypes set param ZoneId not required.
- ListAvailableEcsTypes return ZoneIds.

2021-08-24 Version: v1.61.1240
- Generated 2019-12-30 for `facebody`.
- Release RetouchBody.

2021-08-20 Version: v1.61.1239
- Generated 2017-05-25 for `Dyvmsapi`.
- Update Dyvmsapi SDK.
- Add GetCallInfo.

2021-08-19 Version: v1.61.1238
- Generated 2014-05-26 for `Ecs`.
- Add SupportSessionManager for DescribeCloudAssistantStatus.

2021-08-19 Version: v1.61.1237
- Generated 2014-05-26 for `Ecs`.
- Add SupportSessionManager for DescribeCloudAssistantStatus.

2021-08-19 Version: v1.61.1236
- Generated 2018-04-12 for `EHPC`.
- Support Round and Interval for ApplyNodes API.

2021-08-19 Version: v1.61.1235
- Generated 2019-12-26 for `OutboundBot`.
- Supported new features for outbound.

2021-08-19 Version: v1.61.1234
- Generated 2019-12-30 for `facebody`.
- Release BeautifyBody.

2021-08-17 Version: v1.61.1233
- Generated 2017-08-01 for `Edas`.
- Add param for GetK8sApplication.
- Add param for InsertK8sApplication.
- Add pop GetWebContainerConfig.

2021-08-16 Version: v1.61.1232
- Generated 2020-01-16 for `DAS`.
- Add SQL throttle APIs for MySQL and PolarDB MySQL.

2021-08-13 Version: v1.61.1231
- Generated 2019-06-27 for `brinekingdom`.
- Add Exchange interface.

2021-08-13 Version: v1.61.1230
- Generated 2017-08-01 for `Edas`.
- Rename field Data to JavaStartUpConfig in edas api GetJavaStartUpConfig.

2021-08-13 Version: v1.61.1229
- Generated 2017-08-01 for `Edas`.
- Support more info for GetK8sApplication.

2021-08-13 Version: v1.61.1228
- Generated 2020-01-01 for `Dts`.
- Supported etlOperatorColumnReference for ModifyDtsJob.

2021-08-13 Version: v1.61.1227
- Generated 2018-03-13 for `Smartag`.
- Support  sts.

2021-08-12 Version: v1.61.1226
- Generated 2020-04-18 for `DBFS`.
- Support query dbfs specification.

2021-08-12 Version: v1.61.1225
- Generated 2019-06-27 for `brinekingdom`.
- Add Exchange interface.

2021-08-12 Version: v1.61.1224
- Generated 2019-06-27 for `brinekingdom`.
- Add Exchange interface.

2021-08-12 Version: v1.61.1223
- Generated 2015-01-01 for `R-kvstore`.
- DescirbeAvailableResource add NodeId input parameter.
- CreateTairInstance add GlobalInstanceId input paramter.

2021-08-12 Version: v1.61.1222
- Generated 2018-11-01 for `dms-enterprise`.
- Support CreateProxy, DeleteProxy, GetProxy, ListProxies, CreateProxyAccess, DeleteProxyAccess, ListProxyAccesses, InspectProxyAccessSecret Safety Protection Management APIs.

2021-08-11 Version: v1.61.1221
- Generated 2017-09-12 for `Cbn`.
- Support CEN latest Apis.

2021-08-10 Version: v1.61.1220
- Generated 2017-12-14 for `BssOpenApi`.
- Supported DescribeSavingsPlansUsageTotal.
- Supported DescribeSavingsPlansUsageDetail.
- Supported DescribeSavingsPlansCoverageTotal.
- Supported DescribeSavingsPlansCoverageDetail.

2021-08-10 Version: v1.61.1219
- Generated 2020-07-01 for `CCC`.
- Export instance relative API.

2021-08-10 Version: v1.61.1218
- Generated 2019-09-30 for `imagerecog`.
- Update TaggingAdImage.

2021-08-10 Version: v1.61.1217
- Generated 2020-01-01 for `Dts`.
- Supported DescribeSubscriptionMeta for distributed subscription.
- Supported ParentChannelId for DescribeConsumerChannel.
- Supported Reserve for ModifyDtsJob.

2021-08-09 Version: v1.61.1216
- Generated 2020-01-01 for `Dts`.
- Supported DescribeSubscriptionMeta for distributed subscription.
- Supported ParentChannelId for DescribeConsumerChannel.
- Supported Reserve for ModifyDtsJob.

2021-08-09 Version: v1.61.1215
- Generated 2020-01-01 for `Dts`.
- Support Job Status With Phase.

2021-08-06 Version: v1.61.1214
- Generated 2017-08-01 for `Edas`.
- Support delete slb listener.

2021-08-06 Version: v1.61.1213
- Generated 2019-09-30 for `imagerecog`.
- Update TaggingAdImage.

2021-08-04 Version: v1.61.1212
- Generated 2019-09-30 for `imagerecog`.
- Release TaggingAdImage.

2021-08-04 Version: v1.61.1211
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-08-04 Version: v1.61.1210
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-08-04 Version: v1.61.1209
- Generated 2017-06-01 for `hitsdb`.
- Create Lindorm Open api.

2021-08-03 Version: v1.61.1208
- Generated 2017-11-10 for `Ens`.
- Some api publish.

2021-08-02 Version: v1.61.1207
- Generated 2019-09-30 for `imagerecog`.
- Update TaggingImage.

2021-08-02 Version: v1.61.1206
- Generated 2020-04-18 for `DBFS`.
- Support upgrade.

2021-07-30 Version: v1.61.1205
- Generated 2017-05-25 for `Dyvmsapi`.
- Update Dyvmsapi SDK.

2021-07-29 Version: v1.61.1204
- Generated 2020-06-16 for `Alb`.
- Support Alb Open API.

2021-07-29 Version: v1.61.1203
- Generated 2017-08-01 for `polardb`.
- Supported DescribeMaskingRules.
- ModifyMaskingRules.
- DeleteMaskingRules.

2021-07-29 Version: v1.61.1202
- Generated 2018-03-13 for `retailcloud`.
- ListAppInstanceResponse add status field.

2021-07-28 Version: v1.61.1201
- Generated 2018-03-13 for `retailcloud`.


2021-07-28 Version: v1.61.1200
- Generated 2019-08-08 for `ARMS`.
- Update QueryPromInstallStatus.
- Update UninstallPromCluster.

2021-07-27 Version: v1.61.1199
- Generated 2015-01-01 for `R-kvstore`.
- Add DescribeAuditLogConfig API.

2021-07-27 Version: v1.61.1198
- Generated 2019-08-08 for `ARMS`.
- Add QueryPromInstallStatus.
- Add UninstallPromCluster.

2021-07-27 Version: v1.61.1197
- Generated 2019-08-08 for `ARMS`.
- Update OpenVCluster.
- Update CheckServiceStatus.

2021-07-27 Version: v1.61.1196
- Generated 2019-01-01 for `Cms`.
- Createdynamictaggroup increases the filter parameters for TagRegionId.

2021-07-27 Version: v1.61.1195
- Generated 2014-05-26 for `Ecs`.
- Add StartTerminalSession.

2021-07-26 Version: v1.61.1194
- Generated 2019-08-08 for `ARMS`.
- Add ENDPOINT V1.

2021-07-23 Version: v1.61.1193
- Generated 2020-07-01 for `CCC`.
- Export instance relative API.

2021-07-22 Version: v1.61.1192
- Generated 2020-06-19 for `cas`.
- Added new API of Go Lang for 2020-06-19.

2021-07-22 Version: v1.61.1191
- Generated 2017-06-13 for `elasticsearch`.
- Add private-link support.
- Add download dicts.
- Add whiteIpGroup support.
- Add recovery infos support.

2021-07-21 Version: v1.61.1190
- Generated 2017-06-01 for `hitsdb`.
- Create Lindorm Open api.

2021-07-21 Version: v1.61.1189
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-07-21 Version: v1.61.1188
- Generated 2019-01-01 for `Cms`.
- Fixed Alertlog api bug.

2021-07-21 Version: v1.61.1187
- Generated 2019-01-01 for `Cms`.
- Fix the return SDK of describealertloglist API.

2021-07-21 Version: v1.61.1186
- Generated 2014-05-15 for `Slb`.
- Support HealthCheckMethod for HTTP and HTTPS listener.

2021-07-19 Version: v1.61.1185
- Generated 2014-05-26 for `Ecs`.
- CreateNetworkInterface supports to allocate Ipv6.

2021-07-19 Version: v1.61.1184
- Generated 2020-03-20 for `imageprocess`.
- Update ScreenChestCT.

2021-07-15 Version: v1.61.1183
- Generated 2020-06-16 for `Alb`.
- Support Alb Open API.

2021-07-15 Version: v1.61.1182
- Generated 2020-01-01 for `ddoscoo`.


2021-07-09 Version: v1.61.1181
- Generated 2016-08-01 for `Push`.
- Add `CheckCertificate` Api.
- Supported AndroidRenderStyle, AndroidBigTitle, AndroidBigBody, AndroidXiaomiBigPictureUrl for Push and MassPush.

2021-07-09 Version: v1.61.1180
- Generated 2020-01-16 for `DAS`.
- Support Redis BigKey and TopBigKey, TopHotkey.

2021-07-09 Version: v1.61.1179
- Generated 2020-01-16 for `DAS`.
- Support Redis BigKey and TopBigKey, TopHotkey.

2021-07-09 Version: v1.61.1178
- Generated 2014-08-28 for `Ess`.
- Optimise input params.

2021-07-08 Version: v1.61.1177
- Generated 2018-03-13 for `retailcloud`.
- Support app group.

2021-07-08 Version: v1.61.1176
- Generated 2017-11-10 for `Ens`.
- Support EIP.

2021-07-08 Version: v1.61.1175
- Generated 2019-01-01 for `Cassandra`.


2021-07-08 Version: v1.61.1174
- Generated 2016-11-01 for `live`.


2021-07-07 Version: v1.61.1173
- Generated 2017-08-01 for `polardb`.
- Supported DescribeGlobalDatabaseNetworks set pages.

2021-07-07 Version: v1.61.1172
- Generated 2015-12-01 for `Dds`.
- Add ModifyResourceGroup API.

2021-07-07 Version: v1.61.1171
- Generated 2015-01-01 for `R-kvstore`.
- Support FilterKey for RestoreInstance.
- DescribeInstanceAttribute add return argument BackupLogStartTime.
- Add RemoveSubInstance for Global Distributed Cache.

2021-07-07 Version: v1.61.1170
- Generated 2020-03-09 for `Eipanycast`.
- Supported AAA for BBB.

2021-07-06 Version: v1.61.1169
- Generated 2018-11-01 for `dms-enterprise`.
- Support ListDataCorrectPreCheckDB,ListDataCorrectPreCheckSQL Order API.

2021-07-05 Version: v1.61.1168
- Generated 2020-02-01 for `cloudesl`.
- Supported deleteItem for sdk.

2021-07-02 Version: v1.61.1167
- Generated 2019-01-01 for `HBase`.
- Fix DescribeInstance EncryptionType.

2021-07-02 Version: v1.61.1166
- Generated 2019-12-30 for `ocr`.
- Release RecognizeQuotaInvoice RecognizeTicketInvoice RecognizePdf.

2021-07-02 Version: v1.61.1165
- Generated 2020-03-20 for `imageprocess`.
- Release AnalyzeChestVessel.

2021-06-28 Version: v1.61.1164
- Generated 2019-08-08 for `ARMS`.
- Edit ListRetcodeApps.
- Edit SearchRetcodeAppByPage.

2021-06-28 Version: v1.61.1163
- Generated 2018-11-01 for `dms-enterprise`.
- Support GetSQLReviewOptimizeDetail,ListSQLReviewOriginSQL Order API.

2021-06-25 Version: v1.61.1162
- Generated 2019-12-26 for `OutboundBot`.
- Supported new features for outbound.

2021-06-25 Version: v1.61.1161
- Generated 2017-12-14 for `BssOpenApi`.
- Update DescribeSplitItemBill to support daily report.

2021-06-24 Version: v1.61.1160
- Generated 2020-01-01 for `Dts`.
- DescribeSynchronizationJobs, DescribeSubscriptionInstances, DescribeMigrationJobs, Add InstanceCreateTime and JobCreateTime.

2021-06-24 Version: v1.61.1159
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-06-24 Version: v1.61.1158
- Generated 2017-06-26 for `NAS`.

2021-06-24 Version: v1.61.1157
- Generated 2017-12-14 for `BssOpenApi`.
- Update QueryBillOverview, QuerySettleBill, QueryAccountBill, DescribeInstanceBill and support trusteeship bill query.

2021-06-23 Version: v1.61.1156
- Generated 2018-07-13 for `Ft`.


2021-06-22 Version: v1.61.1155
- Generated 2017-08-01 for `polardb`.
- Supported CreateGlobalDatabaseNetwork for PolarDB Global Database Network.
- Supported ModifyGlobalDatabaseNetwork for PolarDB Global Database Network.
- Supported DeleteGlobalDatabaseNetwork for PolarDB Global Database Network.
- Supported DescribeGlobalDatabaseNetworks for PolarDB Global Database Network.
- Supported DescribeGlobalDatabaseNetwork for PolarDB Global Database Network.
- Supported RemoveDBClusterFromGDN for PolarDB Global Database Network.
- Supported parameter SSLEnabled for ModifyDBClusterSSL changed to non-required.

2021-06-22 Version: v1.61.1154
- Generated 2016-04-08 for `Emr`.
- Supported DescribeEmrMainVersion for public.

2021-06-21 Version: v1.61.1153
- Generated 2016-04-08 for `Emr`.
- Supported createClusterHostGroup for public.

2021-06-21 Version: v1.61.1152
- Generated 2019-11-20 for `Ga`.


2021-06-21 Version: v1.61.1151
- Generated 2019-11-20 for `Ga`.


2021-06-21 Version: v1.61.1150
- Generated 2016-04-28 for `Vpc`.


2021-06-18 Version: v1.61.1149
- Generated 2020-02-01 for `cloudesl`.
- Supported 20210618 version for sdk.

2021-06-18 Version: v1.61.1148
- Generated 2020-03-31 for `ResourceManager`.


2021-06-17 Version: v1.61.1147
- Generated 2019-11-20 for `Ga`.


2021-06-16 Version: v1.61.1146
- Generated 2019-12-30 for `imageaudit`.
- Update imageaudit.

2021-06-16 Version: v1.61.1145
- Generated 2021-06-10 for `Workorder`.
- Encrypt Dialog Content.

2021-06-16 Version: v1.61.1144
- Generated 2018-11-01 for `dms-enterprise`.


2021-06-15 Version: v1.61.1143
- Generated 2020-03-03 for `devops-rdc`.
- Add ListDevopsProjects.

2021-06-15 Version: v1.61.1142
- Generated 2017-08-01 for `polardb`.
- Supported EncryptNewTables for ModifyDBClusterTDE.
- Supported SSLAutoRotate for ModifyDBClusterSSL.

2021-06-15 Version: v1.61.1141
- Generated 2020-07-06 for `Actiontrail`.
- Support API for Trail.

2021-06-11 Version: v1.61.1140
- Generated 2020-04-14 for `codeup`.
- Add CreateSshKey OpenAPI.

2021-06-10 Version: v1.61.1139
- Generated 2018-11-01 for `dms-enterprise`.
- Support SQLReview Order API.

2021-06-10 Version: v1.61.1138
- Generated 2016-11-01 for `live`.


2021-06-10 Version: v1.61.1137
- Generated 2019-01-01 for `HBase`.
- DiskEncryption.

2021-06-10 Version: v1.61.1136
- Generated 2016-04-28 for `Vpc`.


2021-06-10 Version: v1.61.1135
- Generated 2017-08-01 for `Edas`.
- Modify API ListK8sIngressRules.
- Modify API CreateK8sIngressRule.
- Modify API UpdateK8sIngressRule.
- Modify API DeleteK8sIngressRule.

2021-06-09 Version: v1.61.1134
- Generated 2018-01-20 for `Iot`.
- Update TMP API, including QueryDevice, CreateThingModel, UpdateThingModel, ImportThingModelTsl, BatchPickThingModel, ListDeviceDistributeJob.
- Add TMP API, including QueryDeviceInfo.
- Update OTA API, including CreateOTAVerifyJob, CreateOTAStaticUpgradeJob, CreateOTADynamicUpgradeJob, CancelOTATaskByJob, QueryOTAJob.
- Add OTA API, including ListOTAUnfinishedTaskByDevice,ConfirmOTATask.

2021-06-09 Version: v1.61.1133
- Generated 2017-06-01 for `hitsdb`.
- Create Lindorm Open api.

2021-06-09 Version: v1.61.1132
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-06-09 Version: v1.61.1131
- Generated 2019-08-08 for `ARMS`.
- Edit GetTrace.

2021-06-08 Version: v1.61.1130
- Generated 2021-06-10 for `Workorder`.
- Support Aliyun Workorder OpenAPI.

2021-06-08 Version: v1.61.1129
- Generated 2020-07-01 for `CCC`.
- Refine API response for GetCallDetailRecord.

2021-06-08 Version: v1.61.1128
- Generated 2014-05-26 for `Ecs`.
- Support input parameter LaunchConfigurationHostNames and MinTargetCapacity for CreateAutoProvisioningGroup.

2021-06-08 Version: v1.61.1127
- Generated 2019-01-01 for `Cms`.
- Increase detection frequency for availability monitoring.
- Add application group to query in batch according to group ID.

2021-06-05 Version: v1.61.1126
- Generated 2021-05-10 for `Workorder`.
- Supported new version of Ticket for Alibaba Cloud.

2021-06-05 Version: v1.61.1125
- Generated 2021-05-10 for `Workorder`.
- New API Version of Work Order System.

2021-06-04 Version: v1.61.1124
- Generated 2017-06-13 for `elasticsearch`.
- Add Emon-Service support.
- Remove Deprecated Interfaces.

2021-06-04 Version: v1.61.1123
- Generated 2014-05-26 for `Ecs`.
- Supported multi attach feature for disk.

2021-06-04 Version: v1.61.1122
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Delete live API.

2021-06-03 Version: v1.61.1121
- Generated 2020-03-03 for `devops-rdc`.
- Add name.

2021-06-03 Version: v1.61.1120
- Generated 2020-03-03 for `devops-rdc`.
- Support name.

2021-06-03 Version: v1.61.1119
- Generated 2017-11-10 for `Ens`.
- Support EIP.

2021-06-02 Version: v1.61.1118
- Generated 2016-01-20 for `Kms`.
- Support key deletion protection.

2021-05-31 Version: v1.61.1117
- Generated 2020-04-18 for `DBFS`.
- Support upgrade.

2021-05-28 Version: v1.61.1116
- Generated 2018-05-11 for `sgw`.
- Add TriggerRemoteSync api.

2021-05-28 Version: v1.61.1115
- Generated 2017-06-01 for `hitsdb`.
- Create Lindorm Open api.

2021-05-28 Version: v1.61.1114
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-05-27 Version: v1.61.1113
- Generated 2017-05-25 for `Dysmsapi`.
- Generated for dysmsapi.

2021-05-27 Version: v1.61.1112
- Generated 2019-09-10 for `waf-openapi`.


2021-05-27 Version: v1.61.1111
- Generated 2016-06-07 for `cr`.


2021-05-26 Version: v1.61.1110
- Generated 2015-04-01 for `Sts`.


2021-05-26 Version: v1.61.1109
- Generated 2015-04-01 for `Sts`.
- Update.

2021-05-25 Version: v1.61.1108
- Generated 2020-07-01 for `CCC`.
- Export new API for IVR tracking.

2021-05-25 Version: v1.61.1107
- Generated 2017-11-10 for `Ens`.
- Support EIP.

2021-05-24 Version: v1.61.1106
- Generated 2020-01-01 for `Dts`.
- Support a2a openapi.

2021-05-24 Version: v1.61.1105
- Generated 2020-07-01 for `CCC`.
- Export new API for report.

2021-05-24 Version: v1.61.1104
- Generated 2017-08-01 for `polardb`.
- Support TransformDBClusterPayType.

2021-05-23 Version: v1.61.1103
- Generated 2019-01-23 for `Drds`.
- New API- GetDrdsDbRdsRelationInfo, which can get private RDS list under certain DB out of DRDS instance ID and DB name.

2021-05-22 Version: v1.61.1102
- Generated 2019-11-18 for `address-purification`.
- Aaaaa.

2021-05-21 Version: v1.61.1101
- Generated 2014-05-15 for `Slb`.
- Supported DescribeLoadBalancers with DeleteProtection and so on.

2021-05-21 Version: v1.61.1100
- Generated 2018-04-12 for `EHPC`.
- Support StrictResourceProvision in ApplyNodes.

2021-05-20 Version: v1.61.1099
- Generated 2015-12-01 for `Dds`.
- Upgrade mongodb sdk.

2021-05-20 Version: v1.61.1098
- Generated 2019-01-01 for `HBase`.
- DescribeAvailableResource frequency.

2021-05-19 Version: v1.61.1097
- Generated 2020-05-18 for `dataworks-public`.


2021-05-19 Version: v1.61.1096
- Generated 2019-01-15 for `Qualitycheck`.
- Update API.

2021-05-19 Version: v1.61.1095
- Generated 2020-07-02 for `scsp`.
- Publish multi language sdk.

2021-05-18 Version: v1.61.1094
- Generated 2018-01-20 for `Iot`.
- Add IoT Studio SetStudioProjectCooperation API.
- Add IoT Studio QueryStudioProjectList API.
- Add IoT Studio QueryStudioAppList API.
- Add IoT Studio QueryStudioAppPageListOpen API.
- Add IoT Studio QueryStudioAppDomainListOpen API.
- Add IoT Studio DeleteStudioAppDomainOpen API.
- Add IoT Studio CreateStudioAppDomainOpen API.
- Add IoT Studio GetStudioAppTokenOpen API.
- Add IoT Studio SetupStudioAppAuthModeOpen API.
- Add IoT Studio RefreshStudioAppTokenOpen API.
- Add IoT Studio PublishStudioApp API.

2021-05-18 Version: v1.61.1093
- Generated 2018-04-12 for `EHPC`.
- Support MinCount for AddNodes.
- Support HostNamePreffix and HostNameSuffix for ListNodes.

2021-05-17 Version: v1.61.1092
- Generated 2017-12-25 for `OpenSearch`.
- Add API ListQuotaReviewTasks.

2021-05-17 Version: v1.61.1091
- Generated 2017-07-05 for `CCC`.
- Export new API for predictive dialer.

2021-05-17 Version: v1.61.1090
- Generated 2018-01-15 for `dcdn`.
- Add DescribeDcdnRefreshTaskById.

2021-05-14 Version: v1.61.1089
- Generated 2019-12-30 for `facebody`.
- Release ExtractFingerPrint.

2021-05-14 Version: v1.61.1088
- Generated 2015-01-01 for `R-kvstore`.
- EnableAdditionalBandwidth add AutoRenew,AutoRenewPeriod parameter.

2021-05-14 Version: v1.61.1087
- Generated 2020-03-20 for `imageprocess`.
- Update ScreenChestCT.

2021-05-14 Version: v1.61.1086
- Generated 2019-01-23 for `Drds`.
- Support Private RDS management through OpenAPI.
- ManagePrivateRds to do RDS information query and some management.
- DescribeDrdsRdsInstances to find RDS under a certain DRDS instance.
- UpdatePrivateRdsClass to Upgrade or Downgrade your Private RDS class.

2021-05-14 Version: v1.61.1085
- Generated 2019-01-23 for `Drds`.
- Support Private RDS management through OpenAPI.
- ManagePrivateRds to do RDS information query and some management.
- DescribeDrdsRdsInstances to find RDS under a certain DRDS instance.
- UpdatePrivateRdsClass to Upgrade or Downgrade your Private RDS class.

2021-05-13 Version: v1.61.1084
- Generated 2017-11-10 for `Ens`.
- Support EIP.

2021-05-13 Version: v1.61.1083
- Generated 2020-05-10 for `quotas`.
- Support query quota.
- Supprt create quota increase request.

2021-05-13 Version: v1.61.1082
- Generated 2020-01-01 for `ddoscoo`.


2021-05-13 Version: v1.61.1081
- Generated 2017-06-13 for `elasticsearch`.
- Add Indexing-Service support.
- Remove jsonItem form.

2021-05-12 Version: v1.61.1080
- Generated 2020-04-14 for `codeup`.
- Add GetRepositoryCommit and ListRepositoryCommitDiff API.

2021-05-12 Version: v1.61.1079
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-05-12 Version: v1.61.1078
- Generated 2020-05-18 for `dataworks-public`.


2021-05-11 Version: v1.61.1077
- Generated 2020-05-18 for `dataworks-public`.


2021-05-11 Version: v1.61.1076
- Generated 2015-01-01 for `R-kvstore`.
- CreateInstance API add Port, Tags, DryRun.

2021-05-10 Version: v1.61.1075
- Generated 2019-12-30 for `ocr`.
- Update RecognizeDriverLicense RecognizeLicensePlate.

2021-05-10 Version: v1.61.1074
- Generated 2017-12-25 for `OpenSearch`.
- Add API GenerateMergedTable.
- Add API ListDateSourceTables.
- Add API ListDateSourceTableFields.
- Add API ListRamRoles.

2021-05-10 Version: v1.61.1073
- Generated 2017-11-15 for `scdn`.
- Delete API.

2021-05-10 Version: v1.61.1072
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Delete live API.

2021-05-10 Version: v1.61.1071
- Generated 2018-01-15 for `dcdn`.
- Delete Api.

2021-05-10 Version: v1.61.1070
- Generated 2017-11-15 for `scdn`.
- Delete API.

2021-05-08 Version: v1.61.1069
- Generated 2014-05-15 for `Slb`.
- Support SLB DescribeLoadBalancerListeners.

2021-05-08 Version: v1.61.1068
- Generated 2020-05-18 for `dataworks-public`.


2021-05-08 Version: v1.61.1067
- Generated 2018-01-20 for `Iot`.


2021-05-07 Version: v1.61.1066
- Generated 2014-08-15 for `Rds`.
- Support interface DescribeDBInstanceEncryptionKey for DB Instance Cloud Disk Encryption.

2021-05-06 Version: v1.61.1065
- Generated 2016-11-01 for `live`.


2021-05-06 Version: v1.61.1064
- Generated 2017-08-01 for `Edas`.
- Modify API GetAppDeployment.

2021-05-06 Version: v1.61.1063
- Generated 2018-07-13 for `Ft`.


2021-05-06 Version: v1.61.1062
- Generated 2019-01-15 for `Qualitycheck`.
- Update Open API.

2021-05-06 Version: v1.61.1061
- Generated 2017-08-01 for `polardb`.
- Support DescribePolarSQLCollectorPolicy.

2021-04-30 Version: v1.61.1060
- Generated 2019-08-08 for `ARMS`.
- Add OpenArmsServiceSecondVersion.

2021-04-29 Version: v1.61.1059
- Generated 2015-12-01 for `Dds`.
- ModifyNodeSpec API add SwitchTime.

2021-04-29 Version: v1.61.1058
- Generated 2015-01-01 for `R-kvstore`.
- Add DescribeInstances API.

2021-04-29 Version: v1.61.1057
- Generated 2019-12-30 for `facebody`.
- Update RecognizeFace.

2021-04-29 Version: v1.61.1056
- Generated 2019-08-08 for `ARMS`.
- Mod ListDashboards add parameters,support dashboardName query.

2021-04-29 Version: v1.61.1055
- Generated 2018-03-13 for `Smartag`.
- Support sag reseller.

2021-04-29 Version: v1.61.1054
- Generated 2018-12-12, 2018-12-07 for `UniMkt`.


2021-04-29 Version: v1.61.1053
- Generated 2014-05-15 for `Slb`.
- Support latest openAPIs.

2021-04-28 Version: v1.61.1052
- Generated 2020-07-01 for `CCC`.
- Export new API.

2021-04-27 Version: v1.61.1051
- Generated 2020-03-03 for `devops-rdc`.
- GetProjectMember support pageSize.

2021-04-27 Version: v1.61.1050
- Generated 2016-11-01 for `live`.


2021-04-27 Version: v1.61.1049
- Generated 2017-08-01 for `Edas`.
- Add API GetAppDeployment.
- Modify API DescribeAppInstanceList.

2021-04-27 Version: v1.61.1048
- Generated 2017-09-06 for `imm`.
- Add CustomMessage to CreateMergeFaceGroupsJob.

2021-04-26 Version: v1.61.1047
- Generated 2019-06-01 for `smc`.


2021-04-22 Version: v1.61.1046
- Generated 2014-05-26 for `Ecs`.
- Support NetworkInterface TrafficMode.

2021-04-22 Version: v1.61.1045
- Generated 2014-05-26 for `Ecs`.
- AcceptInquiredSystemEvent adds Choice parameter.
- DescribeInstanceHistoryEvents supports multiple resource types.

2021-04-22 Version: v1.61.1044
- Generated 2017-09-12 for `Cbn`.
- Support CEN latest Apis.

2021-04-22 Version: v1.61.1043
- Generated 2018-11-01 for `dms-enterprise`.
- Support GetPhysicalDatabase API.

2021-04-21 Version: v1.61.1042
- Generated 2020-04-14 for `codeup`.
- Add API to list repo members with group inherited info.

2021-04-20 Version: v1.61.1041
- Generated 2017-09-06 for `imm`.
- Support Tag.

2021-04-20 Version: v1.61.1040
- Generated 2017-07-05 for `CCC`.
- Export predictive dialer API.

2021-04-20 Version: v1.61.1039
- Generated 2017-06-01 for `hitsdb`.
- Create Lindorm Open api.

2021-04-20 Version: v1.61.1038
- Generated 2019-03-07, 2018-09-16, 2020-06-18, 2020-11-12 for `Cloudauth`.
- LivenessFaceVerify ContrastFaceVerify CompareFaceVerify API Return CertifyId.

2021-04-19 Version: v1.61.1037
- Generated 2020-07-01 for `CCC`.
- Export StartBack2BackCall API.

2021-04-17 Version: v1.61.1036
- Generated 2020-03-20 for `imageprocess`.
- Update RunMedQA.

2021-04-16 Version: v1.61.1035
- Generated 2020-03-03 for `devops-rdc`.
- Support devops organization deletion.

2021-04-16 Version: v1.61.1034
- Generated 2020-04-15 for `Privatelink`.
- Add CheckProductOpen.
- Add az routing policy.

2021-04-16 Version: v1.61.1033
- Generated 2017-12-25 for `OpenSearch`.
- Add API GetDomain.
- Add API ListSystemAnalyzers.
- Add parameter domain to API ListAppGroups, ModifyAppGroup, CreateAppGroup, DescribeAppGroup, DescribeApp.

2021-04-14 Version: v1.61.1032
- Generated 2014-05-15 for `Slb`.
- Support latest openAPIs.

2021-04-14 Version: v1.61.1031
- Generated 2019-05-31 for `mse`.
- Support Nacos Config.

2021-04-14 Version: v1.61.1030
- Generated 2017-08-23, 2018-05-09, 2016-12-22 for `Green`.
- Delete MultiMedia Post Scan API.

2021-04-14 Version: v1.61.1029
- Generated 2020-01-01 for `geoip`.
- Download url add fixed domain.

2021-04-13 Version: v1.61.1028
- Generated 2020-01-01 for `Dts`.
- Supported ConfigureDtsJob SynchronizationDirection.
- Fixed DescribePreCheckStatus JobProgress bootTime.

2021-04-13 Version: v1.61.1027
- Generated 2020-03-20 for `videoenhan`.
- Release AddFaceVideoTemplate DeleteFaceVideoTemplate QueryFaceVideoTemplate MergeVideoModelFace.

2021-04-13 Version: v1.61.1026
- Generated 2017-05-25 for `Dyplsapi`.
- Fixed bugs for UnbindSubscription API.

2021-04-12 Version: v1.61.1025
- Generated 2020-07-01 for `CCC`.
- Export config api.

2021-04-12 Version: v1.61.1024
- Generated 2018-01-01 for `pvtz`.
- Update new version.

2021-04-12 Version: v1.61.1023
- Generated 2018-11-01 for `dms-enterprise`.
- Support GetDBTopology API.

2021-04-09 Version: v1.61.1022
- Generated 2019-03-07, 2020-06-18, 2018-09-16 for `Cloudauth`.
- Bank Card Ocr and Verify.

2021-04-09 Version: v1.61.1021
- Generated 2019-01-15 for `Qualitycheck`.
- Update API param.

2021-04-08 Version: v1.61.1020
- Generated 2020-01-01 for `Dts`.
- Supported ModifyDtsJob and DeleteDtsJob.

2021-04-08 Version: v1.61.1019
- Generated 2019-12-30 for `objectdet`.
- Release DetectVideoIPCObject.

2021-04-06 Version: v1.61.1018
- Generated 2019-12-30 for `facebody`.
- Release MonitorExamination.

2021-04-06 Version: v1.61.1017
- Generated 2020-03-20 for `imageprocess`.
- Update ScreenChestCT DetectRibFracture.

2021-04-01 Version: v1.61.1016
- Generated 2018-01-20 for `Iot`.
- Add data service api, including ListAnalyticsData.
- Update file uploading api, including GenerateFileUploadURL.

2021-03-31 Version: v1.61.1015
- Generated 2014-05-26 for `Ecs`.
- Ecs support hibernation.
- DescribeSnapshotGroups add ProgressStatus.

2021-03-30 Version: v1.61.1014
- Generated 2020-11-26 for `Airec`.


2021-03-30 Version: v1.61.1013
- Generated 2017-08-23, 2018-05-09, 2016-12-22 for `Green`.
- Supported MultiMedia Post scan.

2021-03-30 Version: v1.61.1012
- Generated 2018-06-19, 2020-09-28 for `openanalytics-open`.
- Supported Open Api.

2021-03-30 Version: v1.61.1011
- Generated 2018-06-19, 2020-09-28 for `openanalytics-open`.
- Supported Open Api.

2021-03-30 Version: v1.61.1010
- Generated 2018-03-13 for `retailcloud`.
- Monitor.

2021-03-30 Version: v1.61.1009
- Generated 2018-11-01 for `dms-enterprise`.
- Support ListDDLPublishRecords API.
- Fixed GetMetaTableColumn, GetMetaTableDetailInfo API response param DataLength lack of precision.

2021-03-29 Version: v1.61.1008
- Generated 2017-08-01 for `Edas`.
- Modify API CreateGrayEnviroment.

2021-03-26 Version: v1.61.1007
- Generated 2019-01-15 for `Qualitycheck`.
- Update api.

2021-03-26 Version: v1.61.1006
- Generated 2015-01-01 for `R-kvstore`.
- Add RenewAdditionalBandwidth API.

2021-03-26 Version: v1.61.1005
- Generated 2015-12-01 for `Dds`.
- Upgrade mongodb sdk.

2021-03-25 Version: v1.61.1004
- Generated 2017-12-14 for `BssOpenApi`.
- Add DescribeInstanceBill.
- Update QuerySettleBill to support RecordID filter.

2021-03-25 Version: v1.61.1003
- Generated 2019-05-06 for `sae`.
- Release autoscaling apis for timer features.

2021-03-25 Version: v1.61.1002
- Generated 2019-05-31 for `mse`.


2021-03-25 Version: v1.61.1001
- Generated 2020-07-01 for `CCC`.
- Change indicator date type of ListHistoriticalAgentReport.

2021-03-24 Version: v1.61.1000
- Generated 2020-07-01 for `CCC`.
- Export new API.

2021-03-24 Version: v1.61.999
- Generated 2019-05-31 for `mse`.
- Support Nacos Config.

2021-03-24 Version: v1.61.998
- Generated 2019-05-31 for `mse`.


2021-03-23 Version: v1.61.997
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-03-23 Version: v1.61.996
- Generated 2017-09-12 for `Cbn`.
- Cbn endpoints are automatically routed using central mode.

2021-03-22 Version: v1.61.995
- Generated 2017-09-12 for `Cbn`.
- Support some new region.

2021-03-22 Version: v1.61.994
- Generated 2019-06-24 for `eais`.
- CreateEai api adds SecurityGroupId, VSwitchId parameters.

2021-03-22 Version: v1.61.993
- Generated 2017-06-13 for `elasticsearch`.
- Add OneConsole support.
- Add ACK support.
- Edit ListSearchLog etc.

2021-03-21 Version: v1.61.992
- Generated 2017-09-06 for `imm`.
- Support watermark.
- Support pdf preview.

2021-03-19 Version: v1.61.991
- Generated 2019-08-08 for `ARMS`.
- Mod OpenVCluster add parameters, support cloud product assess.
- Mod ListDashboards add parameters, support cloud product query.

2021-03-19 Version: v1.61.990
- Generated 2019-06-01 for `oos`.
- StateConfiguration in CreateStateConfigurationResponse changes from list to single object.

2021-03-19 Version: v1.61.989
- Generated 2019-02-14 for `Ons`.
- Modify the helpUrl parameter of OnsTopicList and OnsGroupList API to be invisible.

2021-03-19 Version: v1.61.988
- Generated 2020-07-01 for `CCC`.
- Export new API.

2021-03-19 Version: v1.61.987
- Generated 2017-07-05 for `CCC`.
- Export new API for predictive dialer.

2021-03-18 Version: v1.61.986
- Generated 2019-08-08 for `ARMS`.
- Edit GetTrace api.
- Edit GetMultipleTrace api.

2021-03-17 Version: v1.61.985
- Generated 2020-04-14 for `codeup`.
- Add organizaition security center API.

2021-03-17 Version: v1.61.984
- Generated 2015-01-01 for `R-kvstore`.
- EnableAdditionalBandwidth API add SourceBiz.
- DescribeAvailableResource add ProductType to support buy OnECS instance.

2021-03-17 Version: v1.61.983
- Generated 2019-01-01 for `Cms`.
- Add group alarm rule resource extension parameter.

2021-03-17 Version: v1.61.982
- Generated 2019-09-30 for `imageenhan`.
- Update MakeSuperResolutionImage.

2021-03-15 Version: v1.61.981
- Generated 2019-01-01 for `Cms`.
- Increase availability monitoring increase HTP header.

2021-03-13 Version: v1.61.980
- Generated 2019-03-15 for `adb`.
- Supportd DescribeTableStatisticsRequest.

2021-03-12 Version: v1.61.979
- Generated 2015-01-01 for `R-kvstore`.
- Add EnableAdditionalBandwidth API.
- Add CreateTairInstance API.

2021-03-12 Version: v1.61.978
- Generated 2018-01-29, 2018-02-08 for `Domain`.
- Supported batch delete for contact template.
- Supported save for contact template.
- Supported set default for contact template.

2021-03-11 Version: v1.61.977
- Generated 2019-12-30 for `facebody`.
- Update DetectIPCPedestrian.

2021-03-09 Version: v1.61.976
- Generated 2017-07-05 for `CCC`.
- Export new API for predictive dialer.

2021-03-08 Version: v1.61.975
- Generated 2017-08-01 for `polardb`.
- Support Mysql Parameter Group API.

2021-03-08 Version: v1.61.974
- Generated 2020-05-18 for `dataworks-public`.


2021-03-04 Version: v1.61.973
- Generated 2019-12-30 for `facebody`.
- Release RecognizeHandGesture.

2021-03-04 Version: v1.61.972
- Generated 2019-12-30 for `ocr`.
- Update Ocr.

2021-03-03 Version: v1.61.971
- Generated 2020-04-14 for `codeup`.
- Add GetRepositoryTagV2 and DeleteRepositoryTagV2 API.

2021-03-03 Version: v1.61.970
- Generated 2019-12-30 for `facebody`.
- Update Compareface.

2021-03-03 Version: v1.61.969
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-03-03 Version: v1.61.968
- Generated 2018-11-01 for `dms-enterprise`.
- Support TableStructSync Order API.
- Support Upload File API.
- Support GetOwnerApplyOrderDetail, GetPermApplyOrderDetail API.
- Support ListDBTaskSQLJob, ListDBTaskSQLJobDetail API.
- Support GetDataCorrectSQLFile API.

2021-03-03 Version: v1.61.967
- Generated 2018-01-15 for `dcdn`.
- Add Api.

2021-03-03 Version: v1.61.966
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Delete API.

2021-03-03 Version: v1.61.965
- Generated 2018-06-01 for `dataworks-public`.


2021-03-03 Version: v1.61.964
- Generated 2020-01-16 for `DAS`.
- Support Redis CacheAnalysis using backupset.
- Support Instance Inspection API.

2021-03-03 Version: v1.61.963
- Generated 2020-03-20 for `imageprocess`.
- Update ScreenChestCT.

2021-03-02 Version: v1.61.962
- Generated 2015-01-09 for `Alidns`.
- Update default endpoints.

2021-03-02 Version: v1.61.961
- Generated 2020-01-16 for `DAS`.
- Support Redis CacheAnalysis using backupset.
- Support Instance Inspection API.

2021-03-02 Version: v1.61.960
- Generated 2015-01-09 for `Alidns`.
- Supported API for dnsCache.
- Supported API for GTM.

2021-03-02 Version: v1.61.959
- Generated 2017-09-06 for `imm`.
- Support GroupCoverFace ExternalId for ListFaceGroups.
- Support ResetItems for UpdateFaceGroup.

2021-03-02 Version: v1.61.958
- Generated 2014-08-28 for `Ess`.
- Optimise input params.

2021-03-01 Version: v1.61.957
- Generated 2018-07-13 for `Ft`.
- AMP Version Change.

2021-03-01 Version: v1.61.956
- Generated 2019-08-08 for `ARMS`.
- Mod ListServerlessTopNApps.

2021-02-28 Version: v1.61.955
- Generated 2018-07-13 for `Ft`.
- AMP Version Change.

2021-02-26 Version: v1.61.954
- Generated 2020-01-01 for `Dts`.
- Add TaskId for DescribeMigrationJobStatus, DescribeSubscriptionInstanceStatus, DescribeSynchronizationJobStatus.
- Add API CreateDtsInstance, ConfigureDtsJob, StartDtsJob.

2021-02-26 Version: v1.61.953
- Generated 2019-08-08 for `ARMS`.
- Add ListServerlessTopNApps.

2021-02-26 Version: v1.61.952
- Generated 2019-03-06 for `Dbs`.
- Support SLR by InitializeDbsServiceLinkedRole action.
- Change DescribeIncrementBackupList and DescribeFullBackupList to Support Range filter by endTimestamp.
- Change DescribeRestoreTaskList to Support Range filter by createTime.

2021-02-25 Version: v1.61.951
- Generated 2019-03-06 for `Dbs`.
- Support SLR by InitializeDbsServiceLinkedRole action.
- Change DescribeIncrementBackupList and DescribeFullBackupList to Support Range filter.

2021-02-24 Version: v1.61.950
- Generated 2020-05-18 for `dataworks-public`.


2021-02-24 Version: v1.61.949
- Generated 2020-06-18, 2020-11-12, 2019-03-07, 2018-09-16 for `Cloudauth`.
- ALL API.

2021-02-23 Version: v1.61.948
- Generated 2019-04-30 for `schedulerx2`.
- Supported List Namespaces.
- Supported List Groups.
- Supported List Jobs.

2021-02-20 Version: v1.61.947
- Generated 2019-08-08 for `ARMS`.
- Add CheckServiceStatus.
- Add OpenXtraceDefaultSLR.
- Add OpenArmsDefaultSLR.

2021-02-19 Version: v1.61.946
- Generated 2019-03-01 for `LinkWAN`.


2021-02-19 Version: v1.61.945
- Generated 2015-01-01 for `R-kvstore`.
- DescribeAvailableResource support AcceptLanguage.

2021-02-19 Version: v1.61.944
- Generated 2017-08-01 for `Edas`.
- Fixed bugs for ListComponents.
- Supported more search condition for ListApplication.

2021-02-19 Version: v1.61.943
- Generated 2015-01-01 for `R-kvstore`.
- Update HasRenewChangeOrder type to Boolean in DescribeInstances.

2021-02-19 Version: v1.61.942
- Generated 2020-03-03 for `devops-rdc`.
- Add update task api.

2021-02-19 Version: v1.61.941
- Generated 2019-12-26 for `OutboundBot`.
- Update version.

2021-02-19 Version: v1.61.940
- Generated 2020-01-16 for `DAS`.
- Supported CacheAnalysis For Redis.

2021-02-19 Version: v1.61.939
- Generated 2016-04-28 for `Vpc`.
- NAT CONVERT2 SUPPORT.

2021-02-19 Version: v1.61.938
- Generated 2020-05-15 for `Vcs`.
- Change Documentation configuration.

2021-02-19 Version: v1.61.937
- Generated 2020-03-20 for `imageprocess`.
- Update DetectLungNodule.

2021-02-19 Version: v1.61.936
- Generated 2019-05-06 for `sae`.
- Release latest features.

2021-02-19 Version: v1.61.935
- Generated 2018-11-01 for `dms-enterprise`.
- Support execute database script via open api.

2021-02-19 Version: v1.61.934
- Generated 2019-01-01 for `HBase`.
- Add 2019 openapi.

2021-02-19 Version: v1.61.933
- Generated 2020-01-16 for `DAS`.
- Supported GetEventOverview for Events.

2021-02-19 Version: v1.61.932
- Generated 2017-08-01 for `polardb`.
- Support ModifyDBClusterPrimaryZone.
- Support DescribeGlobalDatabaseNetworks.

2021-02-19 Version: v1.61.931
- Generated 2020-04-15 for `Privatelink`.
- Add type of payment for endpoint service.
- Add api for opening endpoint.

2021-02-19 Version: v1.61.930
- Generated 2020-07-01 for `CCC`.
- Initial release.

2021-02-19 Version: v1.61.929
- Generated 2020-06-06 for `cams`.
- ChatApp third version.
- Add contack check api.

2021-02-19 Version: v1.61.928
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update domain API.

2021-02-19 Version: v1.61.927
- Generated 2016-12-22, 2017-08-23, 2018-05-09 for `Green`.
- Supported webpage scan.

2021-02-19 Version: v1.61.926
- Generated 2019-01-01 for `Cms`.
- Add alarm contact group by monitor group alarm rules.

2021-02-19 Version: v1.61.925
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update cert API.

2021-02-19 Version: v1.61.924
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2021-02-19 Version: v1.61.923
- Generated 2020-09-28, 2018-06-19 for `openanalytics-open`.
- Supported Open Api.

2021-02-19 Version: v1.61.922
- Generated 2018-01-01 for `pvtz`.
- Update new version.

2021-02-19 Version: v1.61.921
- Generated 2019-09-30 for `imagerecog`.
- Release EvaluateCertificateQuality.

2021-02-08 Version: v1.61.920
- Generated 2018-01-20 for `Iot`.
- Fix IoT Studio BatchBindDevicesIntoProject API return datatype.
- Fix IoT Studio BatchBindProductsIntoProject API return datatype.
- Fix IoT Studio BatchUnbindProjectDevices API return datatype.
- Fix IoT Studio BatchUnbindProjectProducts API return datatype.

2021-02-08 Version: v1.61.919
- Generated 2014-05-26 for `Ecs`.
- Add username for RunCommand and InvokeCommand.

2021-02-08 Version: v1.61.918
- Generated 2019-12-30 for `facebody`.
- Update PedestrianDetectAttribute.

2021-02-07 Version: v1.61.917
- Generated 2018-01-20 for `Iot`.
- Add IoT Studio BatchBindDevicesIntoProject API.
- Add IoT Studio BatchBindProductsIntoProject API.
- Add IoT Studio BatchUnbindProjectDevices API.
- Add IoT Studio BatchUnbindProjectProducts API.

2021-02-07 Version: v1.61.916
- Generated 2019-06-01 for `oos`.
- Support patch manager apis.

2021-02-07 Version: v1.61.915
- Generated 2020-04-14 for `codeup`.
- Support some MergeRequest API.

2021-02-07 Version: v1.61.914
- Generated 2019-12-30 for `facebody`.
- Update GetFaceEntity.

2021-02-05 Version: v1.61.913
- Generated 2020-05-18 for `dataworks-public`.


2021-02-05 Version: v1.61.912
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-02-05 Version: v1.61.911
- Generated 2020-05-18 for `dataworks-public`.


2021-02-04 Version: v1.61.910
- Generated 2019-12-30 for `objectdet`.
- Update DetectVehicleIllegalParking DetectVehicleICongestion.

2021-02-04 Version: v1.61.909
- Generated 2019-12-26 for `OutboundBot`.
- Supported scheduler for outbound call.

2021-02-04 Version: v1.61.908
- Generated 2021-01-12 for `safconsole`.
- Supported console.

2021-02-04 Version: v1.61.907
- Generated 2021-01-12 for `safconsole`.
- Supported console.

2021-02-04 Version: v1.61.906
- Generated 2019-09-30 for `imagerecog`.
- Update TaggingImage.

2021-02-03 Version: v1.61.905
- Generated 2019-06-24 for `eais`.
- After normalizing the API group name, regenerate the SDK.

2021-02-03 Version: v1.61.904
- Generated 2015-01-01 for `R-kvstore`.
- Add ModifyAuditLogConfig API.

2021-02-03 Version: v1.61.903
- Generated 2014-05-15 for `Slb`.
- Support connection drain.

2021-02-02 Version: v1.61.902
- Generated 2021-01-15 for `Subscription`.
- Support for Subscription SDK.

2021-02-02 Version: v1.61.901
- Generated 2021-01-15 for `Subscription`.
- Support for Subscription SDK.

2021-02-02 Version: v1.61.900
- Generated 2020-03-03 for `devops-rdc`.
- Add.

2021-02-02 Version: v1.61.899
- Generated 2015-12-01 for `Dds`.
- CreateShardingDBInstance add ReadOnlyReplicas in ReplicaSet.

2021-02-01 Version: v1.61.898
- Generated 2020-04-20 for `OnsMqtt`.
- Support device credential for mqtt.

2021-02-01 Version: v1.61.897
- Generated 2019-12-30, 2020-09-10 for `facebody`.
- Release GenerateHumanSketchStyle MergeImageFace AddFaceImageTemplate QueryFaceImageTemplate DeleteFaceImageTemplate.

2021-02-01 Version: v1.61.896
- Generated 2020-03-03 for `devops-rdc`.
- Add.

2021-02-01 Version: v1.61.895
- Generated 2020-09-10 for `facebody`.
- Release GenerateHumanSketchStyle MergeImageFace AddFaceImageTemplate QueryFaceImageTemplate DeleteFaceImageTemplate.

2021-02-01 Version: v1.61.894
- Generated 2019-09-30 for `imagerecog`.
- Release RecognizeFood.

2021-02-01 Version: v1.61.893
- Generated 2020-03-20 for `videorecog`.
- Release UnderstandVideoContent.

2021-02-01 Version: v1.61.892
- Generated 2020-03-20 for `videoseg`.
- Release SegmentGreenScreenVideo.

2021-02-01 Version: v1.61.891
- Generated 2019-12-30 for `objectdet`.
- Release DetectVehicleIllegalParking DetectVehicleICongestion.

2021-01-31 Version: v1.61.890
- Generated 2019-01-01 for `HBase`.
- ConvertInstance.

2021-01-30 Version: v1.61.889
- Generated 2020-01-01 for `Dts`.
- Update rate limit.

2021-01-29 Version: v1.61.888
- Generated 2020-11-01 for `CDRS`.
- Update Monitor Api.

2021-01-29 Version: v1.61.887
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-01-29 Version: v1.61.886
- Generated 2020-05-18 for `dataworks-public`.


2021-01-28 Version: v1.61.885
- Generated 2018-03-13 for `retailcloud`.


2021-01-27 Version: v1.61.884
- Generated 2018-10-12 for `alimt`.
- Add New BatchTranslate API.

2021-01-27 Version: v1.61.883
- Generated 2018-10-12 for `alimt`.
- Add New BatchTranslate API.

2021-01-27 Version: v1.61.882
- Generated 2020-06-18, 2020-11-12, 2019-03-07, 2018-09-16 for `Cloudauth`.
- DetectFaceAttributes Add Score.

2021-01-26 Version: v1.61.881
- Generated 2017-08-01 for `polardb`.
- Support ModifyDBClusterPrimaryZone timer task.

2021-01-26 Version: v1.61.880
- Generated 2014-08-28 for `Ess`.
- DescribeScalingInstances return spot info.

2021-01-25 Version: v1.61.879
- Generated 2015-12-15 for `CS`.
- AMP Version Upgrade.

2021-01-25 Version: v1.61.878
- Generated 2014-05-26 for `Ecs`.
- Regenerate SDK to override list implement.

2021-01-25 Version: v1.61.877
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-01-22 Version: v1.61.876
- Generated 2020-11-01 for `CDRS`.
- Update Function.

2021-01-21 Version: v1.61.875
- Generated 2020-04-15 for `Privatelink`.
- Modify some field types.

2021-01-21 Version: v1.61.874
- Generated 2019-09-10 for `waf-openapi`.


2021-01-21 Version: v1.61.873
- Generated 2020-03-03 for `devops-rdc`.
- Add.

2021-01-21 Version: v1.61.872
- Generated 2014-05-26 for `Ecs`.
- Supported RunInstances specifiy Dedicated Host Cluster Id.

2021-01-20 Version: v1.61.871
- Generated 2017-05-25 for `Dysmsapi`.
- Supported post request for golang SDK.

2021-01-20 Version: v1.61.870
- Generated 2019-06-11 for `emas-appmonitor`.
- Add metrics data API.

2021-01-20 Version: v1.61.869
- Generated 2020-11-01 for `CDRS`.


2021-01-19 Version: v1.61.868
- Generated 2020-11-01 for `CDRS`.
- Update Function.

2021-01-19 Version: v1.61.867
- Generated 2020-04-18 for `DBFS`.
- OpenAPI release.

2021-01-18 Version: v1.61.866
- Generated 2019-03-27 for `dg`.


2021-01-18 Version: v1.61.865
- Generated 2018-01-20 for `Iot`.
- Add a set of API to support device distribution management, including CreateProductDistributeJob, CreateDeviceDistributeJob, QueryDeviceDistributeJob, ListDeviceDistributeJob, QueryDeviceDistributeDetail, DeleteDeviceDistributeJob, ListDistributedDevice, ListDistributedProduct etc.

2021-01-18 Version: v1.61.864
- Generated 2018-01-20 for `Iot`.
- Add a set of api to support device distribution management, including CreateProductDistributeJob, CreateDeviceDistributeJob, QueryDeviceDistributeJob, ListDeviceDistributeJob, QueryDeviceDistributeDetail, DeleteDeviceDistributeJob, ListDistributedDevice, ListDistributedProduct etc.

2021-01-18 Version: v1.61.863
- Generated 2020-04-14 for `codeup`.
- Add ListMergeRequests api.
- Add protected branch api, CreateRepositoryProtectedBranch and DeleteRepositoryProtectedBranch.
- Add repository deploy key api, EnableRepositoryDeployKey and CreateRepositoryDeployKey.
- Add UpdateRepository api.
- Update GetUserInfo, support use OrganizationId param to get user organization name.


2021-01-18 Version: v1.61.862
- Generated 2017-12-14 for `BssOpenApi`.
- Add logistics for createinstance.

2021-01-15 Version: v1.61.861
- Generated 2019-08-08 for `xtrace`.
- Add result value spanId for GetTrace api.

2021-01-15 Version: v1.61.860
- Generated 2020-11-01 for `CDRS`.
- Update Function.

2021-01-15 Version: v1.61.859
- Generated 2020-11-01 for `CDRS`.
- Update Function.

2021-01-15 Version: v1.61.858
- Generated 2017-12-25 for `OpenSearch`.
- Add API CreateSortScriptValidation.
- Add parameter resourceGroupId to API ListAppGroups.

2021-01-15 Version: v1.61.857
- Generated 2020-01-01 for `Dts`.
- Remove drcGuidRouteApi, ModifyDtsJobPassword API.

2021-01-15 Version: v1.61.856
- Generated 2016-11-01 for `live`.


2021-01-14 Version: v1.61.855
- Generated 2020-11-01 for `CDRS`.
- Add function.

2021-01-14 Version: v1.61.854
- Generated 2017-12-14 for `BssOpenApi`.
- Add BillingDate support in QueryAccontBill.
- Add SplitAccountId, SplitAccountName, SplitBillingCycle, SplitProductDetail, SplitCommodityCode, ServicePeriodUnit support in QuerySplitItemBill.

2021-01-14 Version: v1.61.853
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2021-01-14 Version: v1.61.852
- Generated 2020-11-01 for `CDRS`.
- Update function.

2021-01-14 Version: v1.61.851
- Generated 2018-11-01 for `dms-enterprise`.
- Fixed ListUsers, GetUser, EnableUser, RegisterUser, DisableUser, DeleteUser API parameter of uid data type error, from number into string.
- Supported ListInstances, GetInstance API to return Owner information.
- Supported SetOwners API to set INSTANCE owner.

2021-01-14 Version: v1.61.850
- Generated 2017-08-01 for `Edas`.
- Modify API InsertApplication.

2021-01-14 Version: v1.61.849
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2021-01-13 Version: v1.61.848
- Generated 2015-01-01 for `R-kvstore`.
- Add SwitchInstanceHA API.
- ModifyInstanceSpec add SourceBiz param.

2021-01-13 Version: v1.61.847
- Generated 2018-01-20 for `Iot`.
- Add support for IoT jobs, including job management and query APIs like CreateJob, UpdateJob, QueryJob, CancelJob, ListTask, QueryTask, QueryJobStatistics etc.

2021-01-12 Version: v1.61.846
- Generated 2020-07-01 for `CCC`.
- Add new API for recording.

2021-01-12 Version: v1.61.845
- Generated 2019-12-30 for `facebody`.
- Update ExtractPedestrianFeatureAttr.

2021-01-12 Version: v1.61.844
- Generated 2017-08-01 for `Edas`.
- Modify API InsertApplication.
- Modify API SynchronizeResource.
- New API UpdateHookConfiguration.
- New API ListApplicationEcc.

2021-01-11 Version: v1.61.843
- Generated 2016-04-08 for `Emr`.


2021-01-11 Version: v1.61.842
- Generated 2016-04-08 for `Emr`.


2021-01-11 Version: v1.61.841
- Generated 2019-06-24 for `eais`.
- Create a new sdk.

2021-01-11 Version: v1.61.840
- Generated 2016-04-08 for `Emr`.


2021-01-11 Version: v1.61.839
- Generated 2019-08-08 for `xtrace`.
- Add result value spanId for GetTrace api.

2021-01-11 Version: v1.61.838
- Generated 2017-08-01 for `polardb`.
- Support DescribeScheduleTasks.
- Support CancelScheduleTasks.
- Upgrade UpgradeDBClusterMinorVersion.

2021-01-11 Version: v1.61.837
- Generated 2020-01-01 for `Dts`.
- Add DescribeConnectionStatus and DescribeDTSIP, remove UpgradeTwoWay.

2021-01-08 Version: v1.61.836
- Generated 2019-01-01 for `Cms`.
- Add API related to resource quota of source monitoring.
- Add a new version of alert log API.

2021-01-08 Version: v1.61.835
- Generated 2020-07-01 for `CCC`.
- Add new API for configuration and report, generate SDK again.

2021-01-07 Version: v1.61.834
- Generated 2020-07-01 for `CCC`.
- Add new API for configuration and report.

2021-01-07 Version: v1.61.833
- Generated 2019-03-06 for `Dbs`.
- Add CreateAndStartBackupPlan.
- Add DescribeDLAService.
- Add CreateDLAService.
- Add CloseDLAService.

2021-01-07 Version: v1.61.832
- Generated 2019-09-10 for `waf-openapi`.


2021-01-07 Version: v1.61.831
- Generated 2020-11-26 for `Airec`.


2021-01-06 Version: v1.61.830
- Generated 2019-01-01 for `HBase`.
- DescribeAvailableResource.

2021-01-06 Version: v1.61.829
- Generated 2020-07-01 for `CCC`.
- Initial release.

2021-01-06 Version: v1.61.828
- Generated 2020-03-20 for `imageprocess`.
- Update DetectLungNodule.

2021-01-06 Version: v1.61.827
- Generated 2020-11-01 for `CDRS`.
- Add API.

2021-01-05 Version: v1.61.826
- Generated 2017-09-06 for `imm`.
- Remove legacy APIs.

2021-01-05 Version: v1.61.825
- Generated 2015-01-01 for `R-kvstore`.
- Add DescribeBackupTasks API.

2021-01-04 Version: v1.61.824
- Generated 2014-08-28 for `Ess`.
- DescribeScalingInstances return spot info.

2021-01-04 Version: v1.61.823
- Generated 2014-05-26 for `Ecs`.


2021-01-04 Version: v1.61.822
- Generated 2015-01-09 for `Alidns`.
- Supported API for GTM.

2020-12-31 Version: v1.61.821
- Generated 2018-01-20 for `Iot`.
- Add support for thing model function block features, including thing model APIs like CreateThingModel,UpdateThingModel,SetDeviceProperty,InvokeThingService etc.

2020-12-31 Version: v1.61.820
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2020-12-31 Version: v1.61.819
- Generated 2019-09-16 for `alikafka`.
- GetInstanceList interface support new result params.

2020-12-30 Version: v1.61.818
- Generated 2015-01-01 for `R-kvstore`.
- Add DescribeActiveOperationTask API.
- Add ModifyActiveOperationTask API.

2020-12-30 Version: v1.61.817
- Generated 2019-09-16 for `alikafka`.
- GetInstanceList interface support new result params.

2020-12-30 Version: v1.61.816
- Generated 2018-03-13 for `retailcloud`.
- Support directly specify image version deploy.

2020-12-30 Version: v1.61.815
- Generated 2019-09-16 for `alikafka`.
- Support new interface UpgradeInstanceVersion, UpdateInstanceConfig.
- StartInstance interface support new params.

2020-12-29 Version: v1.61.814
- Generated 2014-05-26 for `Ecs`.
- Supported SystemDiskPerformanceLevel, SystemDiskDeleteWithInstance, DataDiskPerformanceLevel, NetworkInterfaceSecurityGroupIds, SecurityGroupIds, PrivateIpAddress for CreateLaunchTemplate, CreateLaunchTemplateVersion, DescribeLaunchTemplateVersion.

2020-12-29 Version: v1.61.813
- Generated 2018-04-12 for `EHPC`.
- ListNodesNoPaging return with instance type.

2020-12-28 Version: v1.61.812
- Generated 2020-07-28 for `CloudGameAPI`.
- Add API OutAccountBindStatus.

2020-12-28 Version: v1.61.811
- Generated 2020-05-18 for `dataworks-public`.


2020-12-28 Version: v1.61.810
- Generated 2020-03-20 for `videoenhan`.
- Release InterpolateVideoFrame ToneSdrVideo ConvertHdrVideo.

2020-12-28 Version: v1.61.809
- Generated 2019-12-30 for `facebody`.
- Release GenRealPersonVerificationToken GetRealPersonVerificationResult.

2020-12-28 Version: v1.61.808
- Generated 2017-12-14 for `BssOpenApi`.
- Add CommodityCode For QueryOrderAPI.

2020-12-28 Version: v1.61.807
- Generated 2018-03-13 for `retailcloud`.
- Ecs confirm.

2020-12-28 Version: v1.61.806
- Generated 2019-11-11, 2019-07-01 for `nlp-automl`.
- Add some console API operations.

2020-12-25 Version: v1.61.805
- Generated 2016-04-08 for `Emr`.


2020-12-25 Version: v1.61.804
- Generated 2017-09-06 for `imm`.
- Supported for weboffice edit.

2020-12-25 Version: v1.61.803
- Generated 2017-09-12 for `Cbn`.
- Support CenChildInstanceRouteEntryToCen Operation.

2020-12-24 Version: v1.61.802
- Generated 2019-03-06 for `Dbs`.
- Modify ConfigureBackupPlan.

2020-12-24 Version: v1.61.801
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2020-12-24 Version: v1.61.800
- Generated 2019-12-30 for `facebody`.
- Release CreateBodyDb ListBodyDbs DeleteBodyDb CreateBodyPerson GetBodyPerson ListBodyPerson DeleteBodyPerson AddBodyTrace SearchBodyTrace.

2020-12-24 Version: v1.61.799
- Generated 2019-12-30 for `facebody`.
- Release DetectPedestrianIntrusion.

2020-12-23 Version: v1.61.798
- Generated 2020-11-01 for `CDRS`.
- CDRS First edition.

2020-12-23 Version: v1.61.797
- Generated 2019-01-01 for `HBase`.
- Add 2019 openapi.

2020-12-23 Version: v1.61.796
- Generated 2019-12-30 for `facebody`.
- Release DetectPedestrianIntrusion.

2020-12-23 Version: v1.61.795
- Generated 2020-06-15 for `hitsdb`.
- Create Lindorm Open api.

2020-12-23 Version: v1.61.794
- Generated 2017-06-01 for `hitsdb`.
- Create TSDB Open api.

2020-12-22 Version: v1.61.793
- Generated 2017-09-06 for `imm`.
- Minor chagnes.

2020-12-22 Version: v1.61.792
- Generated 2019-12-30 for `imageseg`.
- Update SegmentAnimal SegmentCommonImage.

2020-12-22 Version: v1.61.791
- Generated 2014-05-15 for `Slb`.
- Support SLB latest OpenAPIs.

2020-12-22 Version: v1.61.790
- Generated 2020-03-20 for `videoenhan`.
- Release InterpolateVideoFrame ToneSdrVideo ConvertHdrVideo.

2020-12-22 Version: v1.61.789
- Generated 2019-12-30 for `facebody`.
- Release InterpolateVideoFrame.

2020-12-22 Version: v1.61.788
- Generated 2020-03-20 for `imageprocess`.
- Release DetectRibFracture.

2020-12-22 Version: v1.61.787
- Generated 2017-09-06 for `imm`.
- Minor chagnes.

2020-12-22 Version: v1.61.786
- Generated 2020-05-18 for `dataworks-public`.


2020-12-21 Version: v1.61.785
- Generated 2014-05-26 for `Ecs`.
- Support Device of LaunchConfiguration_DataDisk.

2020-12-21 Version: v1.61.784
- Generated 2017-08-01 for `polardb`.
- Support DescribeDatabases for page query.
- Support DescribeAccounts for page query.

2020-12-19 Version: v1.61.783
- Generated 2016-01-20 for `Kms`.


2020-12-18 Version: v1.61.782
- Generated 2020-04-14 for `codeup`.
- Support ListRepositories, ListOrganizations, GetUserInfo, ListRepositoryWebhook, DeleteRepositoryWebhook api.
- AddWebhook api support SecretToken.

2020-12-18 Version: v1.61.781
- Generated 2016-01-20 for `Kms`.


2020-12-18 Version: v1.61.780
- Generated 2016-01-20 for `Kms`.
- Release Full Managed Credentials for Aliyun RDS.

2020-12-18 Version: v1.61.779
- Generated 2019-08-08 for `ARMS`.
- Add GetAgentDownloadUrl api.

2020-12-18 Version: v1.61.778
- Generated 2019-09-30 for `imagerecog`.
- Release EvaluateCertificateQuality.

2020-12-18 Version: v1.61.777
- Generated 2019-08-08 for `ARMS`.
- Add ListScenario Api.
- Add ApplyScenario Api.
- Add DeleteScenario Api.

2020-12-18 Version: v1.61.776
- Generated 2020-05-18 for `dataworks-public`.


2020-12-17 Version: v1.61.775
- Generated 2019-12-30 for `imageseg`.
- Update SegmentFood.

2020-12-17 Version: v1.61.774
- Generated 2017-11-15 for `scdn`.
- Update DeleteScdnDomain.

2020-12-17 Version: v1.61.773
- Generated 2014-05-26 for `Ecs`.


2020-12-17 Version: v1.61.772
- Generated 2018-01-15 for `dcdn`.
- Update DeleteDcdnDomain.

2020-12-17 Version: v1.61.771
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DeleteCdnDomain.

2020-12-17 Version: v1.61.770
- Generated 2020-01-11 for `servicemesh`.


2020-12-17 Version: v1.61.769
- Generated 2019-01-15 for `Qualitycheck`.
- Update api.

2020-12-16 Version: v1.61.768
- Generated 2019-09-10 for `waf-openapi`.


2020-12-16 Version: v1.61.767
- Generated 2020-03-03 for `devops-rdc`.
- Support show pipeline history.
- Support show log details.

2020-12-16 Version: v1.61.766
- Generated 2019-03-07, 2020-06-18, 2018-09-16, 2020-11-12 for `Cloudauth`.
- Add Face Attributes.

2020-12-15 Version: v1.61.765
- Generated 2017-08-01 for `Edas`.


2020-12-15 Version: v1.61.764
- Generated 2017-08-01 for `Edas`.
- Fix GetK8sApplication json unmarshal error.

2020-12-15 Version: v1.61.763
- Generated 2019-10-23, 2018-06-13 for `Sls`.
- SDK.

2020-12-15 Version: v1.61.762
- Generated 2019-10-23 for `Sls`.
- SDK.

2020-12-15 Version: v1.61.761
- Generated 2014-08-15 for `Rds`.
- Update Open API.

2020-12-15 Version: v1.61.760
- Generated 2020-11-01 for `CDRS`.
- CDRS First edition.

2020-12-15 Version: v1.61.759
- Generated 2020-11-01 for `CDRS`.
- CDRS First edition.

2020-12-14 Version: v1.61.758
- Generated 2020-03-03 for `devops-rdc`.
- Add update task api.

2020-12-14 Version: v1.61.757
- Generated 2020-03-03 for `devops-rdc`.
- Add update task api.

2020-12-14 Version: v1.61.756
- Generated 2020-11-01 for `CDRS`.
- CDRS First edition.

2020-12-14 Version: v1.61.755
- Generated 2020-03-03 for `devops-rdc`.
- Add update task api.

2020-12-11 Version: v1.61.754
- Generated 2017-06-13 for `elasticsearch`.
- Add Emon route-API support.

2020-12-09 Version: v1.61.753
- Generated 2019-12-30 for `imageseg`.
- Update SegmentCommodity.

2020-12-07 Version: v1.61.752
- Generated 2019-08-08 for `ARMS`.
- Add Listdashboard Api.

2020-12-07 Version: v1.61.751
- Generated 2020-01-01 for `Dts`.
- Remove DescribeSubscriptionObjectModifyStatus.

2020-12-04 Version: v1.61.750
- Generated 2018-02-08, 2018-01-29 for `Domain`.
- Supported broker demand.

2020-12-04 Version: v1.61.749
- Generated 2016-12-22, 2017-08-23, 2018-05-09 for `Green`.
- Support manual scan interface.

2020-12-04 Version: v1.61.748
- Generated 2014-05-26 for `Ecs`.
- ReportInstancesStatus OpenAPI supports IssueCategory parameter.

2020-12-03 Version: v1.61.747
- Generated 2018-01-15 for `dcdn`.
- Update ModifyDcdnService.

2020-12-03 Version: v1.61.746
- Generated 2017-11-15 for `scdn`.
- Update DescribeScdnDomainCertificateInfo.

2020-12-03 Version: v1.61.745
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DescribeDomainMax95BpsData.

2020-12-03 Version: v1.61.744
- Generated 2017-11-15 for `scdn`.
- Update DescribeScdnDomainCertificateInfo.

2020-12-03 Version: v1.61.743
- Generated 2017-11-15 for `scdn`.
- Update DescribeScdnDomainCertificateInfo.

2020-12-03 Version: v1.61.742
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DescribeDomainMax95BpsData.

2020-12-03 Version: v1.61.741
- Generated 2018-01-15 for `dcdn`.
- Update ModifyDcdnService.

2020-12-03 Version: v1.61.740
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DescribeDomainMax95BpsData.

2020-12-03 Version: v1.61.739
- Generated 2017-11-15 for `scdn`.
- Update DescribeScdnDomainCertificateInfo.

2020-12-03 Version: v1.61.738
- Generated 2020-05-18 for `dataworks-public`.


2020-12-03 Version: v1.61.737
- Generated 2019-01-15 for `Qualitycheck`.
- Add new api.

2020-12-03 Version: v1.61.736
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-12-03 Version: v1.61.735
- Generated 2018-01-20 for `Iot`.
- Support data retrieval of Ota module.
- Added script management API,including CreateThingScript,UpdateThingScript,GetThingScript.
- Update OTA API, including DeleteOTAModule,UpdateOTAModule,ListOTATaskByJob.
- Add OTA API, ListOTAModuleVersionsByDevice.

2020-12-03 Version: v1.61.734
- Generated 2020-03-20 for `imageprocess`.
- Update DetectLungNodule.

2020-12-02 Version: v1.61.733
- Generated 2018-06-12 for `VoiceNavigator`.
- Update version.

2020-12-02 Version: v1.61.732
- Generated 2017-08-01 for `polardb`.
- Support CreateDBLink for polardb oracle.
- Support DeleteDBLink for polardb oracle.
- Support DescribeDBLinks for polardb oracle.

2020-12-02 Version: v1.61.731
- Generated 2019-12-26 for `OutboundBot`.
- Update version.

2020-12-02 Version: v1.61.730
- Generated 2019-06-01 for `oos`.
- Support TemplateContent.

2020-12-02 Version: v1.61.729
- Generated 2020-06-30 for `idrsservice`.
- Supported OpenAPI for SDK.

2020-12-02 Version: v1.61.728
- Generated 2019-09-30 for `imageenhan`.
- Release ColorizeImage.

2020-12-02 Version: v1.61.727
- Generated 2020-03-20 for `videoenhan`.
- Release MergeVideoFace EnhanceVideoQuality.

2020-12-02 Version: v1.61.726
- Generated 2019-12-30 for `imageseg`.
- Update SegmentHead.

2020-12-01 Version: v1.61.725
- Generated 2020-01-16 for `DAS`.
- Support new API GetAutonomousNotifyEventsInRange and GetAutonomousNotifyEventContent.

2020-12-01 Version: v1.61.724
- Generated 2020-03-03 for `devops-rdc`.
- Add task api.

2020-12-01 Version: v1.61.723
- Generated 2020-03-03 for `devops-rdc`.
- Add task api.

2020-12-01 Version: v1.61.722
- Generated 2017-07-05 for `CCC`.
- Fixed bugs for CCC.

2020-12-01 Version: v1.61.721
- Generated 2020-09-28, 2018-06-19 for `openanalytics-open`.
- Supported Open Api.

2020-11-30 Version: v1.61.720
- Generated 2019-08-08 for `ARMS`.
- Add OpenARMS api.

2020-11-30 Version: v1.61.719
- Generated 2019-08-08 for `ARMS`.
- Add OpenARMS api.

2020-11-30 Version: v1.61.718
- Generated 2017-08-01 for `Edas`.
- Modify API ScaleoutApplicationWithNewInstances.

2020-11-30 Version: v1.61.717
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update SetVideoSeekConfig.

2020-11-30 Version: v1.61.716
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update SetVideoSeekConfig.

2020-11-30 Version: v1.61.715
- Generated 2017-11-15 for `scdn`.
- Update DescribeScdnDomainCertificateInfo.

2020-11-30 Version: v1.61.714
- Generated 2019-08-08 for `ARMS`.
- Add OpenARMS api.

2020-11-30 Version: v1.61.713
- Generated 2014-05-26 for `Ecs`.
- Support autoPtovisioning whth DiskConfigs.

2020-11-30 Version: v1.61.712
- Generated 2018-01-15 for `dcdn`.
- Update OpenDcdnService.

2020-11-30 Version: v1.61.711
- Generated 2019-01-01 for `HBase`.
- Add SourceType for severless instance.

2020-11-30 Version: v1.61.710
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-11-30 Version: v1.61.709
- Generated 2018-01-15 for `dcdn`.
- Update OpenDcdnService.

2020-11-30 Version: v1.61.708
- Generated 2020-01-16 for `DAS`.
- Supported GetAutonomousNotifyEvents and GetAutonomousNotifyEventDetails.

2020-11-29 Version: v1.61.707
- Generated 2020-01-01 for `Dts`.
- Support CPP and Go and PHP.

2020-11-29 Version: v1.61.706
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-11-29 Version: v1.61.705
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-11-27 Version: v1.61.704
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-11-27 Version: v1.61.703
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-11-27 Version: v1.61.702
- Generated 2018-01-11 for `rtc`.


2020-11-27 Version: v1.61.701
- Generated 2016-01-20 for `Kms`.
- Add Certificate Manager Api.

2020-11-27 Version: v1.61.700
- Generated 2020-03-03 for `devops-rdc`.
- Support taskList.

2020-11-26 Version: v1.61.699
- Generated 2019-03-07, 2020-06-18, 2020-11-12, 2018-09-16 for `Cloudauth`.
- ContrastFaceVerify Support Video.

2020-11-26 Version: v1.61.698
- Generated 2020-07-06, 2017-12-04 for `Actiontrail`.


2020-11-26 Version: v1.61.697
- Generated 2020-07-06 for `Actiontrail`.


2020-11-26 Version: v1.61.696
- Generated 2020-04-14 for `codeup`.
- Add tags api, include GetRepositoryTag, ListRepositoryTags, DeleteRepositoryTag.

2020-11-25 Version: v1.61.695
- Generated 2017-11-15 for `scdn`.
- Update DescribeScdnDomainCertificateInfo.

2020-11-25 Version: v1.61.694
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update SetVideoSeekConfig.

2020-11-25 Version: v1.61.693
- Generated 2014-05-26 for `Ecs`.
- Supported Primary NetworkInterface IP for API DescribeInstances.

2020-11-25 Version: v1.61.692
- Generated 2017-08-01 for `polardb`.
- Support DescribeDBClusterVersion.

2020-11-25 Version: v1.61.691
- Generated 2018-10-12 for `alimt`.
- Add extension field for image translation.

2020-11-24 Version: v1.61.690
- Generated 2017-06-01 for `hitsdb`.
- Create TSDB Open api.

2020-11-24 Version: v1.61.689
- Generated 2017-06-01 for `hitsdb`.
- Create TSDB Open api.

2020-11-24 Version: v1.61.688
- Generated 2017-06-01 for `hitsdb`.
- Create lindorm Open api.

2020-11-24 Version: v1.61.687
- Generated 2020-06-15 for `hitsdb`.
- Create lindorm Open api.

2020-11-24 Version: v1.61.686
- Generated 2019-12-30 for `facebody`.
- Update SearchFace.

2020-11-24 Version: v1.61.685
- Generated 2020-01-01 for `ddoscoo`.


2020-11-23 Version: v1.61.684
- Generated 2019-09-10 for `waf-openapi`.


2020-11-23 Version: v1.61.683
- Generated 2016-02-01 for `Httpdns`.
- Supported multiple Language.

2020-11-23 Version: v1.61.682
- Generated 2020-11-12, 2020-06-18, 2019-03-07, 2018-09-16 for `Cloudauth`.
- Add LivenessDetect API.

2020-11-22 Version: v1.61.681
- Generated 2019-01-01 for `HBase`.
- DescribeClusterConnection.

2020-11-20 Version: v1.61.680
- Generated 2019-03-15 for `fnf`.
- Support ListExecutions with filter functionality.

2020-11-20 Version: v1.61.679
- Generated 2020-03-30, 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-11-20 Version: v1.61.678
- Generated 2019-08-08 for `ARMS`.
- Add dispatchRule CRUD.

2020-11-20 Version: v1.61.677
- Generated 2019-12-30 for `facebody`.
- Update DetectFace.
- Update RecognizeFace.

2020-11-20 Version: v1.61.676
- Generated 2018-10-12 for `alimt`.
- Add a new interface for asynchronous image translation.

2020-11-20 Version: v1.61.675
- Generated 2019-09-10 for `waf-openapi`.


2020-11-19 Version: v1.61.674
- Generated 2015-12-01 for `Dds`.
- Update DescribeDedicatedClusterInstanceList return data.

2020-11-19 Version: v1.61.673
- Generated 2020-01-16 for `DAS`.
- Supported GetEventOverview for Events.

2020-11-19 Version: v1.61.672
- Generated 2020-01-16 for `DAS`.
- Supported GetEventOverview for Events.

2020-11-19 Version: v1.61.671
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update data API.

2020-11-19 Version: v1.61.670
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update data API.

2020-11-19 Version: v1.61.669
- Generated 2017-06-13 for `elasticsearch`.
- Supported International-26888 Sites Region Endpoints.

2020-11-19 Version: v1.61.668
- Generated 2014-08-28 for `Ess`.
- Support performance level.

2020-11-19 Version: v1.61.667
- Generated 2019-12-30 for `facebody`.
- Update GenerateHumanAnimeStyle.

2020-11-19 Version: v1.61.666
- Generated 2019-12-30 for `imageseg`.
- Update SegmentBody.

2020-11-18 Version: v1.61.665
- Generated 2019-09-10 for `waf-openapi`.


2020-11-18 Version: v1.61.664
- Generated 2019-01-01 for `HBase`.
- DescribeInstance support coldStorageSize.

2020-11-18 Version: v1.61.663
- Generated 2015-12-01 for `Dds`.
- Update DescribeDedicatedClusterInstanceList InstanceStatus type.

2020-11-18 Version: v1.61.662
- Generated 2018-01-11 for `rtc`.


2020-11-18 Version: v1.61.661
- Generated 2020-01-16 for `DAS`.
- Supported Hotkey For Redis.

2020-11-18 Version: v1.61.660
- Generated 2019-11-20 for `Ga`.


2020-11-18 Version: v1.61.659
- Generated 2020-01-16 for `DAS`.
- Supported CacheAnalysis For Redis.

2020-11-18 Version: v1.61.658
- Generated 2016-12-22, 2017-08-23, 2018-05-09 for `Green`.
- Supported webpage scan.

2020-11-17 Version: v1.61.657
- Generated 2019-01-08 for `Config`.
- Support event type in timeline of resource properties.
- Support resourceOwnerId in evaluation result.
- Support resource directory in config rule scene.
- Fix terraform related bugs.

2020-11-17 Version: v1.61.656
- Generated 2017-08-01 for `polardb`.
- Support ModifyDBClusterPrimaryZone.
- Support DescribeGlobalDatabaseNetworks.

2020-11-17 Version: v1.61.655
- Generated 2017-06-13 for `elasticsearch`.
- Supported International-26888 Sites Region Endpoints.

2020-11-17 Version: v1.61.654
- Generated 2017-06-13 for `elasticsearch`.
- Supported International-26888 Sites Region Endpoints.

2020-11-17 Version: v1.61.653
- Generated 2017-06-13 for `elasticsearch`.
- Supported International-26888 Sites Region Endpoints.

2020-11-16 Version: v1.61.652
- Generated 2014-05-26 for `Ecs`.
- Nat public IP supports the ISP attribute.

2020-11-16 Version: v1.61.651
- Generated 2020-04-18 for `DBFS`.
- Release for db test.

2020-11-16 Version: v1.61.650
- Generated 2020-04-18 for `DBFS`.
- Release for db test.

2020-11-16 Version: v1.61.649
- Generated 2018-10-12 for `alimt`.
- Add a new interface for asynchronous image translation.

2020-11-16 Version: v1.61.648
- Generated 2020-03-20 for `videoenhan`.
- Update videoenhan.

2020-11-16 Version: v1.61.647
- Generated 2020-03-20 for `videoseg`.
- Update videoseg.

2020-11-16 Version: v1.61.646
- Generated 2020-03-20 for `videorecog`.
- Update videorecog.

2020-11-16 Version: v1.61.645
- Generated 2019-12-30 for `objectdet`.
- Update objectdet.

2020-11-16 Version: v1.61.644
- Generated 2020-03-20 for `imgsearch`.
- Update imgsearch.

2020-11-16 Version: v1.61.643
- Generated 2019-09-30 for `imagerecog`.
- Update imagerecog.

2020-11-16 Version: v1.61.642
- Generated 2019-12-30 for `goodstech`.
- Update goodstech.

2020-11-13 Version: v1.61.641
- Generated 2019-12-30 for `imageaudit`.
- Update Imageaudit.

2020-11-13 Version: v1.61.640
- Generated 2015-01-01 for `R-kvstore`.
- Add DeccribeEngineVersion DescribeTasks DescribeInstanceConfig and more APIs.

2020-11-13 Version: v1.61.639
- Generated 2019-01-01 for `Cms`.
- Fix the paging type parameter of DescribeMetricRuleList API.

2020-11-13 Version: v1.61.638
- Generated 2020-04-14 for `codeup`.
- Fix GetBranchInfo and DeleteBranch API 404 error.
- Add ListRepositoryBranches and GetGroupDetail API.

2020-11-13 Version: v1.61.637
- Generated 2019-12-30 for `ocr`.
- Release DetectCardScreenshot RecognizePoiName.

2020-11-13 Version: v1.61.636
- Generated 2019-09-30 for `imageenhan`.
- Release ErasePerson.

2020-11-13 Version: v1.61.635
- Generated 2019-12-30 for `facebody`.
- Release GenerateHumanAnimeStyle CountCrowd.

2020-11-13 Version: v1.61.634
- Generated 2019-12-30 for `imageseg`.
- Release SegmentHDSky SegmentHDCommonImage.

2020-11-12 Version: v1.61.633
- Generated 2020-04-18 for `DBFS`.
- Release for db test.

2020-11-12 Version: v1.61.632
- Generated 2017-09-06 for `imm`.
- Support drm.

2020-11-12 Version: v1.61.631
- Generated 2019-06-01 for `smc`.


2020-11-12 Version: v1.61.630
- Generated 2018-01-01 for `pvtz`.
- Update new version.

2020-11-12 Version: v1.61.629
- Generated 2019-09-10 for `waf-openapi`.


2020-11-12 Version: v1.61.628
- Generated 2017-08-01 for `polardb`.
- Support DescribeDBClusterTDE.
- Support ModifyDBClusterTDE.

2020-11-12 Version: v1.61.627
- Generated 2020-09-28, 2018-06-19 for `openanalytics-open`.
- Supported Open Api.

2020-11-12 Version: v1.61.626
- Generated 2018-06-19, 2020-09-28 for `openanalytics-open`.
- Support OpenAPI.

2020-11-12 Version: v1.61.625
- Generated 2020-04-15 for `Privatelink`.
- Add type of payment for endpoint service.
- Add api for opening endpoint.

2020-11-12 Version: v1.61.624
- Generated 2017-12-04 for `Actiontrail`.
- Update DescribeTrails Response.

2020-11-05 Version: v1.61.623
- Generated 2019-01-01 for `HBase`.
- Support modifyInstnaceType.

2020-11-04 Version: v1.61.622
- Generated 2019-01-01 for `Cassandra`.


2020-11-04 Version: v1.61.621
- Generated 2019-01-01 for `HBase`.
- Support modifyInstnaceType.

2020-11-04 Version: v1.61.620
- Generated 2019-01-01 for `Cassandra`.


2020-11-04 Version: v1.61.619
- Generated 2019-01-01 for `HBase`.
- Support modifyInstnaceType.

2020-11-03 Version: v1.61.618
- Generated 2015-01-01 for `R-kvstore`.
- Minor update for r-kvstore.

2020-11-03 Version: v1.61.617
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update data API.

2020-11-02 Version: v1.61.616
- Generated 2015-12-01 for `Dds`.
- Support create serverless by day price type.

2020-11-01 Version: v1.61.615
- Generated 2017-06-13 for `elasticsearch`.
- Supported All Console APIs.

2020-10-28 Version: v1.61.614
- Generated 2019-06-01 for `oos`.
- Support GetParameters, GetParametersByPath, GetSecretParameters, GetSecretParametersByPath.

2020-10-28 Version: v1.61.613
- Generated 2020-02-02 for `polardbx`.
- Supported all language sdk.
- Fixed some bugs for polardbx.

2020-10-28 Version: v1.61.612
- Generated 2019-01-23, 2015-04-13, 2016-05-06, 2016-12-13, 2017-10-16 for `Drds`.
- Supported golang sdk.
- Fixed some bugs for drds.

2020-10-27 Version: v1.61.611
- Generated 2017-08-01 for `polardb`.
- Support DescribePendingMaintenanceAction.
- Support ModifyPendingMaintenanceAction.
- Support DescribePendingMaintenanceActions.

2020-10-27 Version: v1.61.610
- Generated 2020-05-18 for `dataworks-public`.


2020-10-27 Version: v1.61.609
- Generated 2019-08-08 for `xtrace`.
- Support Sampling for jaeger.

2020-10-27 Version: v1.61.608
- Generated 2018-08-01 for `cloudesl`.
- Fix bug.

2020-10-27 Version: v1.61.607
- Generated 2020-02-01 for `cloudesl`.
- Add role authority management.

2020-10-26 Version: v1.61.606
- Generated 2014-05-26 for `Ecs`.


2020-10-26 Version: v1.61.605
- Generated 2016-11-01 for `live`.


2020-10-26 Version: v1.61.604
- Generated 2015-01-09 for `Alidns`.
- Supported PaymentType for DescribeDnsProductInstance.

2020-10-26 Version: v1.61.603
- Generated 2014-08-28 for `Ess`.
- Update ScalingConfig parameters.

2020-10-23 Version: v1.61.602
- Generated 2020-05-15 for `Vcs`.
- Change Configuration.

2020-10-23 Version: v1.61.601
- Generated 2016-04-28 for `Vpc`.
- NAT CONVERT2 SUPPORT.

2020-10-23 Version: v1.61.600
- Generated 2020-03-20 for `imageprocess`.
- Update DetectLungNodule.

2020-10-23 Version: v1.61.599
- Generated 2017-09-06 for `imm`.
- Support feedback.

2020-10-22 Version: v1.61.598
- Generated 2020-03-03 for `devops-rdc`.
- Add Pipeline Member api.

2020-10-22 Version: v1.61.597
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update data API.

2020-10-22 Version: v1.61.596
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update cert API.

2020-10-22 Version: v1.61.595
- Generated 2018-01-15 for `dcdn`.
- Update data API.

2020-10-21 Version: v1.61.594
- Generated 2015-01-01 for `R-kvstore`.
- DescribeAvailableResource support AcceptLanguage.

2020-10-21 Version: v1.61.593
- Generated 2020-05-15 for `Vcs`.
- Change Documentation configuration.

2020-10-21 Version: v1.61.592
- Generated 2018-05-11 for `sgw`.
- Cloud Storage Gateway openapi sdk is released.

2020-10-21 Version: v1.61.591
- Generated 2019-05-06 for `sae`.
- Release latest features.

2020-10-21 Version: v1.61.590
- Generated 2020-05-15 for `Vcs`.
- Change Documentation configuration.

2020-10-21 Version: v1.61.589
- Generated 2020-05-15 for `Vcs`.
- Change Documentation configuration.

2020-10-21 Version: v1.61.588
- Generated 2014-06-18 for `Mts`.
- Add custom person interfaces, support registration, update etc.
- Optimize updateSmarttagTemplate interface, set some parameters as optional.

2020-10-21 Version: v1.61.587
- Generated 2018-01-15 for `dcdn`.
- Update cert API.

2020-10-21 Version: v1.61.586
- Generated 2017-11-15 for `scdn`.
- Add PHP sdk.

2020-10-21 Version: v1.61.585
- Generated 2017-11-15 for `scdn`.
- Update Scdn API.

2020-10-20 Version: v1.61.584
- Generated 2019-01-01 for `HBase`.
- Support modifyInstnaceType.

2020-10-20 Version: v1.61.583
- Generated 2019-03-07, 2018-09-16, 2020-06-18 for `Cloudauth`.
- Add LivenessFaceVerify API.

2020-10-20 Version: v1.61.582
- Generated 2020-05-15 for `Vcs`.
- Update Configuration.

2020-10-20 Version: v1.61.581
- Generated 2020-10-10 for `emap`.
- Add isv interface.

2020-10-20 Version: v1.61.580
- Generated 2017-12-25 for `OpenSearch`.
- AddDeleteSortScriptFileApi.

2020-10-20 Version: v1.61.579
- Generated 2016-11-01 for `live`.


2020-10-19 Version: v1.61.578
- Generated 2018-10-12 for `alimt`.
- Add a new interface for asynchronous image translation.

2020-10-16 Version: v1.61.577
- Generated 2018-01-20 for `Iot`.
- Update OTA API, including ListOTAModuleByProduct, DeleteOTAModule.

2020-10-16 Version: v1.61.576
- Generated 2016-08-01 for `Push`.
- Supported AndroidNotificationNotifyId for Push and MassPush.
- Supported iOSNotificationCollapseId for Push and MassPush.

2020-10-16 Version: v1.61.575
- Generated 2019-01-01 for `HBase`.
- Support create for serverlesshbase.

2020-10-16 Version: v1.61.574
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update cert API.

2020-10-16 Version: v1.61.573
- Generated 2018-01-15 for `dcdn`.
- Update cert API.

2020-10-15 Version: v1.61.572
- Generated 2018-08-28 for `Tag`.
- Supported TAG APIs.

2020-10-15 Version: v1.61.571
- Generated 2019-08-08 for `ARMS`.
- Add SaveTraceAppConfig api.

2020-10-15 Version: v1.61.570
- Generated 2020-01-16 for `DAS`.
- Supported CacheAnalysis For Redis.

2020-10-15 Version: v1.61.569
- Generated 2018-06-01 for `dataworks-public`.


2020-10-15 Version: v1.61.568
- Generated 2018-06-01 for `dataworks-public`.


2020-10-14 Version: v1.61.567
- Generated 2014-05-26 for `Ecs`.


2020-10-13 Version: v1.61.566
- Generated 2018-01-11 for `rtc`.


2020-10-13 Version: v1.61.565
- Generated 2018-01-20 for `Iot`.
- Add DeviceCenter API, including QueryDeviceBySQL.
- Add OTA API, including ListOTAModuleByProduct, DeleteOTAModule.
- Update error message in response with InvokeThingService, SetDeviceProperty.
- Update OTA API, including CreateOTAModule, QueryDeviceVersionCountByPkFromOTA, QueryFirmwareByUid.
- Update thing model API, ImportThingModelTsl.

2020-10-13 Version: v1.61.564
- Generated 2016-11-01 for `live`.


2020-10-13 Version: v1.61.563
- Generated 2020-03-20 for `imageprocess`.
- Release DetectSkinDisease RunMedQA.

2020-10-13 Version: v1.61.562
- Generated 2018-01-11 for `rtc`.


2020-10-13 Version: v1.61.561
- Generated 2019-12-30 for `facebody`.
- Release PedestrianDetectAttribute.

2020-10-13 Version: v1.61.560
- Generated 2018-12-12 for `vs`.


2020-10-13 Version: v1.61.559
- Generated 2019-09-30 for `imageenhan`.
- Release GenerateDynamicImage.

2020-10-13 Version: v1.61.558
- Generated 2019-01-01 for `Cassandra`.


2020-10-13 Version: v1.61.557
- Generated 2019-12-30 for `imageseg`.
- Release SegmentSkin.

2020-10-12 Version: v1.61.556
- Generated 2020-04-14 for `codeup`.
- Support add webhook, get repository info via id or path.

2020-10-12 Version: v1.61.555
- Generated 2020-03-30, 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-10-12 Version: v1.61.554
- Generated 2020-03-30, 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-10-12 Version: v1.61.553
- Generated 2018-11-01 for `dms-enterprise`.
- Supported ApproveOrder to add comment message.

2020-10-12 Version: v1.61.552
- Generated 2020-03-03 for `devops-rdc`.
- Add list Organizations.

2020-10-12 Version: v1.61.551
- Generated 2020-06-06 for `cams`.
- ChatApp third version.
- Add contack check api.

2020-10-10 Version: v1.61.550
- Generated 2019-09-16 for `alikafka`.
- Support new param IoMaxSpec for order related interface.

2020-10-09 Version: v1.61.549
- Generated 2017-06-26 for `NAS`.
- Add Tag API and OpenNasService API.

2020-10-09 Version: v1.61.548
- Generated 2017-11-15 for `scdn`.
- Update Scdn API.

2020-10-09 Version: v1.61.547
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update DescribeCdnUserBillHistory API.

2020-10-09 Version: v1.61.546
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update SetVideoSeekConfig API.

2020-09-29 Version: v1.61.545
- Generated 2019-02-14 for `Ons`.
- Add API OpenOnsService which can active ons service.

2020-09-29 Version: v1.61.544
- Generated 2019-02-14 for `Ons`.
- Add API OpenOnsService which can active ons service.

2020-09-29 Version: v1.61.543
- Generated 2020-03-20 for `imageprocess`.
- Update CalcCACS.

2020-09-29 Version: v1.61.542
- Generated 2019-02-14 for `Ons`.
- Add API OpenOnsService which can active ons service.

2020-09-29 Version: v1.61.541
- Generated 2019-02-14 for `Ons`.
- Add API OpenOnsService which can active ons service.

2020-09-29 Version: v1.61.540
- Generated 2018-11-01 for `dms-enterprise`.
- Supported regional API.

2020-09-29 Version: v1.61.539
- Generated 2017-11-15 for `scdn`.


2020-09-28 Version: v1.61.538
- Generated 2017-11-15 for `scdn`.
- Update Scdn API.

2020-09-28 Version: v1.61.537
- Generated 2019-01-01 for `HBase`.
- Support for resize hbaseue multi-zone cluster.

2020-09-28 Version: v1.61.536
- Generated 2018-03-13 for `Smartag`.
- Supported param SmartAGIds for DescribeSmartAccessGateways.

2020-09-28 Version: v1.61.535
- Generated 2016-01-20 for `Kms`.
- Support filtering keys and secrets.
- Support opening KMS service and describing service status by API.
- Add a prefix limitation for SecretName.

2020-09-27 Version: v1.61.534
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update domain API.

2020-09-27 Version: v1.61.533
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update domain API.

2020-09-27 Version: v1.61.532
- Generated 2017-09-06 for `imm`.
- Support Open Service API.

2020-09-27 Version: v1.61.531
- Generated 2015-01-01 for `R-kvstore`.
- DescribeAvailableResource support list available resource for modify instance.

2020-09-25 Version: v1.61.530
- Generated 2019-01-01 for `Cms`.
- Add alarm contact group by monitor group alarm rules.

2020-09-25 Version: v1.61.529
- Generated 2018-12-03 for `Sas`.
- Support DescribeSuspEventQuaraFiles API.
- Support RefreshContainerAsserts API.

2020-09-25 Version: v1.61.528
- Generated 2020-03-30, 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-09-25 Version: v1.61.527
- Generated 2020-03-30, 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-09-24 Version: v1.61.526
- Generated 2019-01-01 for `HBase`.
- Support create for serverlesshbase.

2020-09-24 Version: v1.61.525
- Generated 2019-03-07, 2018-09-16, 2020-06-18 for `Cloudauth`.
- ContrastFaceVerify API Add Model Parameter.

2020-09-24 Version: v1.61.524
- Generated 2015-01-09 for `Alidns`.
- Supported PaymentType for DescribeDnsProductInstance.

2020-09-24 Version: v1.61.523
- Generated 2017-03-21 for `vod`.
- Add a new api named SubmitAIImageAuditJob to submit image ai detection job.
- Add a new api named CreateDNADB to create a DNA analysis library.
- Add a new api named ListDNADB to query the list of DNA analysis libraries.
- Add a new api named GetDNADB to query specified DNA analysis library.
- Add a new field DNADBId to the request parameter Config structure for SubmitAIJob api.

2020-09-24 Version: v1.61.522
- Generated 2020-04-15 for `Privatelink`.


2020-09-23 Version: v1.61.521
- Generated 2019-09-16 for `alikafka`.
- Support security group param when start instance.

2020-09-23 Version: v1.61.520
- Generated 2019-09-16 for `alikafka`.
- Support security group param when start instance.

2020-09-23 Version: v1.61.519
- Generated 2014-05-26 for `Ecs`.
- Add spotDuration support.

2020-09-23 Version: v1.61.518
- Generated 2015-12-15 for `CS`.
- Some new parameters are supported.

2020-09-23 Version: v1.61.517
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update domain API.

2020-09-23 Version: v1.61.516
- Generated 2017-11-15 for `scdn`.
- Update Scdn API.

2020-09-23 Version: v1.61.515
- Generated 2018-01-15 for `dcdn`.
- Sync cdn APIs.

2020-09-22 Version: v1.61.514
- Generated 2017-11-10 for `Ens`.
- Add NetInterface apis.

2020-09-22 Version: v1.61.513
- Generated 2015-01-01 for `R-kvstore`.
- DescribePrice update amount type to string.

2020-09-22 Version: v1.61.512
- Generated 2019-03-08 for `ivision`.


2020-09-22 Version: v1.61.511
- Generated 2018-01-11 for `rtc`.


2020-09-22 Version: v1.61.510
- Generated 2018-12-12 for `vs`.


2020-09-22 Version: v1.61.509
- Generated 2016-11-01 for `live`.


2020-09-21 Version: v1.61.508
- Generated 2017-09-12 for `Cbn`.
- VbrHealthCheck add param VbrInstanceRegionId.

2020-09-21 Version: v1.61.507
- Generated 2018-10-12 for `alimt`.
- Interface add column wordCount.

2020-09-21 Version: v1.61.506
- Generated 2020-05-15 for `Vcs`.
- Add search object.

2020-09-20 Version: v1.61.505
- Generated 2020-05-15 for `Vcs`.
- Add describe devices to return device status.

2020-09-19 Version: v1.61.504
- Generated 2018-11-01 for `dms-enterprise`.
- Support query user tenant list and current active tenant.
- Support query table meta information via table GUID.

2020-09-18 Version: v1.61.503
- Generated 2020-03-20 for `imageprocess`.
- Update DetectLungNodule, DetectSpineMRI, DetectKneeXRay, DetectCovid19Cad.

2020-09-18 Version: v1.61.502
- Generated 2019-01-01 for `Cms`.
- Add alarm notification language settings.

2020-09-17 Version: v1.61.501
- Generated 2020-09-10 for `facebody`.
- Add Api DetectIPCPedestrianOptimized.

2020-09-17 Version: v1.61.500
- Generated 2018-10-12 for `alimt`.
- GetTitleIntelligence add interface.

2020-09-17 Version: v1.61.499
- Generated 2017-08-01 for `polardb`.
- Fix endpoint.

2020-09-17 Version: v1.61.498
- Generated 2017-08-01 for `Edas`.
- Fixed bugs for ListComponents.
- Supported more search condition for ListApplication.

2020-09-16 Version: v1.61.497
- Generated 2014-05-15 for `Slb`.


2020-09-16 Version: v1.61.496
- Generated 2019-06-29 for `industry-brain`.


2020-09-16 Version: v1.61.495
- Generated 2019-06-29 for `industry-brain`.
- Add Content.

2020-09-15 Version: v1.61.494
- Generated 2020-05-15 for `Vcs`.
- Add describe devices to return device status.

2020-09-14 Version: v1.61.493
- Generated 2017-08-01 for `Edas`.
- Fixed bugs for ListComponents.
- Supported more search condition for ListApplication.

2020-09-14 Version: v1.61.492
- Generated 2017-08-01 for `Edas`.
- Fixed bugs for ListComponents.
- Supported more search condition for ListApplication.

2020-09-14 Version: v1.61.491
- Generated 2017-08-01 for `Edas`.
- Fixed bugs for ListComponents.
- Supported more search condition for ListApplication.

2020-09-14 Version: v1.61.490
- Generated 2020-05-15 for `Vcs`.
- Support corp name search.

2020-09-14 Version: v1.61.489
- Generated 2020-05-15 for `Vcs`.
- Support corp name search.

2020-09-12 Version: v1.61.488
- Generated 2018-06-13, 2019-10-23 for `Sls`.
- OpenSlsService and GetSlsService support RAM subaccount.

2020-09-11 Version: v1.61.487
- Generated 2018-11-01 for `dms-enterprise`.
- Support execute database script via open api.

2020-09-10 Version: v1.61.486
- Generated 2019-03-06 for `Dbs`.
- Add DisableBackupLog.
- Add EnableBackupLog.
- Add ReleaseBackupPlan.
- Add ModifyStorageStrategy.
- Modify ModifyBackupStrategy.
- Modify ModifyBackupSetDownloadRules.

2020-09-10 Version: v1.61.485
- Generated 2015-01-01 for `R-kvstore`.
- Update HasRenewChangeOrder type to Boolean in DescribeInstances.

2020-09-09 Version: v1.61.484
- Generated 2017-03-21 for `vod`.
- Add support cn-beijing service region.
- Add ai video cover interface,include submit and query.
- Add dynamic image query interface.
- Update SubmitMediaAuditJob support MediaAuditConfiguration to set ResourceType.

2020-09-09 Version: v1.61.483
- Generated 2019-12-30 for `imageseg`.
- Release ChangeSky.

2020-09-09 Version: v1.61.482
- Generated 2019-12-30 for `facebody`.
- Release DetectChefCap.

2020-09-09 Version: v1.61.481
- Generated 2020-03-20 for `imageprocess`.
- Release DetectKneeKeypointXRay, DetectHipKeypointXRay, CalcCACS, RunCTRegistration, ClassifyFNF.

2020-09-08 Version: v1.61.480
- Generated 2020-01-01 for `tdsr`.
- Supported backend interface for ICBU.

2020-09-08 Version: v1.61.479
- Generated 2017-08-01 for `polardb`.
- Add DescribeActiveOperationTask.
- Add DescribeActiveOperationTaskCount.
- Add DescribeActiveOperationTaskRegion.
- Add DescribeActiveOperationTaskType.
- Add ModifyActiveOperationTask.

2020-09-07 Version: v1.61.478
- Generated 2019-06-01 for `oos`.
- Support parameter APIs.

2020-09-07 Version: v1.61.477
- Generated 2020-05-15 for `Vcs`.
- Add describes devices API.

2020-09-07 Version: v1.61.476
- Generated 2020-05-15 for `Vcs`.
- Add describes devices API.

2020-09-07 Version: v1.61.475
- Generated 2020-05-15 for `Vcs`.
- Add describes devices API.

2020-09-07 Version: v1.61.474
- Generated 2020-05-15 for `Vcs`.
- Add describes devices API.

2020-09-07 Version: v1.61.473
- Generated 2020-05-15 for `Vcs`.
- Add describes devices API.

2020-09-07 Version: v1.61.472
- Generated 2017-08-01 for `Edas`.
- Add API ScaleoutApplicationWithNewInstances.

2020-09-05 Version: v1.61.471
- Generated 2020-05-15 for `Vcs`.
- Add describes devices API.

2020-09-04 Version: v1.61.470
- Generated 2018-01-15 for `dcdn`.
- Sync cdn APIs.

2020-09-04 Version: v1.61.469
- Generated 2017-11-15 for `scdn`.
- Update Scdn API.

2020-09-04 Version: v1.61.468
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Update domain API.

2020-09-04 Version: v1.61.467
- Generated 2017-09-06 for `imm`.
- Add GetImageQuality API.
- Add more info as parameters to Images related APIs.

2020-09-04 Version: v1.61.466
- Generated 2014-05-26 for `Ecs`.


2020-09-04 Version: v1.61.465
- Generated 2014-05-26 for `Ecs`.
- Supported QueueNumber for API CreateNetworkInterface.
- Supported MaximumQueueNumberPerEni, PrimaryEniQueueNumber, SecondaryEniQueueNumber for API DescribeInstanceTypes.
- Supported NetworkInterfaceQueueNumber for API ModifyInstanceAttribute.
- Supported NetworkInterfaceQueueNumber for API RunInstances.

2020-09-02 Version: v1.61.464
- Generated 2019-05-21 for `saf`.
- Support sg for ml region.

2020-09-02 Version: v1.61.463
- Generated 2020-06-06 for `cams`.
- ChatApp second version.
- Support new message fomat.

2020-09-02 Version: v1.61.462
- Generated 2016-07-14 for `CloudAPI`.
- Support auto open service.

2020-09-02 Version: v1.61.461
- Generated 2018-03-13 for `retailcloud`.
- Meshstress.

2020-09-02 Version: v1.61.460
- Generated 2016-08-01 for `Push`.
- Supported AndroidNotificationHuaweiChannel for Push and MassPush.

2020-09-02 Version: v1.61.459
- Generated 2016-08-01 for `Push`.
- Supported AndroidNotificationHuaweiChannel for Push and MassPush.

2020-09-01 Version: v1.61.458
- Generated 2019-03-07, 2018-09-16, 2020-06-18 for `Cloudauth`.
- Add Smart Verify API.

2020-09-01 Version: v1.61.457
- Generated 2019-01-08 for `Config`.
- Support region route.

2020-09-01 Version: v1.61.456
- Generated 2019-01-08 for `Config`.
- Support region route.

2020-09-01 Version: v1.61.455
- Generated 2020-05-15 for `Vcs`.
- Update Parameter.

2020-09-01 Version: v1.61.454
- Generated 2017-07-05 for `CloudCallCenter`.


2020-09-01 Version: v1.61.453
- Generated 2015-01-09 for `Alidns`.
- Supported resource_group_id for DescribeDomainInfo.

2020-08-31 Version: v1.61.452
- Generated 2020-05-15 for `Vcs`.
- Support PersonList.

2020-08-31 Version: v1.61.451
- Generated 2020-05-15 for `Vcs`.
- GetPersonList Support LastShotTime.

2020-08-31 Version: v1.61.450
- Generated 2019-01-08 for `Config`.
- Support config resource recorder deliverychannel rule.

2020-08-31 Version: v1.61.449
- Generated 2019-06-30 for `industry-brain`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-08-31 Version: v1.61.448
- Generated 2019-01-08 for `Config`.
- Support config resource recorder deliverychannel rule.

2020-08-31 Version: v1.61.447
- Generated 2019-06-30 for `industry-brain`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-08-31 Version: v1.61.446
- Generated 2019-06-30 for `industry-brain`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-08-31 Version: v1.61.445
- Generated 2020-05-15 for `Vcs`.
- Add list person visit count API.

2020-08-28 Version: v1.61.444
- Generated 2020-03-03 for `devops-rdc`.
- Add name.

2020-08-28 Version: v1.61.443
- Generated 2018-04-12 for `EHPC`.
- Support multiple security group for one ehpc cluster.
- Update GWS apis.

2020-08-28 Version: v1.61.442
- Generated 2019-06-29 for `industry-brain`.
- Supported Add GetAlgorithmHistoryResult.

2020-08-27 Version: v1.61.441
- Generated 2017-11-10 for `Ens`.
- Add Edge-Edge NetWork apis.

2020-08-27 Version: v1.61.440
- Generated 2020-05-15 for `Vcs`.
- Update parameter.

2020-08-25 Version: v1.61.439
- Generated 2019-12-30 for `facebody`.
- Release ExtractPedestrianFeatureAttribute and BlurFace.

2020-08-25 Version: v1.61.438
- Generated 2020-08-01 for `SmartHosting`.


2020-08-25 Version: v1.61.437
- Generated 2020-05-15 for `Vcs`.
- Add list person visit count API.

2020-08-25 Version: v1.61.436
- Generated 2019-08-10 for `multimediaai`.
- Video Content analytics template introduced to this SDK.

2020-08-24 Version: v1.61.435
- Generated 2020-03-03 for `devops-rdc`.
- Add project api.

2020-08-24 Version: v1.61.434
- Generated 2019-08-08 for `ARMS`.
- Edit QueryMetricByPage api.

2020-08-21 Version: v1.61.433
- Generated 2018-12-12, 2018-12-07 for `UniMkt`.


2020-08-21 Version: v1.61.432
- Generated 2019-08-08 for `ARMS`.
- Add QueryMetricByPage api.
- Add GetAppApiByPage api.

2020-08-20 Version: v1.61.431
- Generated 2020-05-15 for `Vcs`.
- Add list person visit count API.

2020-08-20 Version: v1.61.430
- Generated 2015-01-01 for `R-kvstore`.
- Added Global Distribute Cache OpenAPIs.
- Added direct connection OpenAPIs.

2020-08-19 Version: v1.61.429
- Generated 2016-11-01 for `live`.
- Add DescribeLiveDomainCertificateInfo.

2020-08-19 Version: v1.61.428
- Generated 2020-08-01 for `SmartHosting`.


2020-08-19 Version: v1.61.427
- Generated 2020-08-01 for `SmartHosting`.


2020-08-18 Version: v1.61.426
- Generated 2019-01-01 for `HBase`.
- Support for describe hbaseue multi-zone model.

2020-08-18 Version: v1.61.425
- Generated 2017-12-25 for `OpenSearch`.
- Add API RenewAppGroup.

2020-08-18 Version: v1.61.424
- Generated 2020-04-20 for `OnsMqtt`.
- Support session query operations.

2020-08-17 Version: v1.61.423
- Generated 2020-05-15 for `Vcs`.
- Add list event algorithm details.

2020-08-17 Version: v1.61.422
- Generated 2020-05-15 for `Vcs`.
- Add list event algorithm details.

2020-08-17 Version: v1.61.421
- Generated 2020-05-15 for `Vcs`.
- Add list event algorithm details.

2020-08-17 Version: v1.61.420
- Generated 2019-08-08 for `ARMS`.
- Add GetTrace api.
- Edit Aler api.

2020-08-17 Version: v1.61.419
- Generated 2020-03-03 for `devops-rdc`.
- Add pipeline status api.

2020-08-17 Version: v1.61.418
- Generated 2019-06-25 for `ivpd`.
- Add Api HighlightGameVideo.

2020-08-17 Version: v1.61.417
- Generated 2019-06-25 for `ivpd`.
- Add Api HighlightGameVideo.

2020-08-17 Version: v1.61.416
- Generated 2020-05-15 for `Vcs`.
- Add list event algorithm details.

2020-08-17 Version: v1.61.415
- Generated 2020-05-15 for `Vcs`.
- Add list event algorithm details.

2020-08-17 Version: v1.61.414
- Generated 2020-02-26 for `teambition-aliyun`.
- Fix create project task.

2020-08-17 Version: v1.61.413
- Generated 2020-05-15 for `Vcs`.
- Add new tags for corp group.

2020-08-17 Version: v1.61.412
- Generated 2020-05-15 for `Vcs`.
- Add new tags for corp group.

2020-08-16 Version: v1.61.411
- Generated 2020-05-15 for `Vcs`.
- Add new tags for corp group.

2020-08-14 Version: v1.61.410
- Generated 2017-12-25 for `OpenSearch`.
- Add POP-Model-related APIs.

2020-08-14 Version: v1.61.409
- Generated 2020-02-26 for `teambition-aliyun`.
- Add sdk.

2020-08-14 Version: v1.61.408
- Generated 2019-12-30 for `facebody`.
- Supported Api DetectIPCPedestrian.

2020-08-14 Version: v1.61.407
- Generated 2014-08-15 for `Rds`.
- Supported CheckCloudResourceAuthorized API.

2020-08-14 Version: v1.61.406
- Generated 2020-02-26 for `teambition-aliyun`.
- Add project Api.

2020-08-13 Version: v1.61.405
- Generated 2017-12-14 for `BssOpenApi`.
- Add PipCode and CommodityCode for QueryInstanceBill, QueryBillOverview, QueryBill, QuerySettleBill, QueryAccountBill, QuerySplitItemBill.
- Support BillOwnerId filter for QueryInstanceBill, QueryBillOverview, QueryBill, QuerySettleBill, QueryAccountBill, QuerySplitItemBill.

2020-08-13 Version: v1.61.404
- Generated 2020-03-20 for `imageprocess`.
- Release DetectKneeXRay DetectSpineMRI TranslateMed.

2020-08-13 Version: v1.61.403
- Generated 2020-03-20 for `imageprocess`.
- Release DetectKneeXRay DetectSpineMRI TranslateMed.

2020-08-13 Version: v1.61.402
- Generated 2020-03-20 for `imageprocess`.
- Release DetectKneeXRay DetectSpineMRI TranslateMed.

2020-08-13 Version: v1.61.401
- Generated 2015-12-01 for `Dds`.
- DescribePrice update amount parameters type, float to string.
- Add ResourceGroupId parameter to support resource group.

2020-08-13 Version: v1.61.400
- Generated 2020-03-20 for `videoseg`.
- Release SegmentHalfBody.

2020-08-12 Version: v1.61.399
- Generated 2020-05-15 for `Vcs`.
- Support corp group api.

2020-08-12 Version: v1.61.398
- Generated 2020-03-03 for `devops-rdc`.
- Add pipeline status api.

2020-08-12 Version: v1.61.397
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- SyncDtsStatus API add TaskId parameter.

2020-08-11 Version: v1.61.396
- Generated 2017-01-01 for `Oam`.
- S.

2020-08-11 Version: v1.61.395
- Generated 2017-01-01 for `Oam`.
- Support.

2020-08-11 Version: v1.61.394
- Generated 2014-05-26 for `Ecs`.
- Add ResourceGroup in resource snapshot.

2020-08-10 Version: v1.61.393
- Generated 2020-05-18 for `dataworks-public`.


2020-08-10 Version: v1.61.392
- Generated 2020-05-15 for `Vcs`.
- Add source id for list face detail.

2020-08-10 Version: v1.61.391
- Generated 2020-05-15 for `Vcs`.
- Add extend value for list event detail.

2020-08-09 Version: v1.61.390
- Generated 2020-05-15 for `Vcs`.
- Add extend value for list event detail.

2020-08-08 Version: v1.61.389
- Generated 2020-03-20 for `imgsearch`.
- Update SearchImage.

2020-08-07 Version: v1.61.388
- Generated 2016-04-28 for `Vpc`.
- Supported for eip operation idempotence.

2020-08-07 Version: v1.61.387
- Generated 2018-10-12 for `alimt`.
- GetTitleDiagnose GetTitleGenerate GetImageTranslate supported.

2020-08-07 Version: v1.61.386
- Generated 2020-05-18 for `dataworks-public`.


2020-08-07 Version: v1.61.385
- Generated 2018-10-12 for `alimt`.
- GetTitleDiagnose GetTitleGenerate GetImageTranslate supported.

2020-08-07 Version: v1.61.384
- Generated 2017-08-01 for `Edas`.
- Add new Api CreateIDCImportCommand.

2020-08-07 Version: v1.61.383
- Generated 2017-11-18 for `CSB`.
- Add FindServiceList and GetService qps.

2020-08-06 Version: v1.61.382
- Generated 2017-12-04 for `Actiontrail`.
- Bugfix for DescribeTrails.

2020-08-06 Version: v1.61.381
- Generated 2019-03-07, 2018-09-16, 2020-06-18 for `Cloudauth`.
- Add Smart Cloudauth API.

2020-08-04 Version: v1.61.380
- Generated 2019-12-30 for `ocr`.
- Update RecognizeTable.

2020-08-04 Version: v1.61.379
- Generated 2018-03-13 for `retailcloud`.
- Supported for deploy updateStrategy.

2020-08-04 Version: v1.61.378
- Generated 2020-05-15 for `Vcs`.
- Add Image Url parameter for invoke motor algorithm.

2020-08-04 Version: v1.61.377
- Generated 2020-05-15 for `Vcs`.
- Add source picture url for Monitor.

2020-08-03 Version: v1.61.376
- Generated 2020-05-15 for `Vcs`.
- Add source picture url for Monitor.

2020-08-03 Version: v1.61.375
- Generated 2017-08-23, 2018-05-09, 2016-12-22 for `Green`.
- Fix Some API Response Define.

2020-08-03 Version: v1.61.374
- Generated 2020-05-15 for `Vcs`.
- Add source picture url for Monitor.

2020-08-03 Version: v1.61.373
- Generated 2017-08-23, 2018-05-09, 2016-12-22 for `Green`.
- Add Voice Synchronous Scan API.

2020-08-03 Version: v1.61.372
- Generated 2019-12-30 for `facebody`.
- Add ExtractPedestrianFeatureAttribute.

2020-08-03 Version: v1.61.371
- Generated 2019-05-31 for `mse`.


2020-07-31 Version: v1.61.370
- Generated 2019-08-08 for `ARMS`.
- Edit GetStack api.

2020-07-30 Version: v1.61.369
- Generated 2019-12-30 for `facebody`.
- Update DetectCelebrity.

2020-07-30 Version: v1.61.368
- Generated 2019-03-07, 2018-09-16, 2020-06-18 for `Cloudauth`.
- Add Smart Cloudauth API.

2020-07-30 Version: v1.61.367
- Generated 2017-12-25 for `OpenSearch`.
- Add ABTest-related APIs.
- Add UserAnalyzer-related APIs.
- Add API ListSortExpressions.
- Fix property tag_label of response of ListInterventionDictionaryEntries.

2020-07-30 Version: v1.61.366
- Generated 2020-03-20 for `videoenhan`.
- Add ChangeVideoSize.

2020-07-30 Version: v1.61.365
- Generated 2019-12-30 for `imageseg`.
- Add SegmentLogo SegmentScene.

2020-07-30 Version: v1.61.364
- Generated 2019-12-30 for `facebody`.
- Add DetectCelebrity.

2020-07-30 Version: v1.61.363
- Generated 2020-06-06 for `cams`.
- Supported ChatApp for SDK.

2020-07-29 Version: v1.61.362
- Generated 2014-05-15 for `Slb`.
- Support ModificationProtection.

2020-07-29 Version: v1.61.361
- Generated 2019-03-06 for `Dbs`.
- Add CreateGetDBListFromAgentTask.
- Add GetDBListFromAgent.

2020-07-29 Version: v1.61.360
- Generated 2020-02-25 for `videosearch`.
- API GetTaskStatus return task detail.

2020-07-29 Version: v1.61.359
- Generated 2020-05-18 for `dataworks-public`.


2020-07-28 Version: v1.61.358
- Generated 2018-07-13 for `cas`.
- Publish SDK Certificate API.
- Back 2018-07-13 version.

2020-07-28 Version: v1.61.357
- Generated 2020-04-07 for `cas`.
- Publish SDK For Go and Java.
- Add a certificate package.

2020-07-28 Version: v1.61.356
- Generated 2018-10-12 for `Airec`.


2020-07-27 Version: v1.61.355
- Generated 2014-08-15 for `Rds`.
- Supported CheckCloudResourceAuthorized API.

2020-07-27 Version: v1.61.354
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add HSF apis.

2020-07-24 Version: v1.61.353
- Generated 2019-08-08 for `ARMS`.
- Edit ListTraceApp api with add tags.
- Edit SearchTraceAppByName api with add tags.
- Edut SearchTraceAppByPage api with add tags.

2020-07-24 Version: v1.61.352
- Generated 2017-08-01 for `polardb`.
- Add DescribeBackupTasks.

2020-07-24 Version: v1.61.351
- Generated 2020-05-15 for `Vcs`.
- Change version number.

2020-07-24 Version: v1.61.350
- Generated 2017-09-06 for `imm`.
- Support GetImageCroppingSuggestions API.
- Add Remarks to face group related APIs.
- Add Model parameter to blind watermark related APIs.

2020-07-24 Version: v1.61.349
- Generated 2019-09-16 for `alikafka`.
- Support security group param when start instance.

2020-07-24 Version: v1.61.348
- Generated 2020-04-14 for `codeup`.
- First build.

2020-07-23 Version: v1.61.347
- Generated 2020-04-29 for `cloudgame`.
- Supported CloudGame.

2020-07-23 Version: v1.61.346
- Generated 2018-03-13 for `retailcloud`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-07-23 Version: v1.61.345
- Generated 2018-01-20 for `Iot`.
- Update OTA API, including GenerateOTAUploadURL.

2020-07-23 Version: v1.61.344
- Generated 2017-05-25 for `Dyplsapi`.
- Add AddSecretBlacklist and DeleteSecretBlacklist.
- Suppoort ASR.

2020-07-23 Version: v1.61.343
- Generated 2016-01-20 for `Kms`.
- Add GenerateAndExportDataKey, ExportDataKey, ReEncrypt api.

2020-07-23 Version: v1.61.342
- Generated 2016-01-20 for `Kms`.
- Add GenerateAndExportDataKey, ExportDataKey, ReEncrypt api.

2020-07-22 Version: v1.61.341
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Add SyncDtsStatus API.

2020-07-22 Version: v1.61.340
- Generated 2017-06-13 for `elasticsearch`.
- Add snapshot settings.
- Add ElasticTask.

2020-07-22 Version: v1.61.339
- Generated 2020-05-15 for `Vcs`.
- Add SourceId for SearchFace.

2020-07-22 Version: v1.61.338
- Generated 2020-05-15 for `Vcs`.
- Add source id for file uploader.

2020-07-22 Version: v1.61.337
- Generated 2020-05-15 for `Vcs`.
- Add source id for file uploader.

2020-07-21 Version: v1.61.336
- Generated 2019-03-15 for `adb`.
- Support Tag API.

2020-07-21 Version: v1.61.335
- Generated 2020-05-15 for `Vcs`.
- Add algorithm type for ListPerson.

2020-07-20 Version: v1.61.334
- Generated 2017-08-01 for `Edas`.
- Fix GetK8sApplication json unmarshal error.

2020-07-20 Version: v1.61.333
- Generated 2020-03-03 for `devops-rdc`.
- Add actions.

2020-07-17 Version: v1.61.332
- Generated 2019-03-06 for `Dbs`.
- Add DescribeRegions.
- Modify DescribeFullBackupList.
- Modify DescribeBackupPlanList.
- Modify DescribeRestoreRangeInfo.

2020-07-17 Version: v1.61.331
- Generated 2020-03-03 for `devops-rdc`.
- Add actions.

2020-07-17 Version: v1.61.330
- Generated 2017-08-01 for `polardb`.
- Add DescribeDBClusterAuditLogCollector.
- Add DescribeBackupPolicy.
- Support polardb for pgsql and oracle customize endpoints.

2020-07-16 Version: v1.61.329
- Generated 2017-12-25 for `OpenSearch`.
- Add more OpenAPIs related to QueryProcessor, FirstRank, SecondRank, etc.

2020-07-15 Version: v1.61.328
- Generated 2019-08-08 for `ARMS`.
- Edit ListTraceApp api.
- Edit SearchTraceAppByName api.
- Edut SearchTraceAppByPage api.

2020-07-15 Version: v1.61.327
- Generated 2014-05-26 for `Ecs`.
- Support ModifyImageAttribute by LaunchPermission.
- Support ImageFamily.

2020-07-14 Version: v1.61.326
- Generated 2018-01-20 for `Iot`.
- Add Dynamic Registration APIs, including TransformClientId, DeleteClientIds, QueryClientIds, etc.
- Update OTA API, including CreateOTAStaticUpgradeJob and QueryOTAJob.
- Update Device Shadow API UpdateDeviceShadow.

2020-07-14 Version: v1.61.325
- Generated 2020-05-15 for `Vcs`.
- Add ListEventAlgorithmResult API.

2020-07-14 Version: v1.61.324
- Generated 2020-05-15 for `Vcs`.
- Add ListEventAlgorithmResult API.

2020-07-14 Version: v1.61.323
- Generated 2020-05-15 for `Vcs`.
- Add ListBodyAlgorithmResult API.

2020-07-14 Version: v1.61.322
- Generated 2020-05-15 for `Vcs`.
- Add ListBodyAlgorithmResult API.

2020-07-14 Version: v1.61.321
- Generated 2019-03-07, 2018-09-16 for `Cloudauth`.
- Support Web SDK.

2020-07-14 Version: v1.61.320
- Generated 2020-05-15 for `Vcs`.
- Add ListBodyAlgorithmResult API.

2020-07-13 Version: v1.61.319
- Generated 2020-01-16 for `DAS`.
- Supported Open API for Instance Report.

2020-07-10 Version: v1.61.318
- Generated 2018-03-13 for `Smartag`.
- Supported qos,nat,flowlog for smartag.

2020-07-10 Version: v1.61.317
- Generated 2020-05-15 for `Vcs`.
- Add ListBodyAlgorithmResult API.

2020-07-10 Version: v1.61.316
- Generated 2020-05-15 for `Vcs`.
- Add ListBodyAlgorithmResult API.

2020-07-10 Version: v1.61.315
- Validate network and regionid.

2020-07-09 Version: v1.61.314
- Generated 2019-01-01 for `Cms`.
- Add Log Monitoring API.
- Add and modify non Alibaba Cloud host name API.

2020-07-08 Version: v1.61.313
- Generated 2019-09-28 for `reid`.
- Remove GetFootwearPosition PullTakeShoesEvent PullTryOnShoesEvent.
- Add GetFootwearEvent.
- Please ignore the pd s pot.

2020-07-08 Version: v1.61.312
- Generated 2020-05-15 for `Vcs`.
- Add video compose api.

2020-07-08 Version: v1.61.311
- Generated 2020-05-18 for `dataworks-public`.


2020-07-08 Version: v1.61.310
- Generated 2017-12-25 for `OpenSearch`.
- Support hotword and hint.

2020-07-08 Version: v1.61.309
- Generated 2020-05-15 for `Vcs`.
- Add video summarization related API.

2020-07-07 Version: v1.61.308
- Generated 2020-05-15 for `Vcs`.
- Add video summarization related API.

2020-07-07 Version: v1.61.307
- Generated 2020-05-18 for `dataworks-public`.


2020-07-03 Version: v1.61.306
- Generated 2019-06-25 for `ivpd`.
- Supported UpdateUserBucketConfig.

2020-07-03 Version: v1.61.305
- Generated 2019-06-01 for `oos`.
- Add ListResourceExecutionStatus API.
- ListExecutions API supports filtering by resource id.
- TriggerExecution API supports TimerTrigger.

2020-07-03 Version: v1.61.304
- Generated 2019-02-14 for `Ons`.
- Supports tag management APIs.

2020-07-03 Version: v1.61.303
- Generated 2020-05-15 for `Vcs`.
- Add PicUrl parameter for picture related API.

2020-07-03 Version: v1.61.302
- Generated 2020-05-15 for `Vcs`.
- Add PicUrl parameter for picture related API.

2020-07-02 Version: v1.61.301
- Generated 2020-05-18 for `dataworks-public`.


2020-07-02 Version: v1.61.300
- Generated 2019-09-28 for `reid`.
- Add GetFootwearPosition.
- Add PullTakeShoesEvent.
- Add PullTryOnShoesEvent.

2020-07-02 Version: v1.61.299
- Generated 2019-09-10 for `waf-openapi`.


2020-07-02 Version: v1.61.298
- Generated 2019-09-28 for `reid`.
- Add GetFootwearPosition.
- Add PullTakeShoesEvent.
- Add PullTryOnShoesEvent.

2020-07-02 Version: v1.61.297
- Generated 2019-03-06 for `Dbs`.
- Update endpoint.

2020-07-02 Version: v1.61.296
- Generated 2015-12-01 for `Dds`.
- CreateShardingDBInstance add ProtocolType, to support DynamoDB.
- DescribeDBInstances add return ResourceGroupId.

2020-07-02 Version: v1.61.295
- Generated 2019-09-10 for `waf-openapi`.


2020-07-02 Version: v1.61.294
- Generated 2014-08-15 for `Rds`.


2020-07-01 Version: v1.61.293
- Generated 2020-05-15 for `Vcs`.
- Add ListFace-MotorAlgorithmResults API.

2020-07-01 Version: v1.61.292
- Generated 2019-09-10 for `waf-openapi`.


2020-07-01 Version: v1.61.291
- Generated 2019-01-01 for `Cms`.
- Added API for modifying non Alibaba Cloud host names.
- Fix the required type adjustment of several parameters.

2020-07-01 Version: v1.61.290
- Generated 2019-12-12 for `amqp-open`.
- Add API for GetMetadataAmount.

2020-07-01 Version: v1.61.289
- Generated 2019-05-21 for `saf`.
- Support Saf For ExecuteExtendService.

2020-06-30 Version: v1.61.288
- Generated 2017-11-10 for `Ens`.
- Add VSwitch apis.

2020-06-30 Version: v1.61.287
- Generated 2018-10-12 for `Airec`.


2020-06-30 Version: v1.61.286
- Generated 2020-05-15 for `Vcs`.
- Add ListMetrics API.

2020-06-29 Version: v1.61.285
- Generated 2017-09-06 for `imm`.
- Supported Rotate.

2020-06-29 Version: v1.61.284
- Generated 2019-12-26 for `OutboundBot`.


2020-06-29 Version: v1.61.283
- Generated 2019-12-26 for `OutboundBot`.


2020-06-29 Version: v1.61.282
- Generated 2017-09-06 for `imm`.
- Supported Rotate.

2020-06-29 Version: v1.61.281
- Generated 2019-03-07, 2018-09-16 for `Cloudauth`.
- Add Model Parameter For InitFaceVerify API.

2020-06-28 Version: v1.61.280
- Generated 2019-08-08 for `xtrace`.
- Add proxy user for QueryMetric api.

2020-06-26 Version: v1.61.279
- Generated 2019-06-25 for `ivpd`.
- Supported Api EraseLogoInVideo.

2020-06-24 Version: v1.61.278
- Generated 2017-08-24, 2020-02-17 for `faas`.
- Support faas2-0.

2020-06-24 Version: v1.61.277
- Generated 2019-03-06 for `Dbs`.
- Add DescribeBackupPlanBilling.
- Modify ConfigureBackupPlan.
- Modify CreateBackupPlan.
- Modify CreateRestoreTask.
- Modify DescribeRestoreTaskList.
- Modify DescribeBackupPlanList.
- Modify ModifyBackupSourceEndpoint.
- Modify ModifyBackupStrategy.

2020-06-24 Version: v1.61.276
- Generated 2018-12-01 for `cr_ee`.

2020-06-23 Version: v1.61.275
- Generated 2020-05-15 for `Vcs`.
- Add face quality detection API.

2020-06-23 Version: v1.61.274
- Generated 2020-05-15 for `Vcs`.
- Add face quality detection API.

2020-06-23 Version: v1.61.273
- Generated 2016-06-07 for `cr`.


2020-06-23 Version: v1.61.272
- Generated 2020-05-15 for `Vcs`.
- Add face quality detection API.

2020-06-23 Version: v1.61.271
- Generated 2020-05-15 for `Vcs`.
- Add face quality detection API.

2020-06-23 Version: v1.61.270
- Generated 2017-11-10 for `Ens`.
- Add export self image apis.

2020-06-23 Version: v1.61.269
- Generated 2015-12-15 for `CS`.


2020-06-23 Version: v1.61.268
- Generated 2018-01-29, 2018-02-08 for `Domain`.
- Support SubmitOperationAuditInfo for Support self-service submission of approval information.
- Support SubmitOperationCredentials for self-service submission of certificate information.
- Support CancelOperationAudit for cancel audit.
- Support GetOperationOssUploadPolic for get oss policy.
- Support QueryOperationAuditInfoLis for query audit list.
- Support QueryOperationAuditInfoDetail for query audit details.

2020-06-23 Version: v1.61.267
- Generated 2018-08-28 for `Tag`.


2020-06-22 Version: v1.61.266
- Generated 2017-03-21 for `vod`.
- Add support cn-shenzhen region.

2020-06-22 Version: v1.61.265
- Generated 2019-08-08 for `ARMS`.
- Add GetMultipleTrace api.
- Add SearchTracesByPage api.
- Add GetStack api.

2020-06-21 Version: v1.61.264
- Generated 2020-05-15 for `Vcs`.
- Add persons API.

2020-06-18 Version: v1.61.263
- Generated 2014-08-15 for `Rds`.
- Supported TransformDBInstancePayType API.

2020-06-18 Version: v1.61.262
- Generated 2017-05-25 for `Dypnsapi`.
- Add GetAuthToken OpenAPI.

2020-06-18 Version: v1.61.261
- Generated 2020-03-30, 2019-10-30, 2019-09-19 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-06-17 Version: v1.61.260
- Generated 2014-05-26 for `Ecs`.
- Supported sync create eni and assign private ip.

2020-06-17 Version: v1.61.259
- Generated 2020-03-30, 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-06-16 Version: v1.61.258
- Generated 2018-04-12 for `EHPC`.
- Support TargetImageId in ApplyNodes Interface.

2020-06-16 Version: v1.61.257
- Generated 2017-11-10 for `Ens`.
- Add sshkey apis.

2020-06-15 Version: v1.61.256
- Generated 2019-09-10 for `waf-openapi`.


2020-06-15 Version: v1.61.255
- Generated 2019-09-10 for `waf-openapi`.


2020-06-12 Version: v1.61.254
- Generated 2018-01-20 for `Iot`.
- Add CreateProduct API ProductSecret in Response.
- Add AMQP APIs, including CreateSubscribeRelation, CreateConsumerGroup, etc.
- Add LinkIoTEdge CreateSceneRule API.
- Add LinkIoTEdge DeleteSceneRule API.
- Add LinkIoTEdge UpdateSceneRule API.
- Add LinkIoTEdge GetSceneRule API.
- Add LinkIoTEdge QuerySceneRule API.
- Add LinkIoTEdge EnableSceneRule API.
- Add LinkIoTEdge DisableSceneRule API.
- Add LinkIoTEdge TriggerSceneRule API.
- Add LinkIoTEdge QuerySummarySceneRuleLog API.
- Add LinkIoTEdge QueryDetailSceneRuleLog API.
- Add LinkIoTEdge BindSceneRuleToEdgeInstance API.
- Add LinkIoTEdge UnbindSceneRuleFromEdgeInstance API.
- Add LinkIoTEdge QueryEdgeInstanceSceneRule API.

2020-06-12 Version: v1.61.253
- Generated 2020-05-15 for `Vcs`.
- Update monitor related API.

2020-06-12 Version: v1.61.252
- Generated 2019-01-01 for `HBase`.
- Add support for enable hbaseue extra module like lindorm-search or lindorm-sql.

2020-06-12 Version: v1.61.251
- Generated 2018-10-12 for `Airec`.


2020-06-11 Version: v1.61.250
- Generated 2017-12-14 for `BssOpenApi`.
- Support ServicePeriodUnit in QueryInstanceBill.

2020-06-11 Version: v1.61.249
- Generated 2016-08-01 for `Push`.
- Supported AndroidNotificationVivoChannel for Push and MassPush.

2020-06-10 Version: v1.61.248
- Generated 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-06-10 Version: v1.61.247
- Generated 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-06-08 Version: v1.61.246
- Generated 2016-07-14 for `CloudAPI`.


2020-06-08 Version: v1.61.245
- Generated 2016-07-14 for `CloudAPI`.


2020-06-08 Version: v1.61.244
- Generated 2019-08-08 for `ARMS`.
- Build 20190808 release go sdk for consistency.

2020-06-08 Version: v1.61.243
- Generated 2020-02-19 for `DBFS`.
- Generate dbfs sdk.

2020-06-08 Version: v1.61.242
- Generated 2020-01-01 for `geoip`.
- Support offline instance.

2020-06-05 Version: v1.61.241
- Generated 2017-12-14 for `BssOpenApi`.
- Support split bill.

2020-06-04 Version: v1.61.240
- Generated 2019-11-18 for `address-purification`.
- Support for addrp.

2020-06-04 Version: v1.61.239
- Generated 2019-12-26 for `OutboundBot`.


2020-06-04 Version: v1.61.238
- Generated 2020-05-15 for `Vcs`.
- Update monitor related API.

2020-06-04 Version: v1.61.237
- Generated 2017-03-21 for `vod`.
- Add SubmitMediaDNADeleteJob and ListMediaDNADeleteJob.
- Modify GetMediaAuditResult interface, support ad logo and live result.
- Modify GetMediaAuditResultTimeline interface, support ad logo and live result.

2020-06-04 Version: v1.61.236
- Generated 2020-05-15 for `Vcs`.
- Update monitor related API.

2020-06-03 Version: v1.61.235
- Generated 2016-04-28 for `Vpc`.
- Add enhanced natgateway sdk.

2020-06-03 Version: v1.61.234
- Generated 2019-01-01 for `HBase`.
- Describe describeAvailableResource.

2020-06-03 Version: v1.61.233
- Generated 2019-01-01 for `Cassandra`.


2020-06-03 Version: v1.61.232
- Generated 2019-09-28 for `reid`.
- DescribeCameraStatistics add filed.

2020-06-02 Version: v1.61.231
- Generated 2019-08-08 for `ARMS`.
- Edit SearchTraces api.

2020-06-02 Version: v1.61.230
- Generated 2016-06-07 for `cr`.


2020-06-02 Version: v1.61.229
- Generated 2016-06-07 for `cr`.
- Generated 2016-06-07 for `cr`.

2020-05-29 Version: v1.61.228
- Generated 2019-01-01 for `Cms`.


2020-05-29 Version: v1.61.227
- Generated 2019-01-01 for `Cms`.


2020-05-28 Version: v1.61.226
- Generated 2016-08-01 for `Push`.
- Supported AndroidNotificationXiaomiChannel for Push and MassPush.

2020-05-27 Version: v1.61.225
- Generated 2017-12-25 for `OpenSearch`.
- Add app-group-management and quota-updating APIs.
- Add app management APIs.

2020-05-27 Version: v1.61.224
- Generated 2015-12-01 for `Dds`.
- Added cn-heyuan endpoint url.
- Added cn-wulanchabu endpoint url.

2020-05-27 Version: v1.61.223
- Generated 2019-01-01 for `HBase`.
- Add support for create hbaseue multizone instance.

2020-05-26 Version: v1.61.222
- Generated 2017-09-12 for `Cbn`.
- Support Bandwidth Package Tempupgrade.

2020-05-26 Version: v1.61.221
- Generated 2018-12-03 for `Sas`.
- Support DescribeAllEntity API.

2020-05-26 Version: v1.61.220
- Generated 2019-11-11 for `nlp-automl`.
- Add smartcall service api.

2020-05-26 Version: v1.61.219
- Generated 2019-11-11 for `nlp-automl`.
- Add smartcall service api.

2020-05-26 Version: v1.61.218
- Generated 2020-05-15 for `Vcs`.
- Add monitor related API.

2020-05-26 Version: v1.61.217
- Generated 2020-05-15 for `Vcs`.
- Add monitor related.

2020-05-26 Version: v1.61.216
- Generated 2020-05-15 for `Vcs`.
- Add monitor related.

2020-05-25 Version: v1.61.215
- Generated 2020-05-15 for `Vcs`.
- Add monitor related.

2020-05-25 Version: v1.61.214
- Generated 2020-05-15 for `Vcs`.
- Add monitor related.

2020-05-23 Version: v1.61.213
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Add ModifyResourceGroup API.
- DescribeInstanceAttribute return ResourceGroupId.

2020-05-22 Version: v1.61.212
- Generated 2019-03-15 for `fnf`.
- Add schedule crud api.

2020-05-21 Version: v1.61.211
- Generated 2018-04-12 for `EHPC`.
- Support more error Codes.

2020-05-20 Version: v1.61.210
- Generated 2017-08-01 for `Edas`.
- Add supportting for deploy K8s application across zones.
- Add supportting for choosing K8s application runtime class.

2020-05-20 Version: v1.61.209
- Generated 2019-09-10 for `waf-openapi`.


2020-05-20 Version: v1.61.208
- Generated 2019-08-08 for `ARMS`.
- Edit GetTrace and SearchTraces api.

2020-05-20 Version: v1.61.207
- Generated 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-05-19 Version: v1.61.206
- Generated 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api Overseas.

2020-05-19 Version: v1.61.205
- Generated 2020-05-15 for `Vcs`.
- Initial version.

2020-05-19 Version: v1.61.204
- Generated 2020-01-01 for `ddoscoo`.


2020-05-19 Version: v1.61.203
- Generated 2014-08-28 for `Ess`.
- Add ListTagKeys, ListTagValues etc.

2020-05-19 Version: v1.61.202
- Generated 2014-08-28 for `Ess`.
- Add ListTagKeys, ListTagValues etc.

2020-05-18 Version: v1.61.201
- Generated 2018-04-12 for `EHPC`.
- Support sequence for listNodes.
- Support StrictSatisfiedTargetCapacity for applyNodes.


2020-05-18 Version: v1.61.200
- Generated 2019-09-28 for `reid`.
- Fix DescribeIpcLiveAddress , add in params.

2020-05-18 Version: v1.61.199
- Generated 2016-11-01 for `live`.
- Support live audio audit config API.

2020-05-17 Version: v1.61.198
- Generated 2020-05-15 for `Vcs`.
- Open API publish.

2020-05-17 Version: v1.61.197
- Generated 2020-05-15 for `Vcs`.
- Open API publish.

2020-05-17 Version: v1.61.196
- Generated 2020-05-15 for `Vcs`.
- Open API publish.

2020-05-17 Version: v1.61.195
- Generated 2020-05-15 for `Vcs`.
- Open API publish.

2020-05-15 Version: v1.61.194
- Generated 2018-01-20 for `Iot`.
- Add LinkIoTEdge CreateEdgeInstanceChannel, BatchDeleteEdgeInstanceChannel, UpdateEdgeInstanceChannel, BatchGetEdgeInstanceChannel, QueryEdgeInstanceChannel, QueryEdgeInstanceDeviceByDriver, BatchGetEdgeInstanceDeviceDriver, BatchSetEdgeInstanceDeviceChannel, BatchGetEdgeInstanceDeviceChannel API.
- Add LinkIoTEdge BindApplicationToEdgeInstance, UnbindApplicationFromEdgeInstance API.
- Add LinkIoTEdge ReplaceEdgeInstanceGateway, ReleaseEdgeDriverVersion, BatchGetDeviceBindStatus API.

2020-05-14 Version: v1.61.193
- Generated 2019-04-30 for `schedulerx2`.
- Supported Grant Permission.
- Supported Revoke Permission.

2020-05-14 Version: v1.61.192
- Generated 2020-01-21 for `DemoCenter`.
- Add demo edition auth.

2020-05-13 Version: v1.61.191
- Generated 2019-09-28 for `reid`.
- Add ListDevicesImages DescribeIpcLiveAddress.
- Modify DescribeDevices.

2020-05-13 Version: v1.61.190
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add ExportTas apis.

2020-05-13 Version: v1.61.189
- Generated 2019-09-10 for `waf-openapi`.


2020-05-13 Version: v1.61.188
- Generated 2018-03-13 for `retailcloud`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-05-13 Version: v1.61.187
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add ExportTas apis.

2020-05-13 Version: v1.61.186
- Generated 2019-03-07, 2018-09-16 for `Cloudauth`.
- About 2019-03-07 and 2018-09-16 Version.

2020-05-12 Version: v1.61.185
- Generated 2020-01-01 for `ddoscoo`.


2020-05-12 Version: v1.61.184
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Fix DescribeCacheAnalysisReport return empty BigKeys because of wrong type defination.

2020-05-12 Version: v1.61.183
- Generated 2019-09-10 for `waf-openapi`.


2020-05-12 Version: v1.61.182
- Generated 2017-09-06 for `imm`.
- Supported DRM.

2020-05-11 Version: v1.61.181
- Generated 2018-04-12 for `EHPC`.
- Add new openapi ApplyNodes.

2020-05-11 Version: v1.61.180
- Generated 2017-08-01 for `polardb`.
- Support CreationCategory for CreateDBCluster.

2020-05-09 Version: v1.61.179
- Generated 2019-01-01 for `Cassandra`.


2020-05-09 Version: v1.61.178
- Generated 2019-09-28 for `reid`.
- DescribeCamerasStatistics add pvType.

2020-05-09 Version: v1.61.177
- Generated 2020-01-01 for `ddoscoo`.


2020-05-09 Version: v1.61.176
- Generated 2020-01-01 for `ddoscoo`.


2020-05-09 Version: v1.61.175
- Generated 2020-01-01, 2017-12-28 for `ddoscoo`.


2020-05-08 Version: v1.61.174
- Fix ROA Signature Error.

2020-05-08 Version: v1.61.173
- Generated 2019-05-21 for `saf`.
- Support sg for region.

2020-05-06 Version: v1.61.172
- Generated 2019-01-01 for `HBase`.
- Describe describeAvailableResource.

2020-05-06 Version: v1.61.171
- Generated 2020-04-28 for `PaiStudio`.
- Init.

2020-04-30 Version: v1.61.170
- Generated 2019-10-23 for `Sls`.
- App intefaces.

2020-04-30 Version: v1.61.169
- Generated 2018-06-13 for `Sls`.
- App intefaces.

2020-04-30 Version: v1.61.168
- Generated 2019-08-08 for `ARMS`.
- Add prometheus ListDashboards api.

2020-04-29 Version: v1.61.167
- Generated 2019-08-08 for `ARMS`.
- Add prometheus ListDashboards api.

2020-04-29 Version: v1.61.166
- Generated 2019-08-08 for `ARMS`.
- Build 20190808 release sdk.

2020-04-29 Version: v1.61.165
- Generated 2017-09-06 for `imm`.
- Supported VideoProduce.

2020-04-29 Version: v1.61.164
- Generated 2017-09-06 for `imm`.
- Supported VideoProduce.

2020-04-29 Version: v1.61.163
- Generated 2019-09-10 for `waf-openapi`.


2020-04-29 Version: v1.61.162
- Generated 2019-06-01 for `oos`.
- Add ListTemplateVersions API.
- GenerateExecutionPolicy supports TemplateVersion.
- CreateTemplate and UpdateTemplate support VersionName.


2020-04-29 Version: v1.61.161
- Generated 2020-04-20 for `OnsMqtt`.
- Support groupId operations.

2020-04-29 Version: v1.61.160
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add ExportTas apis.

2020-04-29 Version: v1.61.159
- Generated 2018-10-12 for `alimt`.
- Support Document Translation.
- Support Lanuage Detection.

2020-04-29 Version: v1.61.158
- Generated 2018-01-15 for `dcdn`.
- Sync cdn APIs.

2020-04-29 Version: v1.61.157
- Generated 2019-09-10 for `waf-openapi`.


2020-04-29 Version: v1.61.156
- Generated 2017-11-15 for `scdn`.
- Add Scdn APIS.
- Sync cdn APIS.

2020-04-28 Version: v1.61.155
- Generated 2019-03-07 for `Cloudauth`.
- Add CompareFaceVerify API.

2020-04-28 Version: v1.61.154
- Generated 2019-03-15 for `fnf`.


2020-04-28 Version: v1.61.153
- Generated 2019-09-10 for `waf-openapi`.


2020-04-27 Version: v1.61.152
- Generated 2017-09-06 for `imm`.
- Support watermark.

2020-04-27 Version: v1.61.151
- Generated 2019-01-01 for `HBase`.
- Describe describeAvailableResource.

2020-04-27 Version: v1.61.150
- Generated 2019-03-07 for `Cloudauth`.
- ContrastFaceVerify Return SubCode.

2020-04-27 Version: v1.61.149
- Generated 2019-10-10 for `LRG`.
- New api.

2020-04-27 Version: v1.61.148
- Generated 2019-08-08 for `ARMS`.
- Build 20190808 release sdk.

2020-04-27 Version: v1.61.147
- Generated 2019-08-08 for `ARMS`.
- Build 20190808 release sdk.

2020-04-27 Version: v1.61.146
- Generated 2019-01-01 for `Cassandra`.


2020-04-27 Version: v1.61.145
- Generated 2020-03-31 for `ResourceManager`.
- The first open version.

2020-04-26 Version: v1.61.144
- Generated 2019-10-23 for `Sls`.
- App intefaces.

2020-04-26 Version: v1.61.143
- Generated 2020-03-26 for `Workorder`.
- New api publish.

2020-04-25 Version: v1.61.142
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Add RestoreTime for CreateInstance API.

2020-04-24 Version: v1.61.141
- Generated 2019-08-10 for `multimediaai`.
- Template update.

2020-04-24 Version: v1.61.140
- Generated 2019-11-22 for `ledgerdb`.
- Publish apis for ledger instances.
- Publish apis for members.
- Publish apis for time anchors.
- Publish apis for endpoints.

2020-04-24 Version: v1.61.139
- Generated 2019-11-22 for `ledgerdb`.
- Publish apis for ledger instances.
- Publish apis for members.
- Publish apis for time anchors.
- Publish apis for endpoints.

2020-04-23 Version: v1.61.138
- Generated 2018-11-01 for `dms-enterprise`.
- GetUser API return user execute query count information.

2020-04-23 Version: v1.61.137
- Generated 2016-08-01 for `Push`.
- Fixed bugs for MassPush API.

2020-04-23 Version: v1.61.136
- Generated 2020-01-01 for `geoip`.
- Add location info.

2020-04-23 Version: v1.61.135
- Generated 2020-04-20 for `OnsMqtt`.
- Support groupId operations.

2020-04-22 Version: v1.61.134
- Generated 2018-11-01 for `dms-enterprise`.


2020-04-22 Version: v1.61.133
- Generated 2019-01-01 for `Cassandra`.


2020-04-22 Version: v1.61.132
- Generated 2019-01-01 for `Cassandra`.


2020-04-21 Version: v1.61.131
- Generated 2020-02-25 for `videosearch`.
- VideoSearch deploy SDK.

2020-04-21 Version: v1.61.130
- Generated 2015-01-09 for `Alidns`.
- Supported API for DescribeTags.
- Supported API for ListTagResources.
- Supported API for TagResources.
- Supported API for UntagResources.

2020-04-21 Version: v1.61.129
- Generated 2019-06-25 for `ivpd`.
- Supported PackageDesign Apis.
- Supported Api ListPackageDesignModelTypes.
- Supported Api PreviewModelForPackageDesign.
- Supported Api RenderImageForPackageDesign.
- Supported Api GetRenderResult.

2020-04-21 Version: v1.61.128
- Generated 2017-11-18 for `CSB`.
- Add Statistics API.

2020-04-20 Version: v1.61.127
- Generated 2014-06-18 for `Mts`.
- Add TemplateId.

2020-04-20 Version: v1.61.126
- Generated 2019-03-07 for `Cloudauth`.
- Fix FaceContrastPicture.

2020-04-20 Version: v1.61.125
- Generated 2017-06-13 for `elasticsearch`.
- Add kibana network white Ips.

2020-04-19 Version: v1.61.124
- Generated 2019-08-10 for `multimediaai`.
- Multimedia poc modified.

2020-04-17 Version: v1.61.123
- Generated 2014-05-26 for `Ecs`.
- DescribeInstanceTypes support TotalEniQueueQuantity.

2020-04-16 Version: v1.61.122
- Generated 2014-06-18 for `Mts`.
- Modify `SubmitSmarttagJob`.

2020-04-16 Version: v1.61.121
- Generated 2017-06-13 for `elasticsearch`.
- Add ModifyWhiteIps.

2020-04-16 Version: v1.61.120
- Generated 2014-05-26 for `Ecs`.
- Add BatchOptimization param in Stop and Start Instances.
- Add RemoveSymbols in GetInstanceConsoleOutput.
- Add ImageFamily in ModifyImageAttribute.
- Customize InstanceType on DedicatedHosts is supported.
- Add StorageCapacityUnit interfaces.
- Add param Tag in CreateAutoSnapshotPolicy.

2020-04-16 Version: v1.61.119
- Generated 2017-07-05 for `CCC`.


2020-04-16 Version: v1.61.118
- Generated 2017-07-05 for `CCC`.
- Add features for open api.

2020-04-16 Version: v1.61.117
- Generated 2017-08-01 for `Edas`.
- Increase the elastic expansion pop interface.
- Increase the service method list pop interface.

2020-04-15 Version: v1.61.116
- Generated 2019-11-11 for `nlp-automl`.
- Add pre train service api.

2020-04-15 Version: v1.61.115
- Generated 2015-12-01 for `Dds`.
- CreateNode API add return NodeId.

2020-04-15 Version: v1.61.114
- Generated 2020-04-08 for `visionai-poc`.
- Vision-poc response modified.

2020-04-14 Version: v1.61.113
- Generated 2019-06-25 for `ivpd`.
- Supported CreateSegmentBodyJob.

2020-04-13 Version: v1.61.112
- Generated 2017-06-26 for `NAS`.

2020-04-13 Version: v1.61.111
- Generated 2019-06-01 for `oos`.
- Fix ListTaskExecutions SDK error.

2020-04-13 Version: v1.61.110
- Generated 2019-09-10 for `waf-openapi`.


2020-04-11 Version: v1.61.109
- Generated 2019-08-08 for `ARMS`.


2020-04-10 Version: v1.61.108
- Generated 2017-09-06 for `imm`.
- Support GetOfficeEditURL.
- Support RefreshOfficeEditToken.

2020-04-10 Version: v1.61.107
- Generated 2020-01-01 for `geoip`.
- Support DescribeIpv4Location.

2020-04-09 Version: v1.61.106
- Generated 2019-08-08 for `ARMS`.
- Add prometheus api AddGrafana and AddIntegration.

2020-04-09 Version: v1.61.105
- Generated 2017-06-26 for `NAS`.

2020-04-09 Version: v1.61.104
- Generated 2017-08-01 for `polardb`.


2020-04-09 Version: v1.61.103
- Generated 2018-03-13 for `retailcloud`.


2020-04-09 Version: v1.61.102
- Generated 2019-09-10 for `waf-openapi`.


2020-04-09 Version: v1.61.101
- Generated 2015-12-01 for `Dds`.
- Add DescribePrice API.

2020-04-09 Version: v1.61.100
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Add DescribePrice API.

2020-04-09 Version: v1.61.99
- Generated 2019-09-10 for `waf-openapi`.
- WAF OpenApi SDK Release.

2020-04-09 Version: v1.61.98
- Generated 2017-08-01 for `polardb`.
- Add DescribeDBClusterAvailableResources.

2020-04-08 Version: v1.61.97
- Generated 2019-03-07 for `Cloudauth`.
- Add SubCode for DescribeFaceVerify.

2020-04-08 Version: v1.61.96
- Generated 2019-09-10 for `waf-openapi`.


2020-04-07 Version: v1.61.95
- Generated 2020-02-06 for `acm`.
- Support namespaces.

2020-04-07 Version: v1.61.94
- Generated 2020-03-20 for `imgsearch`.


2020-04-07 Version: v1.61.93
- Generated 2019-12-30 for `facebody`.


2020-04-07 Version: v1.61.92
- Generated 2020-02-06 for `acm`.
- Support namespaces.

2020-04-07 Version: v1.61.91
- Generated 2019-08-08 for `ARMS`.
- Update SearchAlertRules response struct.

2020-04-03 Version: v1.61.90
- Generated 2019-08-08 for `ARMS`.
- Add trace api.
- Add prometheus api.

2020-04-03 Version: v1.61.89
- Generated 2020-02-01 for `cloudesl`.
- Support shelf type for planogram position.

2020-04-03 Version: v1.61.88
- Generated 2017-12-25 for `OpenSearch`.
- Support sort script.

2020-04-02 Version: v1.61.87
- Generated 2017-11-18 for `CSB`.
- Add slo metrics.

2020-04-02 Version: v1.61.86
- Generated 2019-03-07 for `Cloudauth`.
- Add API ContrastFaceVerify.

2020-04-02 Version: v1.61.85
- Generated 2019-03-15 for `fnf`.
- Support for WaitTimeSeconds for DescribeExecution.

2020-04-01 Version: v1.61.84
- Generated 2019-03-07 for `Cloudauth`.
- DescribeVerifyToken API Add Parameters-UserIp and UserPhoneNumber and UserRegistTime.

2020-04-01 Version: v1.61.83
- Generated 2019-09-10 for `waf-openapi`.


2020-04-01 Version: v1.61.82
- Generated 2019-09-10 for `waf-openapi`.


2020-04-01 Version: v1.61.81
- Generated 2019-06-01 for `oos`.
- Parameters is string in StartExecution Response.

2020-04-01 Version: v1.61.80
- Generated 2019-06-01 for `oos`.
- Counters and Parameters are changed to Map in ListExections and StartExecution.

2020-04-01 Version: v1.61.79
- Generated 2018-08-01 for `dts`.

2020-03-25 Version: v1.61.78
- Generated 2018-01-11 for `rtc`.
- Supported describe appkey for rtc application.
- Supported set property for rtc channel.
- Fixed the missing error code description for rtc removeterminal.

2020-03-24 Version: v1.61.77
- Generated 2014-05-26 for `Ecs`.
- DescribeInstanceTypes Supports EniIpv6AddressQuantity.

2020-03-24 Version: v1.61.76
- Generated 2014-05-26 for `Ecs`.
- DescribeInstanceTypes Supports EniIpv6AddressQuantity.

2020-03-24 Version: v1.61.75
- Generated 2019-09-01 for `ahas-openapi`.


2020-03-24 Version: v1.61.74
- Generated 2018-10-10 for `Yundun-bastionhost`.


2020-03-24 Version: v1.61.73
- Generated 2018-10-29 for `Yundun-dbaudit`.


2020-03-23 Version: v1.61.72
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Add DescribeSecurityGroupConfiguration API.
- Add ModifySecurityGroupConfiguration API.

2020-03-23 Version: v1.61.71
- Generated 2014-08-15 for `Rds`.
- Generated 2014-08-15 for `Rds`.

2020-03-22 Version: v1.61.70
- Generated 2014-08-15 for `Rds`.


2020-03-20 Version: v1.61.69
- Generated 2018-05-22 for `eas`.
- Add GetNetworkInterface interface.

2020-03-20 Version: v1.61.68
- Generated 2015-05-01 for `Ram`.
- RAM role support MaxSessionDuration.

2020-03-18 Version: v1.61.67
- Generated 2015-01-09 for `Alidns`.
- Supported API for DescribeInstanceDomains.

2020-03-18 Version: v1.61.66
- Generated 2020-02-06 for `acm`.
- ACM POP SDK.

2020-03-18 Version: v1.61.65
- Generated 2019-11-18 for `address-purification`.
- Support product addrp.

2020-03-18 Version: v1.61.64
- Generated 2017-08-24 for `faas`.
- Support GO-SDK for 20170824 version.

2020-03-18 Version: v1.61.63
- Generated 2018-08-28 for `Tag`.


2020-03-16 Version: v1.61.62
- Generated 2019-03-07 for `Cloudauth`.
- DescribeFaceVerify API Return DeviceToken Field.

2020-03-16 Version: v1.61.61
- Generated 2019-01-01 for `Cms`.
- Add exporter related API.

2020-03-16 Version: v1.61.60
- Generated 2019-12-12 for `amqp-open`.
- Release.
- Add virtual host modification API.
- Add exchange modification API.
- Add queue modification API.
- Add binding modification API.

2020-03-16 Version: v1.61.59
- Generated 2014-05-26 for `Ecs`.
- Add ImageFamily paramters and apis, in Instance creation apis and Image query apis, and add DescribeImageFromFamily.
- Add Instance batch operation apis RebootInstances StartInstances and StopInstances.
- Add EncryptAlgorithm paramter in instance creati

2020-03-13 Version: v1.61.58
- Generated 2020-02-06 for `acms-open`.
- ACM POP SDK.

2020-03-12 Version: v1.61.57
- Generated 2019-06-12 for `MaxCompute`.
- Apply delete project api.
- Apply get project api.

2020-03-12 Version: v1.61.56
- Generated 2014-08-28 for `Ess`.
- Add ListTagKeys, ListTagValues etc.

2020-03-12 Version: v1.61.55
- Generated 2014-08-28 for `Ess`.
- Add ListTagKeys, ListTagValues etc.

2020-03-12 Version: v1.61.54
- Generated 2014-08-28 for `Ess`.
- Add ListTagKeys, ListTagValues etc.

2020-03-12 Version: v1.61.53
- Generated 2014-08-28 for `Ess`.
- Add ListTagKeys, ListTagValues etc.

2020-03-12 Version: v1.61.52
- Generated 2019-06-25 for `ivpd`.
- Add new Api SegmentBody.

2020-03-11 Version: v1.61.51
- Generated 2018-08-08 for `Eci`.

2020-03-11 Version: v1.61.50
- Generated 2018-08-08 for `Eci`.

2020-03-11 Version: v1.61.49
- Generated 2015-12-01 for `Dds`.
- Update structure for DescribeAvailableResource without compatible.

2020-03-11 Version: v1.61.48
- Generated 2019-06-25 for `ivpd`.
- Add new Api SegmentBody.

2020-03-11 Version: v1.61.47
- Generated 2018-10-12 for `alimt`.
- Support certificate translate.

2020-03-11 Version: v1.61.46
- Generated 2018-10-12 for `alimt`.
- Support certificate translate.

2020-03-10 Version: v1.61.45
- Generated 2020-02-06 for `acms-open`.
- ACM POP SDK.

2020-03-10 Version: v1.61.44
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add ExportTas apis.

2020-03-10 Version: v1.61.43
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add ExportTas apis.

2020-03-09 Version: v1.61.42
- Generated 2019-03-06 for `Dbs`.
- Add BackupStorageType.

2020-03-09 Version: v1.61.41
- Generated 2017-09-06 for `imm`.
- Add EmotionConfidence to GetImage.

2020-03-09 Version: v1.61.40
- Generated 2019-11-11 for `nlp-automl`.
- NlpAutoml update contract api.

2020-03-09 Version: v1.61.39
- Generated 2019-11-11 for `nlp-automl`.
- NlpAutoml update contract api.

2020-03-09 Version: v1.61.38
- Generated 2019-11-11 for `nlp-automl`.
- NlpAutoml update contract api.

2020-03-06 Version: v1.61.37
- Generated 2018-01-20 for `Iot`.
- Add LinkIoTEdge CreateEdgeOssPreSignedAddress API.

2020-03-06 Version: v1.61.36
- Generated 2018-01-20 for `Iot`.
- Add LinkIoTEdge CreateEdgeOssPreSignedAddress API.

2020-03-06 Version: v1.61.35
- Generated 2018-09-19 for `saf`.
- Supported Saf for cn.

2020-03-06 Version: v1.61.34
- Generated 2018-09-19 for `saf`.
- Supported Saf for cn.

2020-03-06 Version: v1.61.33
- Generated 2019-05-21 for `saf`.
- Supported Saf for oversea.

2020-03-06 Version: v1.61.32
- Generated 2019-02-14 for `Ons`.
- Add request parameter groupType for OnsGroupCreate.
- Add request parameter groupType for OnsGroupList.

2020-03-05 Version: v1.61.31
- Generated 2017-09-12 for `Cbn`.
- Support flow log.
- Support route map.

2020-03-05 Version: v1.61.30
- Generated 2018-04-12 for `EHPC`.
- Add param InstanceType for ListImages and ListCustomImages.
- Fix error codes for SubmitJobs and so on.

2020-03-05 Version: v1.61.29
- Generated 2018-01-20 for `Iot`.
- Add CreateEdgeDriver, DeleteEdgeDriver, BatchGetEdgeDriver, QueryEdgeDriver, CreateEdgeDriverVersion, DeleteEdgeDriverVersion, UpdateEdgeDriverVersion, GetEdgeDriverVersion, QueryEdgeDriverVersion API.
- Add ResetThing API, support reset thing topo and 

2020-03-05 Version: v1.61.28
- Generated 2019-12-11 for `OnsMqtt`.
- Update send message noPresistFlag param.

2020-03-04 Version: v1.61.27
- Generated 2017-08-01 for `Edas`.
- Add UpdateK8sResource API.

2020-03-04 Version: v1.61.26
- Generated 2019-09-28 for `reid`.
- Update.

2020-03-04 Version: v1.61.25
- Generated 2017-08-01 for `Edas`.
- Add UpdateK8sResource API.

2020-03-04 Version: v1.61.24
- Generated 2019-10-30 for `aliyuncvc`.
- Public beta version.
- Add Api GetMeetingMebers.

2020-03-03 Version: v1.61.23
- Generated 2016-01-20 for `Kms`.
- Supported secretmanager stable version for kms.

2020-03-03 Version: v1.61.22
- Generated 2016-01-20 for `Kms`.
- Supported secretmanager stable version for kms.

2020-03-03 Version: v1.61.21
- Generated 2020-01-08 for `PartnerBill`.
- Add first bill method of GetPartnerInstancesMonthBill.

2020-03-03 Version: v1.61.20
- Generated 2020-01-01 for `geoip`.
- GeoIP Databases SDK initial release.

2020-03-03 Version: v1.61.19
- Generated 2016-01-20 for `Kms`.
- Supported secretmanager for kms.

2020-02-28 Version: v1.61.18
- Generated 2017-05-25 for `Dyplsapi`.
- Add QueryPhoneNoAByTrackNo  and AddAxnTrackNo.

2020-02-28 Version: v1.61.17
- Generated 2016-04-28 for `Vpc`.
- Supported for eip operation idempotence.

2020-02-28 Version: v1.61.16
- Generated 2016-01-20 for `Kms`.
- Supported secretmanager for kms.

2020-02-28 Version: v1.61.15
- Generated 2016-04-28 for `Vpc`.
- Supported for eip operation idempotence.

2020-02-28 Version: v1.61.14
- Generated 2018-10-12 for `alimt`.
- Add translate api.

2020-02-27 Version: v1.61.13
- Generated 2018-07-13 for `Ft`.
- Release Ft SDK.

2020-02-27 Version: v1.61.12
- Generated 2018-07-13 for `Ft`.
- Release Ft SDK.

2020-02-26 Version: v1.61.11
- Generated 2017-06-13 for `elasticsearch`.
- Fix tag upper case parameters.
- Fix patch.

2020-02-26 Version: v1.61.10
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Add VpcCloudInstanceId for DescribeInstanceAttribute.

2020-02-26 Version: v1.61.9
- Generated 2019-03-07 for `Cloudauth`.
- Add InitFaceVerify and DescribeFaceVerify API.

2020-02-25 Version: v1.61.8
- Generated 2018-11-01 for `dms-enterprise`.
- Fix ListWorkFlowTemplates, ListWorkFlowNodes API Go SDK build error.

2020-02-25 Version: v1.61.7
- Generated 2019-03-06 for `Dbs`.
- Update backupsetDownloadset fun.

2020-02-24 Version: v1.61.6
- Generated 2019-01-01 for `HBase`.
- ImmediateDelete.
- DescribeInstance CreateTimeUTC ExpireTimeUTC.
- DescribeInstances CreateTimeUTC ExpireTimeUTC.
- DescribeIpWhitelist Groups GroupName.
- CreateCluster.

2020-02-24 Version: v1.61.5
- Generated 2018-07-13 for `Ft`.
- Release Ft SDK.

2020-02-24 Version: v1.61.4
- Generated 2015-12-01 for `Dds`.
- Update endpoints.

2020-02-24 Version: v1.61.3
- Generated 2015-12-01 for `Dds`.
- Update endpoints.

2020-02-24 Version: v1.61.2
- Generated 2018-07-13 for `Ft`.
- Release Ft SDK.

2020-02-24 Version: v1.61.1
- Add PATCH into requests.

2020-02-24 Version: v1.60.392
- Generated 2017-06-13 for `elasticsearch`.
- Add tag of list instance parameters.

2020-02-24 Version: v1.60.391
- Generated 2017-06-13 for `elasticsearch`.
- Add tag of list instance parameters.

2020-02-24 Version: v1.60.390
- Generated 2018-06-12 for `VoiceNavigator`.


2020-02-24 Version: v1.60.389
- Generated 2019-12-26 for `OutboundBot`.


2020-02-24 Version: v1.60.388
- Generated 2019-12-26 for `OutboundBot`.


2020-02-21 Version: v1.60.387
- Generated 2019-09-10 for `waf-openapi`.


2020-02-21 Version: v1.60.386
- Support TAG API.

2020-02-20 Version: v1.60.385
- Generated 2019-09-28 for `reid`.


2020-02-20 Version: v1.60.384
- Generated 2019-01-01 for `Cms`.
- Fix the problem that the three APIs, disablesitemonitors, enablesitemonitors and modifysitemonitor, return result fields are not fully define.

2020-02-20 Version: v1.60.383
- Generated 2018-03-13 for `retailcloud`.
- Add new api ListUsers.
- Supported userRole setting for api, CreateApp, UpdateApp, DescribeAppDetail.

2020-02-19 Version: v1.60.382
- Generated 2017-09-12 for `Cbn`.
- Support terraform.
- Support flow log.
- Support route map.

2020-02-15 Version: v1.60.381
- Generated 2018-11-01 for `dms-enterprise`.
- Supported ListWorkFlowTemplates, ListWorkFlowNodes API.

2020-02-15 Version: v1.60.380
- Generated 2017-08-01 for `polardb`.
- Add DescribeDBClusterSSL.
- Add ModifyDBClusterSSL.

2020-02-14 Version: v1.60.379
- Generated 2015-01-09 for `Alidns`.
- Update default endpoints.

2020-02-14 Version: v1.60.378
- Generated 2019-03-15 for `fnf`.
- Add callback params to StartExecution API.
- Support ListExecutions with Status API.

2020-02-14 Version: v1.60.377
- Generated 2015-04-01 for `Sts`.
- Use standard endpoints.

2020-02-14 Version: v1.60.376
- Generated 2018-01-01 for `pvtz`.
- Update default endpoints.

2020-02-14 Version: v1.60.375
- Generated 2019-01-01 for `Cms`.
- Fix the field definition for the site monitoring option OptionJson.

2020-02-13 Version: v1.60.374
- Generated 2014-05-26 for `Ecs`.
- ModifyNetworkInterfaceAttribute support modify QueueNumber.
- DescribeNetworkInterfaces support QueueNumber.

2020-02-13 Version: v1.60.373
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add Staging apis.

2020-02-13 Version: v1.60.372
- Generated 2014-05-26 for `Ecs`.
- ModifyNetworkInterfaceAttribute support modify QueueNumber.
- DescribeNetworkInterfaces support QueueNumber.

2020-02-13 Version: v1.60.371
- Generated 2014-05-26 for `Ecs`.
- ModifyNetworkInterfaceAttribute support modify QueueNumber.
- DescribeNetworkInterfaces support QueueNumber.

2020-02-13 Version: v1.60.370
- Generated 2014-05-26 for `Ecs`.
- ModifyNetworkInterfaceAttribute support modify QueueNumber.
- DescribeNetworkInterfaces support QueueNumber.

2020-02-13 Version: v1.60.369
- Generated 2014-05-26 for `Ecs`.
- ModifyNetworkInterfaceAttribute support modify QueueNumber.
- DescribeNetworkInterfaces support QueueNumber.

2020-02-13 Version: v1.60.368
- Generated 2014-05-26 for `Ecs`.
- ModifyNetworkInterfaceAttribute support modify QueueNumber.
- DescribeNetworkInterfaces support QueueNumber.

2020-02-13 Version: v1.60.367
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add Staging apis.

2020-02-13 Version: v1.60.366
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add Staging apis.

2020-02-13 Version: v1.60.365
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add Staging apis.

2020-02-13 Version: v1.60.364
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add Staging apis.

2020-02-13 Version: v1.60.363
- Generated 2014-11-11, 2018-05-10 for `Cdn`.
- Add Staging apis.

2020-02-13 Version: v1.60.362
- Generated 2018-11-01 for `dms-enterprise`.
- Fix GetDataCorrectOrderDetail API return empty database information.

2020-02-13 Version: v1.60.361
- Init MQTT SDK .

2020-02-12 Version: v1.60.360
- Generated 2020-01-21 for `DemoCenter`.
- Support to create, describe and expire demo access token.

2020-02-12 Version: v1.60.359
- Generated 2017-08-01 for `polardb`.
- Return `VpcInstanceId ` for DescribeDBClusterEndpoints.
- Add DescribeBackupLogs.

2020-02-12 Version: v1.60.358
- Generated 2019-03-06 for `Dbs`.
- Add Full showStorageTyp.

2020-02-12 Version: v1.60.357
- Generated 2018-01-11 for `rtc`.
- Support mau.

2020-02-11 Version: v1.60.356
- Generated 2018-01-20 for `Iot`.
- Add Thing Model APIs, including CreateThingModel, UpdateThingModel, etc.
- Add OTA API ListOTATaskByJob.
- Update OTA API ListOTAJobByFirmware.
- Update Thing Core Model API InvokeThingsService.

2020-02-11 Version: v1.60.355
- Generated 2018-01-01 for `pvtz`.
- Update default endpoints.

2020-02-10 Version: v1.60.354
- Generated 2017-09-06 for `imm`.
- Supported address for GetMediaMeta.

2020-02-09 Version: v1.60.353
- Generated 2019-12-30 for `facebody`.
- Sdk version 104.

2020-02-07 Version: v1.60.352
- Generated 2018-01-01 for `pvtz`.
- Fix bug for DescribeZoneInfo, delete return result of reionId.
- Fix bug for DeleteZone, parameter zoneId change to compulsory.
- Fix bug for SetProxyPattern, parameter zoneId change to compulsory.

2020-02-05 Version: v1.60.351
- Generated 2017-09-06 for `imm`.
- Supported GetOfficePreviewURL.
- Supported RefreshOfficePreviewToken.

2020-02-04 Version: v1.60.350
- Generated 2015-01-09 for `Alidns`.
- Update default endpoints.

2020-02-04 Version: v1.60.349
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Update endpoint for `R-kvstore`.

2020-01-21 Version: v1.60.348
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Update endpoint for `R-kvstore`.

2020-01-20 Version: v1.60.347
- Generated 2018-01-20 for `Iot`.
- Add Thing Model APIs, including QueryThingModel, PublishThingModel, etc.

2020-01-20 Version: v1.60.346
- Generated 2019-06-25 for `hiknoengine`.
- Release on full language support.

2020-01-17 Version: v1.60.345
- Generated 2014-08-15 for `Rds`.
- Supported Add the history event signature function.

2020-01-17 Version: v1.60.344
- Generated 2018-03-13 for `retailcloud`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-01-16 Version: v1.60.343
- Generated 2019-01-01 for `Cms`.
- Fix the result value of DeleteSiteMonitors.

2020-01-16 Version: v1.60.342
- Generated 2015-01-01 for `R-kvstore`.
- Generated 2015-01-01 for `R-kvstore`.
- Update DescribeAvailableResource.

2020-01-16 Version: v1.60.341
- Generated 2019-01-23 for `Drds`.


2020-01-16 Version: v1.60.340
- Generated 2019-03-07 for `Cloudauth`.
- Add fields faceComparisonScore for DescribeVerifyResult and VerifyMaterials interface.

2020-01-16 Version: v1.60.339
- Generated 2019-01-23 for `Drds`.


2020-01-15 Version: v1.60.338
- Generated 2018-11-01 for `dms-enterprise`.
- Fix SignatureDoesNotMatch issue of GetOrderBaseInfo API.

2020-01-15 Version: v1.60.337
- Generated 2019-01-01 for `Cms`.
- Fix parameter issues for label synchronization group.

2020-01-15 Version: v1.60.336
- Generated 2019-01-01 for `Cms`.
- Fix parameter issues for label synchronization group.

2020-01-15 Version: v1.60.335
- Generated 2015-12-15 for `CS`.
- Support A csk.

2020-01-14 Version: v1.60.334
- Generated 2019-09-16 for `alikafka`.
- Support modity topic remark.
- Support modify topic partitions.

2020-01-13 Version: v1.60.333
- Generated 2015-12-01 for `Dds`.
- New API DescribeAvailableResource.

2020-01-13 Version: v1.60.332
- Generated 2014-05-26 for `Ecs`.
- Solve conflict.

2020-01-13 Version: v1.60.331
- Generated 2017-08-23, 2018-05-09, 2016-12-22 for `Green`.
- Fixed bugs for CreateKeywordResponse ValidKeywordList type.

2020-01-13 Version: v1.60.330
- Generated 2017-08-23, 2018-05-09, 2016-12-22 for `Green`.
- Fixed bugs for CreateKeywordResponse ValidKeywordList type.

2020-01-13 Version: v1.60.329
- Generated 2019-01-01 for `Cms`.
- Add Dynamic Tag API.

2020-01-13 Version: v1.60.328
- Generated 2014-05-26 for `Ecs`.
- Supported InstanceMaintenanceAtrributes for maintening the attributes of instances.
- Deleted MaintenanceProperty.
- Supported RedeployDedicatedHost for redeploying dedicated host in under-assessment status.

2020-01-10 Version: v1.60.327
- Generated 2017-08-01 for `polardb`.
- Return `ConsistentTime` for DescribeBackups.
- Return `DBNodeIds` for CreateDBNodes.

2020-01-09 Version: v1.60.326
- Generated 2017-12-14 for `BssOpenApi`.
- Support DAILY report in QueryInstanBill.

2020-01-09 Version: v1.60.325
- Generated 2017-11-10 for `Ens`.
- Add New Interface DescribeInstanceTypes.
- Deprecated New Interface DescribeReservedResource.
- Add New Interface DescribeAvailableResourceInfo.
- Add New Interface AttachEnsInstances.

2020-01-08 Version: v1.60.324
- Generated 2017-09-06 for `imm`.
- Add TagLevel to ListSetTags.

2020-01-08 Version: v1.60.323
- Generated 2014-05-15 for `Slb`.
- Supported upload Regional AlicloudCertificate.

2020-01-08 Version: v1.60.322
- Generated 2014-08-15 for `Rds`.


2020-01-08 Version: v1.60.321
- Generated 2014-08-15 for `Rds`.


2020-01-08 Version: v1.60.320
- Generated 2018-03-13 for `retailcloud`.
- Supported AAA for BBB.
- Fixed bugs for CCC.

2020-01-07 Version: v1.60.319
- Generated 2017-06-13 for `elasticsearch`.
- Modify desribeInstance return dict item.

2020-01-07 Version: v1.60.318
- Generated 2014-08-15 for `Rds`.


2020-01-03 Version: v1.60.317
- Generated 2018-04-12 for `EHPC`.
- Add GWS serie apis.
- Add QueryReport.
- Fix ListJobs.
- Etc.

2020-01-03 Version: v1.60.316
- Generated 2015-12-01 for `Dds`.
- New API DescribeAvailableResource.

2020-01-03 Version: v1.60.315
- Generated 2019-01-01 for `HBase`.
- ImmediateDelete.
- DescribeInstance CreateTimeUTC ExpireTimeUTC.
- DescribeInstances CreateTimeUTC ExpireTimeUTC.
- DescribeIpWhitelist Groups GroupName.

2019-01-02 Version: v1.60.314
- Remove r-kvstore.

2019-12-31 Version: v1.60.313
- Generated 2018-01-20 for `Iot`.
- Add OTA APIs, including GenerateOTAUploadURL, CreateOTAFirmware, etc.
- Add UpdateProductFilterConfig interface, support setting product filter config.

2019-12-31 Version: v1.60.312
- Generated 2019-12-30 for `ocr`.
- First version.

2019-12-31 Version: v1.60.311
- Generated 2014-08-15 for `Rds`.
- Supported SQL SERVER support delete backup set according to time range.

2019-12-31 Version: v1.60.310
- Generated 2016-01-20 for `Kms`.
- Support asymmetric keys.

2019-12-31 Version: v1.60.309
- Generated 2019-02-14 for `Ons`.
- Add request parameter groupType for OnsGroupCreate.

2019-12-31 Version: v1.60.308
- Generated 2017-09-06 for `imm`.
- Supported image for process.

2019-12-31 Version: v1.60.307
- Generated 2019-09-28 for `reid`.


2019-12-31 Version: v1.60.306
- Generated 2019-03-15 for `adb`.
- Support DeleteDBCluster.
- Support ModifyDBCluster.
- Support DescribeAvailableResource.

2019-12-30 Version: v1.60.305
- Generated 2018-01-20 for `Iot`.
- Supported 2018-01-20 for Golang.

2019-12-26 Version: v1.60.304
- Generated 2019-11-11 for `nlp-automl`.
- NlpAutoml add async api.

2019-12-26 Version: v1.60.303
- Generated 2019-03-06 for `Dbs`.
- Modify CreateRestoreTask.

2019-12-23 Version: v1.60.302
- Generated 2016-04-08 for `Emr`.
- Bugfix.

2019-12-20 Version: v1.60.301
- Generated 2018-11-01 for `dms-enterprise`.
- Supported Authorization API, includes GrantUserPermission, RevokeUserPermission, ListDatabaseUserPermssions, ListUserPermissions.
- Supported Database or Table Metadata synchronization API, includes SyncInstanceMeta, SyncDatabaseMeta.
- Supported Database or Table Owner set up API.
- Supported GetUser API to get information of one DMS user.
- Supported set Dingding mobile number with RegisterUser API.

2019-12-20 Version: v1.60.300
- Generated 2019-03-08 for `ivision`.
- Supported Search stream predict task list use modelId for IVISION.

2019-12-20 Version: v1.60.299
- Generated 2019-02-14 for `Ons`.
- Add result value for OnsConsumerStatus.

2019-12-19 Version: v1.60.298
- Generated 2017-08-01 for `polardb`.
- Add DescribeSlowLogRecords,DescribeSlowLogs for SlowLog.

2019-12-19 Version: v1.60.297
- Generated 2019-09-28 for `reid`.


2019-12-19 Version: v1.60.296
- Generated 2014-05-26 for `Ecs`.
- DescribeNetworkInterfaces Supports NextToken.

2019-12-18 Version: v1.60.295
- Generated 2014-08-15 for `Rds`.


2019-12-18 Version: v1.60.294
- Generated 2019-09-16 for `alikafka`.
- Support sasl and acl.

2019-12-16 Version: v1.60.293
- DescribeTransferDomains add query param, TargetUserId, FromUserId, DomainName.

2019-12-16 Version: v1.60.292
- Update tag related api to publically visable.

2019-12-16 Version: v1.60.291
- Update tag related api to publically visable.

2019-12-14 Version: v1.60.290
- Generated 2015-01-01 for `R-kvstore`.

2019-12-14 Version: v1.60.289
- Update DescribeAvailableResource.

2019-12-14 Version: v1.60.288
- Update DescribeAvailableResource.

2019-12-11 Version: v1.60.287
- Add tag API.
- Add group process monitoring API.
- Add API for batch setting alarm rules.

2019-12-11 Version: v1.60.286
- Support GroupDeletionProtection.

2019-12-05 Version: v1.60.285
- Add api QueryMetric.

2019-12-04 Version: v1.60.284
- Delete invalid Api.

2019-12-04 Version: v1.60.283
- Generated 2019-01-01 for `HBase`.

2019-12-04 Version: v1.60.282
- Supported ModifyDBInstanceSpec for Direction param.

2019-12-03 Version: v1.60.281
- Supported face library operation.
- Supported task template and words.

2019-12-03 Version: v1.60.280
- Bugfix for DescribeTrails.

2019-12-02 Version: v1.60.279
- Generated 2019-01-23 for `Drds`.

2019-12-02 Version: v1.60.278
- Update go sdk.

2019-12-02 Version: v1.60.277
- Remove QuerySmsProdStatus OpenAPI.

2019-11-29 Version: v1.60.276
- Add RenewInstance.
- Add RenewLogstash.
- Add UpdateInstanceChargeType.
- Add UpdateLogstashChargeType.

2019-11-29 Version: v1.60.275
- Add RWMutex to AddEndpointMapping and GetEndpointFromMap.

2019-11-28 Version: v1.60.274
- Supported API GetTxtRecordForVerify.
- Supported API RetrieveDomain.

2019-11-28 Version: v1.60.273
- Supported dash for compress.

2019-11-28 Version: v1.60.272
- Eni Supports Multi-SecurityGroup.

2019-11-28 Version: v1.60.271
- Support Order Basis API, include CreateOrder, CloseOrder, ListOrders, GetOrderBaseInfo.
- Support Order Approval API, include SubmitOrderApproval, ApproveOrder, GetApprovalDetail.
- Support DataCorrect Order Operation API, include ExecuteDataCorrect, GetDataCorrectOrderDetail, GetDataCorrectBackupFiles.
- Support DDL Order Operation API, include CreatePublishGroupTask.
- Support DataExport Operation API, include ExecuteDataExport, GetDataExportOrderDetail, GetDataExportDownloadURL.

2019-11-27 Version: v1.60.270
- Add Tag API.

2019-11-27 Version: v1.60.269
- CreateReplicationJob API supports the specified instance type.

2019-11-27 Version: v1.60.268
- Add enhanced natgateway sdk.

2019-11-26 Version: v1.60.267
- Modify QueryBill, add SubOrderId in item of response.

2019-11-26 Version: v1.60.266
- Generated 2015-12-01 for `Dds`.

2019-11-26 Version: v1.60.265
- Supported API BindInstanceDomains.
- Supported API UnbindInstanceDomains.
- Supported API AddCustomLine.
- Supported API UpdateCustomLine.
- Supported API DeleteCustomLines.
- Supported API DescribeCustomLine.
- Supported API DescribeCustomLines.

2019-11-26 Version: v1.60.264
- Generated 2015-12-01 for `Dds`.

2019-11-26 Version: v1.60.263
- Refresh endpoint.

2019-11-26 Version: v1.60.262
- Generated 2014-08-15 for `Rds`.

2019-11-25 Version: v1.60.261
- Add v to release version.

2019-11-25 Version: 1.60.260
- One or more people can be subscribed when creating tasks.

2019-11-22 Version: 1.60.259
- Update Api Request And Response structure.

2019-11-22 Version: 1.60.258
- First version.

2019-11-21 Version: 1.60.257
- Add ConvertPayType.
- Add ConvertLogstashPayType.

2019-11-21 Version: 1.60.256
- Update Nlp Automl SDK.

2019-11-21 Version: 1.60.255
- Add OpenAPI DescribeAvailableResourceInfo.
- Deprecated OpenApi DescribeAvailableResource.

2019-11-21 Version: 1.60.254
- First version.

2019-11-20 Version: 1.60.253
- Add new pop api.

2019-11-20 Version: 1.60.252
- Supported ecsDemand CreateDemand, ModifyDemand, DeleteDemand API.
- Modify ecsDemand DescribesDemands API.

2019-11-20 Version: 1.60.251
- Generated 2019-01-01 for `HBase`.

2019-11-20 Version: 1.60.250
- Add API ReportVoipProblems.
- Add API QueryVoipNumberBindINfos.

2019-11-19 Version: 1.60.249
- Generated 2018-01-20 for `Iot`.

2019-11-15 Version: 1.60.248
- Nlp Automl SDK.

2019-11-15 Version: 1.60.247
- Support tags.
- Support create pre paid alikafka instance.

2019-11-15 Version: 1.60.246
- Sync cdn APIs.

2019-11-15 Version: 1.60.245
- Fixed bugs.

2019-11-15 Version: 1.60.244
- Add Scdn APIS.
- Sync cdn APIS.

2019-11-15 Version: 1.60.243
- Modify QueryAccountBill, support group by product.

2019-11-15 Version: 1.60.242
- Modify DescribeRestoreRangeInfo.

2019-11-15 Version: 1.60.241
- Add DescribeRestoreRangeInfo.

2019-11-14 Version: 1.60.240
- Released dysms OpenAPI.

2019-11-14 Version: 1.60.239
- Support Tag OpenAPI.
- Fix endpoint problem.

2019-11-14 Version: 1.60.238
- Initial construction.
- Public beta version.
- Supported AliyunController for Interface.
- Supported ConsoleController for Interface.
- Supported AccountController for Interface.

2019-11-13 Version: 1.60.237
- Supported Stream analyse.

2019-11-13 Version: 1.60.236
- Fix ResourceId type from Long to String on QueryCostUnitResource.

2019-11-13 Version: 1.60.235
- Fix ResourceId type from Long to String on QueryCostUnitResource.

2019-11-13 Version: 1.60.234
- Add new API QueryBillToOSSSubscription.

2019-11-13 Version: 1.60.233
- Supported API UpdateDomainRemark for Update Domain Remark.
- Supported API UpdateDomainRecordRemark for Update Record Remark.
- Unsupported API CheckDomainRecord.

2019-11-13 Version: 1.60.232
- Support Go SDK.
- Support C SDK.
- Support PHP SDK.

2019-11-12 Version: 1.60.231
- Generated 2018-08-21, 2018-08-16 for `Rdc`.

2019-11-12 Version: 1.60.230
- Generated 2018-08-21 for `Rdc`.

2019-11-08 Version: 1.60.229
- Add DescribeJobErrorCode.

2019-11-05 Version: 1.60.228
- Add OperateBlackNo.

2019-11-04 Version: 1.60.227
- Supported Qos for smartag.

2019-11-04 Version: 1.60.226
- Support console api for cloud bastionhost.

2019-11-02 Version: 1.60.225
- Generated 2017-05-25 for `Dyvmsapi`.

2019-10-31 Version: 1.60.224
- Initial construction.
- Public beta version.
- Supported AliyunController for Interface.
- Supported ConsoleController for Interface.
- Supported AccountController for Interface.

2019-10-31 Version: 1.60.223
- Initial construction.
- Public beta version.
- Supported AliyunController for Interface.
- Supported ConsoleController for Interface.
- Supported AccountController for Interface.

2019-10-31 Version: 1.60.222
- Support ListTagResources for tag fuzzy filter.

2019-10-30 Version: 1.60.221
- Update interface params of the cloudauth.

2019-10-29 Version: 1.60.220
- Add a new Alibaba Cloud Bill API named QueryAccountBill.

2019-10-28 Version: 1.60.219
- FIX RefundInstance.

2019-10-25 Version: 1.60.218
- ADD RefundInstance.

2019-10-25 Version: 1.60.217
- Initial construction.
- Public beta version.
- Supported AliyunController for Interface.
- Supported ConsoleController for Interface.
- Supported AccountController for Interface.

2019-10-25 Version: 1.60.216
- Supported query push records.

2019-10-25 Version: 1.60.215
- Add DescribeDBClusterPerformance, DescribeDBNodePerformance for performance.

2019-10-24 Version: 1.60.214
- Optimize instance relevant interface.

2019-10-24 Version: 1.60.213
- Generated 2017-12-14 for `BssOpenApi`.

2019-10-24 Version: 1.60.212
- Generated 2017-12-14 for `BssOpenApi`.

2019-10-23 Version: 1.60.211
- Add a new api named SubmitDynamicImageJob capture a certain part of the video as a dynamic image.
- Add a new api named SubmitWorkflowJob to initiate the VoD workflow processing for audio and video.
- Add a new field AuditStatus in the structure ImageInfo to GetImageInfo api response, which is used to identify the audit status of the image.
- Modify the data type of return field StorageLocation to String.
- Add a new field named MediaType to SubmitAIMediaAuditJob api request.

2019-10-23 Version: 1.60.210
- Add a new api named SubmitDynamicImageJob capture a certain part of the video as a dynamic image.
- Add a new api named SubmitWorkflowJob to initiate the VoD workflow processing for audio and video.
- Add a new field AuditStatus in the structure ImageInfo to GetImageInfo api response, which is used to identify the audit status of the image.
- Modify the data type of return field StorageLocation to String.
- Add a new field named MediaType to SubmitAIMediaAuditJob api request.

2019-10-23 Version: 1.60.209
- Add a new api named SubmitDynamicImageJob capture a certain part of the video as a dynamic image.
- Add a new api named SubmitWorkflowJob to initiate the VoD workflow processing for audio and video.
- Add a new field AuditStatus in the structure ImageInfo to GetImageInfo api response, which is used to identify the audit status of the image.
- Modify the data type of return field StorageLocation to String.
- Add a new field named MediaType to SubmitAIMediaAuditJob api request.

2019-10-22 Version: 1.60.208
- Supported Sync predict for Image.
- Supported Set Frame Frequency for Stream Predict.
- Fixed Errore Code For APIs.

2019-10-22 Version: 1.60.207
- RunInstances support AutoSnapshotPolicyId.

2019-10-22 Version: 1.60.206
- Fix ListDatabases CatalogName dataType integer to string.
- Remove GetLogicDatabase invalid output param named TotalCount.
- Remove ListIndexes invalid output param named ColumnList.
- Support SearchTable API to filter searchTarget.

2019-10-22 Version: 1.60.205
- Supported ExternalId IMM.

2019-10-21 Version: 1.60.204
- Release first version.

2019-10-21 Version: 1.60.203
- Init the standard baas sdk.

2019-10-18 Version: 1.60.202
- Generated 2019-09-10 for `DnsKnocker`.

2019-10-18 Version: 1.60.201
- Modify Yundun-dbaudit DescribeInstanceAttribute InstanceStatus Type.

2019-10-17 Version: 1.60.200
- Support instance manage API, includes UpdateInstance and DeleteInstance.
- Support user manage API, includes ListUsers and UpdateUser.
- Support meta data information API, includes ListInstances, ListDatabases, ListLogicDatabases, ListTables, ListLogicTables, ListColumns, ListIndexes.
- Support meta data search API, inclues SearchDatabase, SearcTable.
- Support RegisterInstance API to set datalinkName and useDsql option.

2019-10-16 Version: 1.60.199
- Optimize instance relevant interface.

2019-10-16 Version: 1.60.198
- Add ListTagResources OpenApi.
- Add TagResources OpenApi.
- Add UntagResources OpenApi.
- Add ModifyDBInstanceAutoUpgradeMinorVersion OpenApi.

2019-10-14 Version: 1.60.197
- Optimize instance relevant interface.

2019-10-14 Version: 1.60.196
- Support continuous pushing.

2019-10-13 Version: 1.60.195
- Add instance relevant interface.

2019-10-12 Version: 1.60.194
- Add new api.

2019-10-11 Version: 1.60.193
- Add response paramete for DescribeDomainExtensionAttribute.

2019-10-11 Version: 1.60.192
- Add new interface DescribeDomainExtensionAttribute.

2019-10-10 Version: 1.60.191
- Generated 2014-05-15 for `Slb`.

2019-10-10 Version: 1.60.190
- Generated 2015-04-01 for `Sts`.

2019-10-09 Version: 1.60.189
- Add VideoCancelScan Api.

2019-10-09 Version: 1.60.188
- Support API RecognizeImageColor.
- Support API DetectImageElements.
- Support API RecolorImage.
- Support API SegmentImage.
- Support API ChangeImageSize.
- Support API ExtendImageStyle.
- Support API RecognizeImageStyle.
- Support API MakeSuperResolution.

2019-10-09 Version: 1.60.187
- Generated 2018-11-11 for `PTS`.

2019-10-09 Version: 1.60.186
- DescribeIntance status type modification.

2019-10-08 Version: 1.60.185
- Supported Grab Frame IMM.

2019-10-08 Version: 1.60.184
- Supported API MassPush for Push Message or Notice.

2019-10-08 Version: 1.60.183
- Generated 2016-01-20 for `Kms`.

2019-09-29 Version: 1.60.182
- Generated 2015-01-01 for `R-kvstore`.

2019-09-29 Version: 1.60.181
- Add new api.

2019-09-26 Version: 1.60.180
- Update AHAS GetSentinelAppSumMetric API.

2019-09-26 Version: 1.60.179
- Supported RingConfig for BindAxb,BindAxn,BindAxg,BindAxnExtension.
- Add QuerySubsId.

2019-09-25 Version: 1.60.178
- Add new api.

2019-09-25 Version: 1.60.177
- Update AHAS GetSentinelAppSumMetric API.

2019-09-25 Version: 1.60.176
- Fix the capitalization problem of Describe Site Monitor Data.

2019-09-24 Version: 1.60.175
- Generated 2019-08-10 for `multimediaai`.

2019-09-23 Version: 1.60.174
- Generated 2019-06-12 for `MaxCompute`.

2019-09-23 Version: 1.60.173
- Add param, DescribePrice supprot ReservedInstance.

2019-09-20 Version: 1.60.172
- Generated 2017-12-14 for `BssOpenApi`.

2019-09-20 Version: 1.60.171
- Generated 2018-02-01, 2018-07-20 for `ddosbgp`.

2019-09-19 Version: 1.60.170
- Supported Video Abstract for IMM.

2019-09-19 Version: 1.60.169
- Supported Video Abstract for IMM.

2019-09-19 Version: 1.60.168
- Add bizSubCode and so on.

2019-09-18 Version: 1.60.167
- Support to update layout in task for MPU.

2019-09-18 Version: 1.60.166
- Optimize error code.

2019-09-18 Version: 1.60.165
- Supported Video Abstract for IMM.

2019-09-18 Version: 1.60.164
- Generated 2019-09-10 for `waf-openapi`.

2019-09-18 Version: 1.60.163
- Generated 2016-11-01 for `live`.

2019-09-18 Version: 1.60.162
- Add AHAS OpenAPI version 2019-09-01.

2019-09-16 Version: 1.60.161
- Generated 2019-09-10 for `waf-openapi`.

2019-09-16 Version: 1.60.160
- Add Region List.

2019-09-16 Version: 1.60.159
- Fixed go struct file.

2019-09-16 Version: 1.60.158
- Generated 2019-09-10 for `waf-openapi`.

2019-09-16 Version: 1.60.157
- Generated 2019-09-10 for `waf-openapi`.

2019-09-12 Version: 1.60.156
- Add DescribePrePaidInstanceStock.

2019-09-12 Version: 1.60.155
- Support RDS.

2019-09-09 Version: 1.60.154
- CreateInstance add toen.
- UpdateInstance add toen.

2019-09-09 Version: 1.60.153
- Generated 2017-05-25 for `Dysmsapi`.

2019-09-06 Version: 1.60.152
- Generated 2018-01-17 for `waf-openapi`.

2019-09-06 Version: 1.60.151
- Supported specifying vswitch when creating vpngateway.

2019-09-06 Version: 1.60.150
- Update endpoint data.

2019-09-06 Version: 1.60.149
- Add ReleasePostPaidInstance.
- Add ReleasePrePaidInstance.

2019-09-06 Version: 1.60.148
- Generated 2016-04-28 for `Vpc`.

2019-09-06 Version: 1.60.147
- Generated 2014-05-15 for `Slb`.

2019-09-05 Version: 1.60.146
- Supported for setEndpoint method.

2019-09-05 Version: 1.60.145
- Generated 2014-05-15 for `Slb`.

2019-09-05 Version: 1.60.144
- Generated 2017-07-05 for `CCC`.

2019-09-05 Version: 1.60.143
- Generated 2018-11-11 for `foas`.

2019-09-05 Version: 1.60.142
- Add DescribeInstanceTypes.
- Add DescribeReservedResource.
- Add DescribeInstances.

2019-09-05 Version: 1.60.141
- Generated 2019-05-24 for `cusanalytic_sc_online`.

2019-09-05 Version: 1.60.140
- Generated 2015-11-01 for `Market`.

2019-09-05 Version: 1.60.139
- Generated 2016-07-14 for `CloudAPI`.

2019-09-05 Version: 1.60.138
- Generated 2017-08-01 for `polardb`.

2019-09-05 Version: 1.60.137
- Generated 2017-12-14 for `BssOpenApi`.

2019-09-05 Version: 1.60.136
- Generated 2014-05-26 for `Ecs`.

2019-09-03 Version: 1.60.135
- Generated 2018-02-01, 2018-07-20 for `ddosbgp`.

2019-09-03 Version: 1.60.134
- Generated 2018-02-01 for `ddosbgp`.

2019-09-03 Version: 1.60.133
- Generated 2014-08-15 for `Rds`.

2019-08-30 Version: 1.60.132
- Add describeRegions.
- Add toen.

2019-08-30 Version: 1.60.131
- Revert to 2015-09-01.

2019-08-30 Version: 1.60.130
- Release Apis of Version 2019-09-10.

2019-08-30 Version: 1.60.129
- Support latest DRDS Open API for version 2019-01-23.

2019-08-30 Version: 1.60.128
- Supported Meida complex for IMM.

2019-08-30 Version: 1.60.127
- Add api for getTrace and searchTracelist.

2019-08-29 Version: 1.60.126
- Move StopExecution params to body.

2019-08-29 Version: 1.60.125
- Bugfix.

2019-08-29 Version: 1.60.124
- For publish.

2019-08-28 Version: 1.60.123
- Update emr go api.

2019-08-28 Version: 1.60.122
- Add DBS API UpgradeBackupPlan.
- Add DBS API DescribePreCheckProgressList.

2019-08-28 Version: 1.60.121
- Add NamespaceId for listApplication.

2019-08-27 Version: 1.60.120
- Add ModifyDBInstanceAutoUpgradeMinorVersion Openapi.

2019-08-26 Version: 1.60.119
- QueryInstanceBillResponse change ownerId type from Long to String.
- QueryInstanceBillResponse change usage type from float to String.
- QueryInstanceBillResponse change listPrice type from float to String.
- QueryInstanceBillResponse change deductedByResourcePackage type from float to String.

2019-08-22 Version: 1.60.118
- Support API RecognizeImageColor.
- Support API DetectImageElements.
- Support API RecolorImage.
- Support API SegmentImage.
- Support API ChangeImageSize.
- Support API ExtendImageStyle.
- Support API RecognizeImageStyle.
- Support API MakeSuperResolutionImage.

2019-08-22 Version: 1.60.117
- Api release 2019-08-08 public sdk 2-5-2 sdk release 20190822 shichun-fsc.

2019-08-22 Version: 1.60.116
- Api getTopicList add a new return value.

2019-08-21 Version: 1.60.115
- Supported for CPFS new feature of client evict.

2019-08-21 Version: 1.60.114
- Move StartExecution params to body.

2019-08-21 Version: 1.60.113
- Return backup job id when create backup.
- Return backup set size when describe backups.

2019-08-21 Version: 1.60.112
- Modify getTopicList and getConsumerList response.

2019-08-21 Version: 1.60.111
- Modify getInstanceList response.

2019-08-20 Version: 1.60.110
- API TaobaoFilmGetSchedules retrun col add hallId.

2019-08-19 Version: 1.60.109
- Optimize topic create parameters.

2019-08-19 Version: 1.60.108
- Optimize topic create parameters.

2019-08-18 Version: 1.60.107
- Support go sdk.

2019-08-16 Version: 1.60.106
- Generated 2018-02-01 for `ddosbgp`.

2019-08-15 Version: 1.60.105
- FnF public version.
- Add Report task api.

2019-08-15 Version: 1.60.104
- Add API BatchStartCdnDomain, BatchStopCdnDomain, DescribeTagResources, DescribeUserTags, TagResources, UntagResources.

2019-08-15 Version: 1.60.103
- QueryInstanceBillResponse add ServicePeriod.

2019-08-14 Version: 1.60.102
- Expose the interface to the yundun-console.
- Update interface definitions of the cloudauth.

2019-08-13 Version: 1.60.101
- Optimize return code.
- Edit QueryDataset.

2019-08-13 Version: 1.60.100
- Supported for openapi new version.

2019-08-13 Version: 1.60.99
- Support latest DRDS Open API for version 2019-01-23.

2019-08-13 Version: 1.60.98
- Generated 2018-07-20 for `ddosbgp`.

2019-08-12 Version: 1.60.97
- Supported create routeEntry with routeEntryName.

2019-08-12 Version: 1.60.96
- Support Defect Face API.

2019-08-08 Version: 1.60.95
- Supported DryRun for Vpc and VSwitch.

2019-08-08 Version: 1.60.94
- Add CreateStorageSet api to support storageSet.
- Add DeleteStorageSet api to support storageSet.
- Add ModifyStorageSetAttribute api to support storageSet.
- Add DescribeStorageSets api to support storageSet.
- Add DescribeStorageSetDetails api to support storageSet.
- Add parameter StorageSetId,StorageSetPartitionNumber to api CreateDisk,RunInstances,CreateInstance support storageSet.
- Add StorageSetId,StorageSetPartitionNumber with response of api DescribeDisks.
- Add DescribeNetworkInterfaces to support filter by PrivateIpAddress.

2019-08-08 Version: 1.60.93
- Group, Plugin support tag authentication.

2019-08-07 Version: 1.60.92
- Generated 2019-03-20 for `WebPlus`.

2019-08-06 Version: 1.60.91
- Supported GetMediaMeta for IMM.

2019-08-06 Version: 1.60.90
- Supported GetMediaMeta for IMM.

2019-08-06 Version: 1.60.89
- Supported GetMediaMeta for IMM.

2019-08-06 Version: 1.60.88
- Supported GetMediaMeta for IMM.

2019-08-06 Version: 1.60.87
- Supported GetMediaMeta for IMM.

2019-08-06 Version: 1.60.86
- Enhencement for CostOptimized scaling group.

2019-08-05 Version: 1.60.85
- Add response parameter LoadBalancerId for DescribeMasterSlaveServerGroupAttribute interface.

2019-08-05 Version: 1.60.84
- GetOrderDetail add originalConfig param.

2019-08-05 Version: 1.60.83
- GetOrderDetail add originalConfig param.

2019-08-05 Version: 1.60.82
- Modify DBS API DescribeFullBackupList.

2019-08-02 Version: 1.60.81
- Add a lot of new API.

2019-08-02 Version: 1.60.80
- SubscribeBillToOSSRequest add multAccountRelSubscribe, bucketOwnerId.
- UnsubscribeBillToOSSRequest add multAccountRelSubscribe.

2019-07-31 Version: 1.60.79
- Endpoint auto route.

2019-07-31 Version: 1.60.78
- Generated 2014-06-18 for `Mts`.

2019-07-30 Version: 1.60.77
- Generated 2014-06-18 for `Mts`.

2019-07-26 Version: 1.60.76
- Generated 2019-05-24 for `cusanalytic_sc_online`.

2019-07-26 Version: 1.60.75
- Generated 2019-05-24 for `cusanalytic_sc_online`.

2019-07-25 Version: 1.60.74
- Api createKey add optional parameter `ProtectionLevel`.
- Api describeKey add a field `ProtectionLevel` in the response.
- Add Api `DescribeService`.

2019-07-25 Version: 1.60.73
- Generated 2016-07-14 for `CloudAPI`.

2019-07-25 Version: 1.60.72
- App-related actions support tag authentication.

2019-07-23 Version: 1.60.71
- Supported CreationOption of CreateDBCluster with `CloneFromPolarDB `,`CloneFromRDS`,`MigrationFromRDS`.

2019-07-19 Version: 1.60.70
- QueryMonthlyBillResponse add roundDownDiscount.
- QueryBillResponse add roundDownDiscount.
- QueryInstanceBillResponse add item.

2019-07-18 Version: 1.60.69
- Fix resolve wrong tagname IOS to iOS.

2019-07-18 Version: 1.60.68
- Add a new field named Input to SubmitAIJob api request to set the input file of AI job.
- Change the field MediaId of SubmitAIJob api to non-mandatory.

2019-07-18 Version: 1.60.67
- Supported open api for dbaudit management.

2019-07-15 Version: 1.60.66
- Add filed `internalDomain` for api `get token`.

2019-07-12 Version: 1.60.65
- Public api AddLivePullStreamInfoConfig.

2019-07-11 Version: 1.60.64
- Modify CreateBackupPlan.
- Modify ConfigureBackupPlan.
- Modify DescribeFullBackupList.
- Modify DescribeRestoreTaskList.
- Add ModifyBackupSourceEndpoint.
- Add ModifyBackupStrategy.
- Add ModifyBackupPlanName.

2019-07-08 Version: 1.60.63
- ActionName change to OOSActionName from ListActions API param and response.

2019-07-05 Version: 1.60.62
- Add TaskCancelStatus for QueryTaskList api.

2019-07-05 Version: 1.60.61
- Generated 2015-04-01 for `Sts`.

2019-07-05 Version: 1.60.60
- Generated 2015-04-01 for `Sts`.

2019-07-04 Version: 1.60.59
- Supported API DescribeRecordStatisticsy for Query Volume.
- Supported API DescribeDomainStatistics for Query Volume.

2019-07-03 Version: 1.60.58
- Supported API DescribeRecordStatisticsSummary for Query Volume.
- Supported API DescribeDomainStatisticsSummary for Query Volume.
- Supported API DescribeRecordStatisticsHistory for Query Volume.
- Supported API DescribeDomainDnsStatistics for Query Volume.

2019-07-02 Version: 1.60.57
- FnF public version.

2019-07-01 Version: 1.60.56
- Support cloud_essd disk category for API CreateDisk, CreateInstance and RunInstances, and support configurating PerformanceLevel when choose cloud_essd.
- Add ModifyDiskSpec API to support cloud_essd PerformanceLevel modification.
- Add AutoProvisioningGroup interfaces, provide AutoProvisioningGroup function.
- Add RetentionDays to snapshot creating.

2019-06-27 Version: 1.60.55
- Added setting of crop_mode parameter.

2019-06-25 Version: 1.60.54
- Enhencement for CostOptimized scaling group.

2019-06-24 Version: 1.60.53
- Add some new apis to manage VoD domain, such as AddVodDomain, UpdateVodDomain, DeleteVodDomain, BatchStartVodDomain, BatchStopVodDomain, DescribeVodUserDomains, DescribeVodDomainDetail.
- Add some new apis to manage VoD domain config, such as BatchSetVodDomainConfigs, DescribeVodDomainConfigs, DeleteVodSpecificConfig, SetVodDomainCertificate, DescribeVodCertificateList, DescribeVodDomainCertificateInfo.
- Add a new field named AppId to some apis supporting the VoD App feature, such as AddWorkFlow, GetWorkFlow, ListWorkFlow, AddVodTemplate, GetVodTemplate, ListVodTemplate, AddTranscodeTemplateGroup, GetTranscodeTemplateGroup, ListTranscodeTemplateGroup, AddWatermark, GetWatermark, ListWatermark, UploadMediaByURL.
- Add a new field named UserData to SubmitTranscodeJobs api request to support user-defined extension fields, which can be used for transparent return when callbacks.

2019-06-24 Version: 1.60.52
- Add some new apis to manage VoD domain, such as AddVodDomain, UpdateVodDomain, DeleteVodDomain, BatchStartVodDomain, BatchStopVodDomain, DescribeVodUserDomains, DescribeVodDomainDetail.
- Add some new apis to manage VoD domain config, such as BatchSetVodDomainConfigs, DescribeVodDomainConfigs, DeleteVodSpecificConfig, SetVodDomainCertificate, DescribeVodCertificateList, DescribeVodDomainCertificateInfo.
- Add a new field named AppId to some apis supporting the VoD App feature, such as AddWorkFlow, GetWorkFlow, ListWorkFlow, AddVodTemplate, GetVodTemplate, ListVodTemplate, AddTranscodeTemplateGroup, GetTranscodeTemplateGroup, ListTranscodeTemplateGroup, AddWatermark, GetWatermark, ListWatermark, UploadMediaByURL.
- Add a new field named UserData to SubmitTranscodeJobs api request to support user-defined extension fields, which can be used for transparent return when callbacks.

2019-06-21 Version: 1.60.51
- Support DeleteProtection api.

2019-06-20 Version: 1.60.50
- OOS SDK first release for managing of templates, executions and actions.

2019-06-19 Version: 1.60.49
1, Add DefaultPolicyVersion as return field to GetPolicy interface, Facilitating to get policy document from this interface.
2, Add RotateStrategy as input field to CreatePolicyVersion interface for rotating policy version when reaching policy version limit.

2019-06-18 Version: 1.60.48
1. Supported the related recommend.
2. Supported exposure time controll and exposure filter by scene.

2019-06-17 Version: 1.60.47
companyreg release

2019-06-14 Version: 1.60.46
- Generated 2018-01-20 for `Iot`

2019-06-14 Version: 1.60.45
1. govendor rds sdk code problem.

2019-06-13 Version: 1.60.44
1, fixed DescribeAvailableResource OpenApi AvailableZones value problem.

2019-06-13 Version: 1.60.43
- Generated 2015-01-01 for `R-kvstore`

2019-06-13 Version: 1.60.42
Add Network Assistant openapi sdk

2019-06-13 Version: 1.60.41
1, add DescribeAvailableResource OpenApi.
2, upgrade version to 2.3.8 

2019-06-12 Version: 1.60.40
1, Add RenewBackupPlan DBS interface.

2019-06-12 Version: 1.60.39
1.Fix bug

2019-06-12 Version: 1.60.38
1, Add InvokeDataAPIService interface, support invoke service of data api to get sql query result.
2, Add GetDataAPIServiceDetail interface, support get data api's detail information.
3, Add CreateDataAPIService interface, support create data api with sql statement.

2019-06-06 Version: 1.60.37
1, Add RuleId in DescribeRuleAttribute.

2019-06-05 Version: 1.60.36
1, Update DescribeDataLimitDetail interface, add password for response

2019-06-04 Version: 1.60.35
1, Add new API: UpdateLivePullStreamInfoConfig

2019-06-03 Version: 1.60.34
1, Add openapi of ACL.

2019-06-03 Version: 1.60.33
1, Order info add relatedOrderId.

2019-05-31 Version: 1.60.32
1, add api 'search traces count' 
2, add page index for api 'searchTraces'

2019-05-31 Version: 1.60.31
1, Add authority in GetMaterials API.

2019-05-30 Version: 1.60.30
Fix: Handle the repeatlist parameter correctly

2019-05-30 Version: 1.60.29
1.Fix: Handle the repeatlist parameter correctly

2019-05-30 Version: 1.60.28
1. Re-generate for STS-2015-04-01.

2019-05-30 Version: 1.60.27
1. Re-generate for STS 2015-04-01.

2019-05-29 Version: 1.60.26
1, Fix ServiceCode typo in request

2019-05-29 Version: 1.60.25
1, Modify DescribeRestoreTaskList DBS interface.
2, Modify DescribeFullBackupList DBS interface.

2019-05-28 Version: 1.60.24
1, CreateDBInstance now support autoRenew

2019-05-27 Version: 1.60.23
1, Support video transcode.

2019-05-27 Version: 1.60.22
1, Initial release of api, including data management api, rule configuration api and system configuration api.

2019-05-24 Version: 1.60.21
1, The list of site monitoring probes adds ISP and city fields in English.
2, Fixed the capitalization problem of Describe MetricData and Describe Site Monitor Statistics API metricName.

2019-05-23 Version: 1.60.20
1, Fixed bug of the JSON list in GO sdk.

2019-05-22 Version: 1.60.19
1, Add EndTime parameter to api ModifyPrepayInstanceSpec
2, Add RebootTime parameter to api ModifyPrepayInstanceSpec

2019-05-20 Version: 1.60.18
1, Added the cross zones supported.

2019-05-20 Version: 1.60.17
1, Add both api, ListNotaryInfos

2019-05-20 Version: 1.60.16
1, Initial release of api, including data management api, rule configuration api and system configuration api.

2019-05-20 Version: 1.60.15
1,  DescribeRouteTableList add route table status
2,  DescribeRouteTables add route table  status

2019-05-18 Version: 1.60.14
1, Add ModifyBackupObjects DBS interface.

2019-05-16 Version: 1.60.13
1, Update SDK Version
2, Change api UpgradeClusterAddons, UpgradeClusterComponents, DescribeClusterAddonsVersion to public


2019-05-16 Version: 1.60.12
1, Add some new apis to fetch the usage data from VoD, such as DescribeVodDomainUsageData, DescribeVodStorageData, DescribeVodTranscodeData, DescribeVodAIData.
2, Add a new api named GetUploadDetails to describe the upload detail, such as uploading time and uploading source.
3, Add a new api named GetAIVideoTagResult to describe the result of AI tag.
4, Add new field Icon and OnlineStatus to some apis to manage short video materials, such as SearchMedia, GetAttachedMediaInfo, CreateUploadAttachedMedia.
5, Add a new field RegionId to the response of GetAttachedMediaInfo and GetImageInfo.
6, Add the field named UserData to SubmitSnapshotJob api request.

2019-05-16 Version: 1.60.11
1, Update SDK Version
2, Change api UpgradeClusterAddons, UpgradeClusterComponents, DescribeClusterAddonsVersion to public


2019-05-16 Version: 1.60.10
1, Update SDK version
2, Add api DescribeClusterAddonsVersion


2019-05-16 Version: 1.60.9
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-05-16 Version: 1.60.8
1, Scaling configuration add security group ids 

2019-05-15 Version: 1.60.7
1, Add InstanceId parameter to api CreateDisk
2, Add parameter Affinity and Tenancy in ECS instance DedicatedHost related apis.
3, Add SecurityGroupIds parameter to Instance creation apis.

2019-05-14 Version: 1.60.6
1, Support body detect.

2019-05-14 Version: 1.60.5
1, support body detect

2019-05-14 Version: 1.60.4
1, Support body detect.

2019-05-14 Version: 1.60.3
1, Support body detect.

2019-05-14 Version: 1.60.2
1, Support body detect.

2019-05-14 Version: 1.60.1
1, Support body detect.

2019-05-13 Version: 1.60.0
1, Add three new apis, SaveSingleTaskForSaveArtExtension, QueryArtExtension and CancelTask.

2019-05-13 Version: 1.59.0
1, Add three new apis, SaveSingleTaskForSaveArtExtension, QueryArtExtension and CancelTask.

2019-05-13 Version: 1.58.11
1, Support for creating instances and joining multiple security groups at the same time.

2019-05-13 Version: 1.58.10
1, Add Vpc openapi interface，Support for new fields.
2, Support for nacl openapi.
3, Fixed some problems of the vpc openapi.

2019-05-13 Version: 1.58.9
1, Modify CreateRestoreTaskRequest DBS interface.

2019-05-05 Version: 1.58.8
1, CreateInstance add ClientToken parameter.

2019-04-29 Version: 1.58.7
1, add new api

2019-04-28 Version: 1.58.6
1, Publish DescribeAvailableResource.

2019-04-26 Version: 1.58.5
1, Add resource describe api.

2019-04-26 Version: 1.58.4
1, add new openapi.

2019-04-25 Version: 1.58.3
1, The alarm contact interface increases paging parameters

2019-04-25 Version: 1.58.2
1, upgrade sdk version.

2019-04-23 Version: 1.58.1
1, Support mounting multiple volumes using different protocol
2, Support scaling out cross AZ

2019-04-23 Version: 1.58.0
1, Add a new api, QueryDomainByDomainName.

2019-04-22 Version: 1.57.1
1, Add interface ModifyDBNodeClass.
2, Add interface ModifyAutoRenewAttribute and DescribeAutoRenewAttribute.
3, Param AutoRenew is supported in interface CreateDBCluster.

2019-04-22 Version: 1.57.0
1, Add a new api, QueryDomainByDomainName.

2019-04-22 Version: 1.56.14
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-04-22 Version: 1.56.13
1, Add CreateDBCluster interface;
2, Add CreateDBNodes interface;

2019-04-18 Version: 1.56.12
1, New service

2019-04-18 Version: 1.56.11
1, CreateCacheAnalysisTask prop modify

2019-04-18 Version: 1.56.10
1, add ReservedInstance API.

2019-04-17 Version: 1.56.9
1, Add DescribeRestoreTaskList DBS interface.
2, Add DescribeNodeCidrList DBS interface.

2019-04-16 Version: 1.56.8
1, Fixed DescribeAccounts response type error.

2019-04-16 Version: 1.56.7
1, Add api about pushing security check commands

2019-04-16 Version: 1.56.6
1, Fixed describeAccounts response type error

2019-04-16 Version: 1.56.5
1, Mark CreateDiagnosticReport as public api.
2, ModifySecurityIps support modifyMode parameter.

2019-04-16 Version: 1.56.4
1, Add group api.

2019-04-16 Version: 1.56.3
1, Add group api.

2019-04-16 Version: 1.56.2
1, Add group api.

2019-04-16 Version: 1.56.1
1, Add group api.

2019-04-16 Version: 1.56.0
1, Add the go version of sdk.

2019-04-15 Version: 1.55.7
1, Add SDK for goLang version.

2019-04-15 Version: 1.55.6
1, Add CreateRestoreTask DBS interface.
2, Add StartRestoreTask DBS interface.

2019-04-15 Version: 1.55.5
1, add arns parameter to CreateDisk/CreateInstance API in order to support disk encryption by performing a sts role play.

2019-04-15 Version: 1.55.4
1, Add apis, DescribeScreenHostStatistics、DescribeScreenSummaryInfo、DescribeScreenAttackAnalysisData、DescribeScreenAttackAnalysisData、DescribeScreenAttackAnalysisData

2019-04-15 Version: 1.55.3
1, Add Group Api.


2019-04-11 Version: 1.55.2
1, The ‘CreateProject’ interface adds the ‘ModelId’ parameter

2019-04-11 Version: 1.55.1
1, Add some new apis to manage VoD's App, such as CreateAppInfo, GetAppInfos, ListAppInfos, UpdateAppInfo, DeleteAppInfo, AttachAppPolicyToIdentity, DetachAppPolicyFromIdentity, ListAppPoliciesForIdentity and MoveAppResource.
2, Add new apis SetMessageCallback, GetMessageCallback and DeleteMessageCallback to manage message callback configuration.
3, Add new apis GetAttachedMedia, UpdateAttachedMediaInfos and DeleteAttachedMedia to manage attached media information.
4, Add a new api named DeleteMultipartUpload to clean up the fragmented files generated during the upload process.
5, Add a new field named AppId to some apis supporting the VoD App feature, such as CreateUploadVideo, SearchMedia, GetVideoInfo, GetVideoInfos; Add new fields named NonExistVideoIds and ForbiddenVideoIds to DeleteVideo api response; Add a new field named ForbiddenVideoIds to UpdateVideoInfos api response.
6, The Editing supports multi-region and multi-materials. Add new fields named StorageLocation and RegionId in Project struct to GetEditingProject api response; Add new fields named StorageLocation, RegionId and Duration in ProjectList struct to SearchEditingProject api response; Add a new field named MaterialType to GetEditingProjectMaterials api request.
7, Add new fields named TranscodeFileRegular, Clip and Rotate to GetTranscodeTemplateGroup api response to support the custom file path feature.
8, Add a new field named AttachedMedia to api response to support the attached media feature.
9, Add a new field named SubTotal to GetCategories response to show the number of sub category.
10, Add a new field named AdditionType to GetVideoInfo and GetVideoInfos api request to fetch the custom media info and the corresponding field is CustomMediaInfo.

2019-04-11 Version: 1.55.0
1, Release AddImage/SearchImage/DeleteImage OpenApi.
2, Add 'SearchByName' feature to SearchImage

2019-04-10 Version: 1.54.1
1, Modify DescribeBackupGatewayList DBS interface.

2019-04-10 Version: 1.54.0
1, New APIs for visual service (VNC).
2, New APIs for software management.
3, New APIs for CPFS filesystem.

2019-04-09 Version: 1.53.93
1, Add APIs: TagResource, UntagResource, ListResourceTags.
2, Remove the optional parameter 'STSToken'  and replace it with 'SecurityToken'.

2019-04-09 Version: 1.53.92
1, support service account management networkInterface function.

2019-04-09 Version: 1.53.91
1, Add Apis for offline VerifySDK.

2019-04-08 Version: 1.53.90
1, Modify DescribeBackupPlanList DBS interface.
2, Modify DescribeFullBackupList DBS interface.
3, Modify DescribeIncrementBackupList DBS interface.
4, Modify DescribeBackupGatewayList DBS interface.

2019-04-08 Version: 1.53.89
1, Add StopBackupPlan DBS interface.
2, Add DescribeBackupPlanList DBS interface.
3, Add DescribeFullBackupList DBS interface.
4, Add DescribeIncrementBackupList DBS interface.
5, Add DescribeBackupGatewayList DBS interface.

2019-04-04 Version: 1.53.88
1, ScalingConf systemDisk add DiskName and Description  parameters.
2, ScalingConf dataDisk add DiskName & Description & Encrypted & KMSKeyId  parameters.

2019-04-03 Version: 1.53.87
1, Support DNAT/ENI/Online user count features.


2019-04-03 Version: 1.53.86
1, Add interfaces related to vulnerability whitelist
2, Add interfaces related to vulnerability auto-del configuration
3, Add interfaces related to vulnerability fix advise
4, Add interfaces searching and operating vulnerability

2019-03-29 Version: 1.53.85
1, fix MNS Query params

2019-03-29 Version: 1.53.84
1, Fix error version

2019-03-29 Version: 1.53.83
1, Add DLQ message openAPI.
2, Add Query the subscription relational openAPI.
3, Remove white list restrictions.

2019-03-28 Version: 1.53.82
1, EDAS serverless support Pandora application deployment in war/jar mode

2019-03-28 Version: 1.53.81
1, Add multiple language support in DescribeZones
2, Add gray parameter in CreateDisk

2019-03-28 Version: 1.53.80
1, Add instance remark modify api.

2019-03-28 Version: 1.53.79
1, Add logo detect.

2019-03-27 Version: 1.53.78
1, Add Project interface.
2, Add Tag interface.
3, Add TrainData interface.
4, Add Train interface.
5, Add Iteration interface.
6, Add Predict interface.
7, Add PredictData interface.

2019-03-27 Version: 1.53.77
1, Add Project interface.
2, Add Tag interface.
3, Add TrainData interface.
4, Add Train interface.
5, Add Iteration interface.
6, Add Predict interface.
7, Add PredictData interface.

2019-03-27 Version: 1.53.76
1, Add DLQ message openAPI.
2, Add Query the subscription relational openAPI.
3, Remove white list restrictions.

2019-03-27 Version: 1.53.75
1, Add DLQ message openAPI.
2, Add Query the subscription relational openAPI.
3, Remove white list restrictions.

2019-03-21 Version: 1.53.74
1, Update Dependency

2019-03-21 Version: 1.53.73
1,  Update Dependency

2019-03-20 Version: 1.53.72
1, Update the Dependency

2019-03-20 Version: 1.53.71
1, Update the Dependency

2019-03-20 Version: 1.53.70
1, Update the Dependency

2019-03-20 Version: 1.53.69
1, Update the Dependency

2019-03-20 Version: 1.53.68
1, Update Dependency

2019-03-19 Version: 1.53.67
1, Support ' fc ' Source DomainName

2019-03-19 Version: 1.53.66
1, move fields: tag, associate_person, cid

2019-03-19 Version: 1.53.65
1, format fields: tags, associatePerson

2019-03-19 Version: 1.53.63
1, Update Dependency

2019-03-19 Version: 1.53.62
1, Update Dependency

2019-03-19 Version: 1.53.61
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-03-18 Version: 1.53.60
1, Signature Document SDK.
2, First version publish.
3, Beta Version SDK

2019-03-18 Version: 1.53.59
1, Update Dependency

2019-03-18 Version: 1.53.58
1, move AssociatePerson\Tag field
2, Optimize RealName field

2019-03-18 Version: 1.53.57
1, Update Dependency

2019-03-18 Version: 1.53.56
1, Update Dependency

2019-03-18 Version: 1.53.55
1, Update Dependency

2019-03-18 Version: 1.53.54
1,  Update Dependency

2019-03-15 Version: 1.53.53
1,  update api info

2019-03-15 Version: 1.53.52
1,  Update Dependency

2019-03-15 Version: 1.53.51
1,  Update Dependency

2019-03-15 Version: 1.53.50
1,  Update Dependency

2019-03-15 Version: 1.53.49
1,  Update Dependency

2019-03-15 Version: 1.53.48
1,  Update Dependency

2019-03-15 Version: 1.53.47
1,  Update Dependency

2019-03-15 Version: 1.53.46
1, update RemoveInstances, support  to delete 50 instances at a time. 

2019-03-15 Version: 1.53.45
1, Update Dependency

2019-03-15 Version: 1.53.44
1,  Update Dependency

2019-03-15 Version: 1.53.43
1, Update Dependency

2019-03-15 Version: 1.53.42
1, Update Dependency

2019-03-14 Version: 1.53.41
1, Update Dependency

2019-03-14 Version: 1.53.40
1, Update Dependency

2019-03-14 Version: 1.53.39
1, Update Dependency

2019-03-14 Version: 1.53.38
1, Update Dependency

2019-03-14 Version: 1.53.37
1,  Update Dependency

2019-03-14 Version: 1.53.36
1, Update Dependency

2019-03-14 Version: 1.53.35
1, Update Dependency

2019-03-14 Version: 1.53.34
1, Update Dependency

2019-03-14 Version: 1.53.33
1, Update Dependency

2019-03-13 Version: 1.53.32
1, Update Dependency

2019-03-13 Version: 1.53.31
1, Update Dependency

2019-03-13 Version: 1.53.30
1, Update Dependency

2019-03-13 Version: 1.53.29
1, Distinguish between system and service parameters

2019-03-13 Version: 1.53.28
1, add DescribeDemands interface

2019-03-13 Version: 1.53.27
1, Distinguish between system and service parameters

2019-03-13 Version: 1.53.26
1, Distinguish between system and service parameters

2019-03-12 Version: 1.53.25
1, Add application name support for config center APIs.
2, Add GetCluster API.
3, Support debug switch in user region APIs.

2019-03-12 Version: 1.53.24
1, Add Vpc openapi interface，Support for new fields.
2, Support for ipv6 gateway openapi.
3, Fixed some problems of the vpc openapi.

2019-03-12 Version: 1.53.23
1,  add agency infomation
2,  update sdk core resources

2019-03-11 Version: 1.53.22
1,  add agency infomation
2,  update sdk core resources

2019-03-11 Version: 1.53.21
1, Add face grouping feature .
2, Add head pose and face quality.


2019-03-11 Version: 1.53.20
1, Update aliyun-java-sdk-core version.

2019-03-08 Version: 1.53.19
1, Publish instance spec describe api.

2019-03-08 Version: 1.53.18
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-03-07 Version: 1.53.17
1, Fix go api miss service_code problem

2019-03-07 Version: 1.53.16
1, Change service code to acr

2019-03-07 Version: 1.53.15
1, Publish instance describe and release apis.

2019-03-06 Version: 1.53.14
1, Release ActionTrail Go API.

2019-03-06 Version: 1.53.13
1, Update Service Code.

2019-03-05 Version: 1.53.12
1, Update the SDK version to 1.2.4

2019-03-04 Version: 1.53.11
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-03-01 Version: 1.53.10
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-03-01 Version: 1.53.9
1, Support Build Function Compute Backend By SDK

2019-03-01 Version: 1.53.8
1, Add API QueryRegionConfig
2, Add API SynchronizeResource

2019-02-28 Version: 1.53.7
1, Add new apis named ListTranscodeTask, GetTranscodeTask, GetTranscodeSummary.
2, Add the new field named TranscodeTemplateIds and ForceDelGroup to DeleteTranscodeTemplateGroup api request, and add a new field named NonExistTranscodeTemplateIds to the api response.
3, Add a new field named Rotate in VideoStream of Mezzanine struct to GetMezzanineInfo api response .
4, Add a new field named Status in ImageInfo to GetImageInfo api response.
5, Add a new field named CustomMediaInfo to UpdateVideoInfo, GetVideoInfo and SearchMedia api to support the custom mediaInfo feature.
6, Add a new filed named PlayInfoList and some Audit fields to SearchMedia api response.
7, Clean up an api named DeleteTranscodeTemplates, which is replaced with the api named DeleteTranscodeTemplateGroup.

2019-02-27 Version: 1.53.6
1, Add three APIs for tag. APIs : TagResources, UntagResources, ListTagResources.

2019-02-27 Version: 1.53.5
1, Update Config API.

2019-02-26 Version: 1.53.4
1, Industry brain v1.3.7 release
2, Add asynchronous APIs
3, version 1.3.7

2019-02-26 Version: 1.53.3
1, Add interface of tag.
2, Add tag info in DescribeDBClusters and DescribeDBClusterAttribute.

2019-02-25 Version: 1.53.2
1, add opensearch to GO sdk

2019-02-22 Version: 1.53.1
1, Fixed QueryAvailableInstances response unmarshal problem

2019-02-21 Version: 1.53.0
1, New DeleteDeviceGroup interface.
2, New DeleteDeviceAllGroup interface.
3, New GroupId fields for QuerySyncPicSchedule input parameter.
4, New GroupId fields for QueryAddUserInfo input parameter.

2019-02-20 Version: 1.52.2
1, Add code and message to inovkeService API
2, User could check code and message to get more specific information
3, 1.0.0 alpha release

2019-02-18 Version: 1.52.1
1, Initialization release SDK. EDAS now supports SDK implemented by current programming language.

2019-02-18 Version: 1.52.0
1, Instantiation: adding the property of instance.
2, Replace the "ProducerId" and "ConsumerId" properties with "GROUP_ID".
3, Remove parameter OnsRegionId to simplified usage.

2019-02-18 Version: 1.51.28
1, industrial-brain release.
2, publish SDK to public package stores.
3, 1.0.0 including all APIs in doc.

2019-02-18 Version: 1.51.27
1, Add DryRun into StartInstance, StopInstance and RebootInstance.
2, Add snapshot operations: ExportSnapshot and ImportSnapshot

2019-02-17 Version: 1.51.26
1,  API definition support 'ForceNonceCheck', 'DisableInternet' parameter settings


2019-02-15 Version: 1.51.25
1, Modify DescribeDBInstances LastDowngradeTime DataType

2019-02-14 Version: 1.51.24
1, Update DescribeCdnTypes.

2019-02-14 Version: 1.51.23
1, Update DescribeTopDomainsByFlow.

2019-01-30 Version: 1.51.22
1, Add a new api called GetURLUploadInfos to query the upload task of UploadMediaByURL.
2, Clean up the old api related to the CDN of VoD that is going offline, such as DescribeDomainBpsData, is replaced with the new CDN api.
3, Clean up the old AI related apis of VoD, such as SubmitAIASRJob, is replaced with the new AI api.
4, Clean up an api called GetVideoPlayInfo, which is used by the old player SDKs that are no longer supported.
5, Clean up some apis that used only by the VoD console to avoid misuse, such as OpenVodService.

2019-01-30 Version: 1.51.21
1, Add a new pop interface to support deleting item by skuId which is defined by users to distinguish items

2019-01-30 Version: 1.51.20
1, Add a new pop interface to support deleting item by skuId which is defined by users to distinguish items

2019-01-30 Version: 1.51.19
1, Add a new pop interface to support deleting item by skuId which is defined by users to distinguish items

2019-01-30 Version: 1.51.18
1, Add a new pop interface to support deleting item by skuId which is defined by users to distinguish items

2019-01-30 Version: 1.51.17
1, Add a new pop interface to support deleting item by skuId which is defined by users to distinguish items

2019-01-29 Version: 1.51.16
1, Add a new pop interface to support deleting item by skuId which is defined by users to distinguish items

2019-01-29 Version: 1.51.15
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2019-01-29 Version: 1.51.14
1, Make obsolete api offline.
2, Fix some bug.


2019-01-28 Version: 1.51.13
1, Release 3 new Alibaba Cloud Bill API(QueryBillOverview、QueryBill、QueryInstanceBill). 
2, Kindly suggest replace to new APIs who is using the old ones(QueryMonthlyBill、QuerySettlementBill、QueryMonthlyInstanceConsumption).

2019-01-28 Version: 1.51.12
1, Support modify vSwitch of scalingGroup.
2, Support new target tracking scaling rule.

2019-01-28 Version: 1.51.11
1, modify DescribeSlowLogs OpenApi.


2019-01-23 Version: 1.51.10
1, release new version

2019-01-23 Version: 1.51.9
1, release new version

2019-01-23 Version: 1.51.8
1, new go version

2019-01-23 Version: 1.51.7
1, Add model relevant parameter
1, Add plugin relevant parameter

2019-01-23 Version: 1.51.6
1, Add model relevant parameter

2019-01-23 Version: 1.51.5
1, support plugin
2, support model

2019-01-23 Version: 1.51.4
1, Add model relevant parameter

2019-01-22 Version: 1.51.3
1, Add model relevant parameters

2019-01-22 Version: 1.51.2
1, support Stack Policy setting .

2019-01-21 Version: 1.51.1
1, Interface DescribePluginApis returns the modification


2019-01-17 Version: 1.51.0
1, Add api AcceptInquiredSystemEvent.
2, Add ExtendedAttribute to response of api DescribeInstanceHistoryEvents.
3, Add ExtendedAttribute to response of api DescribeInstancesFullStatus.

2019-01-16 Version: 1.50.10
1, The plugin feature is released and supports a variety of plugins, as follows:trafficControl、backendSignature、ipControl、jwtAuth、cors、caching

2019-01-15 Version: 1.50.9
1, Add SubmitVerification API for RPMin solution.
2, Return authority comparison score in GetStatus, SubmitMaterials and SubmitVerification.

2019-01-15 Version: 1.50.8
1, Go Lang API release
2, Support UploadCertificate,CertficateList function;

2019-01-15 Version: 1.50.7
1, Add new apis called AddTranscodeTemplateGroup, UpdateTranscodeTemplateGroup, ListTranscodeTemplateGroup, GetTranscodeTemplateGroup, SetDefaultTranscodeTemplateGroup ,DeleteTranscodeTemplateGroup and DeleteTranscodeTemplates which support transcode template feature.
2, Add new apis called AddAITemplate, DeleteAITemplate, UpdateAITemplate, GetAITemplate, ListAITemplate, GetDefaultAITemplate and SetDefaultAITemplate which support AI template feature.
3, Add new apis called SubmitAIMediaAuditJob, GetAIMediaAuditJob, GetMediaAuditResult, GetMediaAuditResultTimeline which support AIMediaAudit feature.
4, Add the field named Priority to SubmitTranscodeJobs api request.
5, Add the field named UserData to UploadMediaByURL api request.
6, Add the field named UserData to CreateUploadImage api request.
7, Add the field named UserData to CreateUploadAttachedMedia api request.

2019-01-14 Version: 1.50.6
1, Release Go SDK for CR

2019-01-11 Version: 1.50.5
1, CreateOfficeConversionTask, ConvertOfficeFormat support Hidecomments

2019-01-10 Version: 1.50.4
1, regenerated for ECS/2014-05-26

2019-01-10 Version: 1.50.3
1, Add fields for QueryBrokerDemand api.

2019-01-09 Version: 1.50.2
1, Add user role support.

2019-01-09 Version: 1.50.1
1, Add user role support.
2, Add new APIs for IMM.

2019-01-07 Version: 1.50.0
1, Airec SDK Release Version 1.0.0.

2019-01-04 Version: 1.49.4
1, modify DescribeSlowLogs, support query param SQLHASH, remove SQLID query param.
2, modify DescribeSlowLogRecords, response values add SQLHASH, remove SQLID.
3, upgrade rds sdk version 2.3.1.

2019-01-04 Version: 1.49.3
1, Change the DescribeInstance response esConfig List => Map

2018-12-29 Version: 1.49.2
1, re-generate go sdk for sts.

2018-12-29 Version: 1.49.1
1, re-generate Go SDK for RAM

2018-12-29 Version: 1.49.0
1, Add EnableUser interface, Support admin user to enable another user.
2, Add DisableUser Interface, Support admin user to disable another user.
3, Add DeleteUser Interface, Support admin user to delete another user.

2018-12-29 Version: 1.48.8
1, Add new set image video api

2018-12-28 Version: 1.48.7
1, Add new set image video api

2018-12-28 Version: 1.48.6
1, Add new set image video api

2018-12-28 Version: 1.48.5
1, Add new set image video api

2018-12-28 Version: 1.48.4
1, Add new set image video api.


2018-12-28 Version: 1.48.3
1, Add new set image video api.
2, Add video async task api.

2018-12-27 Version: 1.48.2
1, fix php sdk

2018-12-27 Version: 1.48.1
1, Add DescribeZones Api.

2018-12-27 Version: 1.48.0
1, Elasticsearch GO sdk release.

2018-12-25 Version: 1.47.3
1, Add interface of endpoint.
2, Add interface of cluster parameter.

2018-12-21 Version: 1.47.2
1, ARMS SDK 2018-12-19 go sdk upload

2018-12-20 Version: 1.47.1
1, Sync CDN API.

2018-12-20 Version: 1.47.0
1, Add Dns Sec apis.
2, Add coupon and promotion fields for order apis.

2018-12-20 Version: 1.46.0
1, Add Dns Sec apis.
2, Add coupon and promotion fields for order apis.

2018-12-17 Version: 1.45.3
1, Add EnableBillGeneration interface.
2, Authorization for Virtual Network Operator.


2018-12-17 Version: 1.45.2
1, First Release

2018-12-16 Version: 1.45.1
1, Add a new api called AddMediaSequences to add media sequences of vod videos with in/out or live streams with start time/end time.

2018-12-15 Version: 1.45.0
1, first release
2, this SDK is for control purposes, programmatic interface of HTTPDNS console: https://httpdns.console.aliyun.com

2018-12-14 Version: 1.44.2
1, fixed sdk unit loute .
2, upgrade rds sdk version 2.2.0.

2018-12-14 Version: 1.44.1
1, fix service code to rds

2018-12-13 Version: 1.44.0
1, Add SystemDiskSize in CreateCluster and AddNodes, add more parameters in RecoverCluster

2018-12-12 Version: 1.43.15
1, Add interface GrantAccountPrivilege;
2, Add interface RevokeAccountPrivilege;

2018-12-12 Version: 1.43.14
1, Sync CDN API.

2018-12-12 Version: 1.43.13
1, Fix a bug.

2018-12-12 Version: 1.43.12
1, Sync CDN API.

2018-12-11 Version: 1.43.11
1, Sync CDN API.

2018-12-11 Version: 1.43.10
1, Sync CDN API.

2018-12-11 Version: 1.43.9
1, Release Location Go SDK

2018-12-11 Version: 1.43.8
1, DescribeAccount support OwnerAccount params.
2, Upgrade Rds SDK Version to 2.3.0

2018-12-11 Version: 1.43.7
1, Modify DescribeDBInstances OpenApi lastDowngradeTime dataType. 
2, Upgrade SDK Version to 2.0.3.

2018-12-11 Version: 1.43.6
1, Sync CDN API.

2018-12-11 Version: 1.43.5
1, Add ModifyInstanceVpcAuthMode OpenApi.
2, Upgrade SDK Version to 2.0.4.

2018-12-06 Version: 1.43.4
1, Add api RedeployInstance

2018-12-06 Version: 1.43.3
1, Add DescribeLiveDomainRealTimeBpsData, DescribeLiveDomainRealTimeHttpCodeData,DescribeLiveDomainRealTimeTrafficData.
2, Update DescirbeCasterChannels and DescribeCasterStreamUrl.


2018-12-05 Version: 1.43.2
1, Scaling group support vServerGroup.

2018-12-05 Version: 1.43.1
1, Add image async job.
2, Fix group bug.

2018-12-04 Version: 1.43.0
1, The first release of Alibaba Cloud BaaS SDK

2018-12-03 Version: 1.42.10
1, Sync CDN API.

2018-12-03 Version: 1.42.9
1, Sync CDN API.

2018-12-03 Version: 1.42.8
1, Update 2014-11-11 API.

2018-12-03 Version: 1.42.7
1,  Add a parameter to RemoveInstances.

2018-11-30 Version: 1.42.6
1, Add new apis called AddVodTemplate, UpdateVodTemplate, DeleteVodTemplate, ListVodTemplate, GetVodTemplate and SetDefaultVodTemplate which support vodtemplate feature.
2, Add a new api called CreateUploadAttachedMedia to get upload auth for attached media
3, Add new apis called AddWorkFlow, UpdateWorkFlow, DeleteWorkFlow, ListWorkFlow, GetWorkFlow  which support workflow feature.

2018-11-29 Version: 1.42.5
1, This is the first version of Uis service.

2018-11-28 Version: 1.42.4
1, Add RedeployInstance interface, and support to migrate ecs instance with specified maintenance events actively

2018-11-27 Version: 1.42.3
1, ConvertOfficeFormat support TgtFilePrefix, TgtFileSuffix, TgtFilePages, FitToPagesTall, FitToPagesWide

2018-11-27 Version: 1.42.2
1, add doc index api

2018-11-27 Version: 1.42.1
1, api for custom keyword lib、similartext lib、voice keyword lib
2, api for custom image lib
3, support client file detect for image detection scenes、voice detection scenes、video detection scenes、file detection scenes

2018-11-26 Version: 1.42.0
1, Add RegisterInstance interface, Support admin or DBA user to register new db instance.
2, Add RegisterUser Interface, Support admin user to register new user.
3, Add GetOpLog Interface, Support admin user to get operation log.

2018-11-22 Version: 1.41.2
1, Increase the scene field

2018-11-22 Version: 1.41.1
1, Provide attribute info for DescribePricingModule api.

2018-11-22 Version: 1.41.0
1, Add ScrollDomainList api.
2, Add email filter for QueryRegistrantProfile.

2018-11-22 Version: 1.40.4
1, Add parameter DeletionProtection when creating instance and modifying instance attribute


2018-11-21 Version: 1.40.3
1, Add new apis called AddWatermark, UpdateWatermark, DeleteWatermark, ListWatermarks, GetWatermark and SetDefaultWatermark which support watermark feature.
2, Add a new api called RegisterMedia which supports registration of audio and video media files that already exist in the OSS bucket.
3, Add the field named OverrideParams to SubmitTranscodeJobs api request.

2018-11-20 Version: 1.40.2
1, Fix Compatibility Problems

2018-11-20 Version: 1.40.1
1, Add MNS STS Token Query API
2, Add MNS Minimal Package

2018-11-19 Version: 1.40.0
1, Add field BargainSellerPrice and BargainSellerMobile

2018-11-19 Version: 1.39.3
1, Fixed some problems.

2018-11-19 Version: 1.39.2
1, Add query support for redeem

2018-11-16 Version: 1.39.1
1, update version

2018-11-15 Version: 1.39.0
1, ECS support ipv6Address

2018-11-15 Version: 1.38.3
1, update version

2018-11-15 Version: 1.38.2
1, update version.

2018-11-15 Version: 1.38.1
1, Remove FaceCompare, FaceRegist, FaceSearch api.
2, Add DetectLogo api.
3, CreateOfficeConversionTask support IdempotentToken.

2018-11-14 Version: 1.38.0
1, Better support for hybrid cluster.

2018-11-13 Version: 1.37.0
1, Add FuzzyMatchDomainSensitiveWord interface，Support fuzzy matching sensitive words.
2, Add BatchFuzzyMatchDomainSensitiveWord interface，Support batch fuzzy matching sensitive words.
3, Add DynamicCheck properties for results of CheckDomain interface.

2018-11-13 Version: 1.36.0
1, Add FuzzyMatchDomainSensitiveWord interface，Support fuzzy matching sensitive words.
2, Add BatchFuzzyMatchDomainSensitiveWord interface，Support batch fuzzy matching sensitive words.
3, Add DynamicCheck properties for results of CheckDomain interface.

2018-11-10 Version: 1.35.4
1, Update SetWaitingRoomConfig.

2018-11-08 Version: 1.35.3
1, Update Version.


2018-11-07 Version: 1.35.2
1, Add API CreateTemplate,DeleteTemplate,GetAllTemplate,GetTemplateInfo.
2, Add API  GetTaskStatus,StartTask,StopTask.
3, Add API GetTaskParam,UpdateTaskParam.


2018-11-02 Version: 1.35.1
1, deviceName and productKey can be used instead of iotId.
2, New productKey fields for queryauthentication output parameter.
3, New deviceName fields for queryauthentication output parameter.

2018-11-02 Version: 1.35.0
1, first version

2018-10-31 Version: 1.34.13
1, update

2018-10-31 Version: 1.34.12
1, Update SetWaitingRoomConfig.

2018-10-31 Version: 1.34.11
1, Add SetWaitingRoomConfig.

2018-10-31 Version: 1.34.10
1, Add SetWaitingRoomConfig.

2018-10-31 Version: 1.34.9
1, The DescribeDBInstanceAttribute add replicaSets response value.
2, The DescribeDBInstances support engine query.

2018-10-30 Version: 1.34.8
1, Add API DescribeLiveDomainBpsData,DescribeLiveDomainTrafficData.


2018-10-29 Version: 1.34.7
1, Add ots trigger api interface.

2018-10-29 Version: 1.34.6
1, update

2018-10-26 Version: 1.34.5
1, Remove useless parameters QueryDomainAdminDivision api.

2018-10-26 Version: 1.34.4
1, Add apis for trademark domains.
2, Retry publish SDK.

2018-10-26 Version: 1.34.3
1, Add apis for trademark domains.

2018-10-26 Version: 1.34.2
1, Return AuditConclusions in SubmitMaterials API.

2018-10-25 Version: 1.34.1
1, Add apis for trademark domains.

2018-10-25 Version: 1.34.0
1, Add apis for trademark domains.

2018-10-25 Version: 1.33.0
1, Add apis for trademark domains.
2, Add QueryDomainAdminDivision api.

2018-10-16 Version: 1.32.3
1, This version add MetricQuery interface to support retcode and apm metric query.

2018-10-16 Version: 1.32.2
1, This version add MetricQuery interface to support retcode and apm metric query.

2018-10-16 Version: 1.32.1
1, This version add MetricQuery interface to support retcode and apm metric query.

2018-10-16 Version: 1.32.0
1, Delete deprecated and unusable apis : AddIpRange, UnbindIpRange, BindIpRange, DescribeIntranetAttributeKb, DescribeIpRanges, ModifyIntranetBandwidthKb, DescribeEventDetail, CheckAutoSnapshotPolicy, CheckDiskEnableAutoSnapshotValidation, DescribeAutoSnapshotPolicy
2, Add instance topology api DescribeInstanceTopology
3, Add mount point in DescribeDisksFullStatus


2018-10-12 Version: 1.31.8
1, ModifyCenAttribute supports ProtectionLevel.
2, New APIs: PublishRouteEntries/WithdrawPublishedRouteEntries/DescribePublishedRouteEntries

2018-10-11 Version: 1.31.7
1, Add a new api called DeleteMezzanines to clear mezzanine infos and storages.
2, Add the field called PlayConfig to GetVideoPlayAuth and GetPlayInfo api request.
3, Add a new api called UpdateImageInfos to update image information.

2018-10-10 Version: 1.31.6
1, add UpdateProject api, support update CU, ServiceRole
2, PutProject not support edit
3, CreateOfficeConversionTask api now supports FitToPagesTall, FitToPagesWide
4, Remove paramater Engines, Indexers from project apis

2018-10-09 Version: 1.31.5
1, v1.0.0-->v1.0.1
2, provider new region:beijing/shenzhen/zhangjiakou
3, provider service for VPC user;

2018-09-30 Version: 1.31.4
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2018-09-29 Version: 1.31.3
1, Sync cdn api.

2018-09-29 Version: 1.31.2
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2018-09-29 Version: 1.31.1
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2018-09-27 Version: 1.31.0
1, Add new API ListQueues, modify API SetAutoScaleConfig to support queue related features.

2018-09-27 Version: 1.30.8
1, modify getFaces Api

2018-09-27 Version: 1.30.7
1, modify getFaces Api

2018-09-25 Version: 1.30.6
1, Add GetHotlineRecord and QueryHotlineRecord interface, version 1.0.0

2018-09-25 Version: 1.30.5
1, Fix bug in GetVerifyToken and SubmitMaterials API.

2018-09-22 Version: 1.30.4
1, update

2018-09-20 Version: 1.30.3
1, Fix publish failure for Java, Python and C# SDK.

2018-09-20 Version: 1.30.2
1, BssOpenApi first deploy.

2018-09-20 Version: 1.30.1
1, BssOpenApi first deploy.

2018-09-19 Version: 1.30.0
1, Add ens api, include SaveSingleTaskForDisassociatingEns, SaveSingleTaskForAssociatingEns, QueryLocalEnsAssociation and QueryEnsAssociation.

2018-09-17 Version: 1.29.10
1, Add field for AddCasterVideoResource, DescribeCasterVideoResources, ModifyCasterVideoResource.


2018-09-17 Version: 1.29.9
1, describeRegions modify.

2018-09-17 Version: 1.29.8
1, ModifySecurityIps support WhitelistNetworkType 

2018-09-16 Version: 1.29.7
1, add CheckInstanceExist OpenApi.

2018-09-14 Version: 1.29.6
1, Add DedicatedHost Feature

2018-09-13 Version: 1.29.5
1, modify CheckDBInstance OpenApi

2018-09-13 Version: 1.29.4
1, Add CreateChannelToken.


2018-09-11 Version: 1.29.3
1, add CheckDBInstance OpenApi.

2018-09-06 Version: 1.29.2
1, fixed DescirbeRegions zoneId date type.

2018-09-06 Version: 1.29.1
1, AutoScaling support launchTemplate.

2018-09-05 Version: 1.29.0
1, Add new APIs with control policy for querying price

2018-09-03 Version: 1.28.3
1, voice identify interface
2, client upload credentials interface

2018-09-03 Version: 1.28.2
1, Add new service API：FindServiceStatisticalData, which can support query service statistical data.

2018-08-31 Version: 1.28.1
1, The CreateInstance supported VPC IpAddress.

2018-08-28 Version: 1.28.0
1, Add new APIs for profiling application performance: GetCloudMetricProfiling, etc.
2, Add new APIs to support Shifter container applications: AddContainerApp, etc.

2018-08-28 Version: 1.27.6
1, Add param for DescribeRegions,support AcceptLanguage,RegionEndpoint.

2018-08-27 Version: 1.27.5
1, add Ess alarm task api, CreateAlarm, DeleteAlarm, DescribeAlarms, DeleteAlarm, EnableAlarm, DisableAlarm


2018-08-27 Version: 1.27.4
1, createInstance supported IpAddress param.

2018-08-24 Version: 1.27.3
1, Add api: DetectQRCode

2018-08-23 Version: 1.27.2
1, RunInstance add privateIpAddress.

2018-08-23 Version: 1.27.1
1, This is an example of release-log.
2, Please strictly follow this format to edit in English.
3, Format：Number + , + Space + Description

2018-08-23 Version: 1.27.0
1, Add CreateVpnGateway API.
2, Add product Ipv6Translator.


2018-08-22 Version: 1.26.2
1, upgrade mongodb sdk.

2018-08-22 Version: 1.26.0
1, Add api CreateSimulatedSystemEvents, support creating one or more simulated system events.
2, Add api CancelSimulatedSystemEvents, support cancelling one or more simulated system events.

2018-08-21 Version: 1.25.8
1, DeleteFaceSearchImageByIdRequest add field: srcUri(String).
2, CreateFaceSetResponse  add field: faces(Long).
3, GetFaceSetResponse add field: faces(Long).
4, Fix class Blurness in IndexFaceResponse.

2018-08-21 Version: 1.25.7
1, Repair describeLaunchTemplateVersions securityEnhancementStrategy type

2018-08-17 Version: 1.25.6
1, Add a new api called DeleteImage to clear the image resource.
2, Add the field called AdditionType and OutputType to GetMezzanineInfo api request.
3, Add the field called OutputType to GetMezzanineInfo api response.
4, Add the field called CreationTime and ModificationTime to GetPlayInfo api response.

2018-08-17 Version: 1.25.5
1, New apkpubkey fields for queryauthentication output parameter.
2, New packagename fields for queryauthentication output parameter.
3, New clientId fields for queryauthentication output parameter.

2018-08-16 Version: 1.25.4
1, ModifyScalingConfiguration add imageName.
2, CreateScalingConfiguration add imageName.

2018-08-15 Version: 1.25.3
1, Fix bug in GetMaterials API.
2, GetVerifyToken added a new param VerifyConfigs

2018-08-15 Version: 1.25.2
1, Add domain operation api AddLiveDomain,DeleteLiveDomain,DescribeLiveDomainDetail,StartLiveDomain,StopLiveDomain.
2, Add certificate operation api DescribeLiveCertificateDetail,DescribeLiveCertificateList,SetLiveDomainCertificate.
3, Add domain config api BatchSetLiveDomainConfigs,BatchDeleteLiveDomainConfigs,DeleteLiveSpecificConfig,DescribeLiveDomainConfigs.

2018-08-15 Version: 1.25.1
1, Update ecs tag to 20 maximum


2018-08-13 Version: 1.25.0
1, New userinfo fields for registerface input parameter.
2, New userinfo fields for updateface input parameter.
3, New userinfo fields for queryface output parameter.

2018-08-13 Version: 1.24.7
1, Add cross domain support.
2, Add parameter SerialNumber to interface RebootSmartAccessGateway.

2018-08-08 Version: 1.24.6
1, The official release 4.0.0

2018-08-08 Version: 1.24.5
1, Update FC apis.

2018-08-08 Version: 1.24.4
1, First release.

2018-08-05 Version: 1.24.3
1, Add Interface SubmitSubtitleJob
2, Support convert ttml、stl subtitle to vtt

2018-08-04 Version: 1.24.2
1, Add a new api called SetAuditSecurityIp to set audit security ip.
2, Add a new api called ListAuditSecurityIp to query audit security ip list.
3, Add a new api called UploadMediaByURL to bulk upload media based on urls.
4, Add the field called StorageLocation and TemplateGroupId to GetVideoInfo api response.
5, Add the field called StorageLocation and TemplateGroupId to GetVideoInfos api response.
6, Add the field called OutputType and Status to GetPlayInfo api response.

2018-08-04 Version: 1.24.1
1, CreateOfficeConversionTask add TgtFilePages field to specify the final uploaded page

2018-08-03 Version: 1.24.0
1, Add new API AddLocalNodes, for adding local machine to a hybrid cluster

2018-08-02 Version: 1.23.7
1, Add parameter(GroupId) for CreateNotifyPolicy,GetNotifyPolicy,DeleteNotifyPolicy,ListNotifyPolicy.

2018-08-01 Version: 1.23.6
1, Add parameter(DryRun) for CreateAlarm and UpdateAlarm.

2018-08-01 Version: 1.23.5
1, Add api: MoPenQueryCanvas, MoPenDoRecognize, MoPenSendMqttMessage, MoPenFindGroup

